<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'advmindmap', language 'en', branch 'MOODLE_29_STABLE'
 *
 * @package   advmindmap
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['advmindmap'] = 'Advance Mindmap';
$string['advmindmap:addinstance'] = 'Add an advance mindmap instance';
$string['advmindmapfieldset'] = 'Custom example fieldset';
$string['advmindmap:givecomment'] = 'Give comment';
$string['advmindmapintro'] = 'Advance Mindmap Intro';
$string['advmindmapname'] = 'Advance Mindmap Name';
$string['advmindmap:submit'] = 'Submit';
$string['advmindmap:view'] = 'View';
$string['advmindmap:viewother'] = 'View other';
$string['class'] = 'Class';
$string['classno'] = 'Class number';
$string['copylink'] = '(Ctrl+C to copy)';
$string['coursemisconf'] = 'Course is misconfigured';
$string['detail'] = 'Advance Mindmap';
$string['detail_help'] = '<div class="indent">
<p>A mind map is a diagram used to represent words, ideas, tasks, or other items linked to and arranged around a central key word or idea.</p>
<table class="advmindmap_help_table">
<tbody>
    <tr>
        <th width="40%">Function</th>
        <th width="60%">Command</th>
    </tr>
    <tr>
        <td>Add node</td>
        <td>- Double-click on any place<br />- Click the green "+" icon<br />- Press the &quot;Insert&quot; key on your keyboard to add a childnode</td>
    </tr>
    <tr>
        <td>Delete note</td>
        <td>- Press the "Ctrl" key on your keyboard and click on the node<br />- Click the red "-" icon<br />- Press the &quot;Delete&quot; key on your keyboard</td>
    </tr>
    <tr>
        <td>Undo/Redo</td>
        <td>- Press &quot;Ctrl&quot;+&quot;Z&quot; or &quot;Ctrl&quot;+&quot;Y&quot; on your keyboard<br />- Click on the front arrow or back arrow icons<br /></td>
    </tr>
    <tr>
        <td>Move node</td>
        <td>Click on the node and drag to move it</td>
    </tr>
    <tr>
        <td rowspan="1">Save mind map</td>
        <td rowspan="1">Click on the "disk-like" icon on the left-upper corner</td>
    </tr>
</tbody>
</table>
<p>(The Mindmap Module is originally developed by <a href="http://ekpenso.com">ekpenso.com</a>. It is then modified by <a href="http://www.cite.hku.hk">CITE</a>.)</p>
</div>';
$string['editable'] = 'Editable';
$string['editingbyuser'] = 'This group mind map is/was editing by <span style="font-weight:bold;">{$a}</span> in this hour and therefore is locked.';
$string['errorcannotunlockadvmindmap'] = 'Cannot unlock mind map, instance is incorrect.';
$string['errorcannotviewgroupmindmap'] = 'You have no permission to view other groups\' mind map.';
$string['errorcannotviewusermindmap'] = 'You have no permission to view other users\' mind map.';
$string['errorincorrectcmid'] = 'Course Module ID was incorrect.';
$string['errorinvalidadvmindmap'] = 'Incorrect advmindmap instance.';
$string['errorinvalidauthor'] = 'Mindmap author is not a valid user.';
$string['errornostudentincourse'] = 'No students in the course.';
$string['errornotingroup'] = 'This is a group mind map but you are not in any group nor you have permission to view other groups\' mind map.';
$string['errornouseringroup'] = 'No users are in this group.';
$string['eventmindmapunlocked'] = 'A mindmap has been unlocked.';
$string['eventmindmapupdated'] = 'A mindmap has been updated.';
$string['groupmembers'] = 'Group members';
$string['groupname'] = 'Group name';
$string['instances'] = 'Advance Mindmap Instances';
$string['invalidgroupmodefordummygroups'] = 'When dummy groups feature is selected, group mode setting should be "No Group"';
$string['invalidid'] = 'advmindmap ID was incorrect';
$string['ismember'] = '(&#10004; You are a group member)';
$string['largeconvas'] = 'Enlarge Edit Area';
$string['lastupdated'] = 'Last updated:';
$string['lockedbyyou'] = 'This group mind map is locked by you, click this button to uolock and return to course:';
$string['modulename'] = 'Advance Mindmap';
$string['modulenameplural'] = 'Advance Mindmaps';
$string['notavailable'] = 'Not avaialble yet';
$string['numdummygroups'] = 'Number of dummy groups';
$string['pluginadministration'] = 'Advance Mindmap administration';
$string['pluginname'] = 'Advance Mindmap';
$string['print'] = 'Print:';
$string['removeinstances'] = 'Remove all mindmap instances';
$string['smallconvas'] = 'Shrink Edit Area';
$string['uneditable'] = 'Mindmap is not editable now!';
$string['uniquelink'] = 'Link to this mindmap';
$string['unlockbutton'] = 'Unlock & return to course';
$string['unlockconfirm'] = 'Are you sure you want to unlock this mind map and return to course (All unsaved changed will be loss)?';
$string['unlocktime'] = 'Estimated time to unlock (if no further update by the other user):';
$string['viewing'] = '(Viewing)';
$string['viewingauthor'] = 'Viewing mindmap of {$a}';
$string['viewown'] = 'View your own mindmap';
