<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'amvonetroom', language 'en', branch 'MOODLE_28_STABLE'
 *
 * @package   amvonetroom
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['amvonetroom:moderator'] = 'Moderator';
$string['error'] = '{$a}';
$string['error_backup_fail'] = 'An error occurred during back up of the {$a->session} session. Please contact {$a->support_begin}support{$a->support_end}.';
$string['error_backup_fail_with_msg'] = 'An error occurred during back up of the {$a->session} session: {$a->message}';
$string['error_backup_space_limit_reached'] = 'Backup space limit is reached. Please contact your school administrator and report about this problem.';
$string['error_key_not_defined'] = 'AMVONET Room module isn\'t registered.';
$string['error_limit_reached'] = 'Limits are reached. Please contact your school administrator and report about this problem.';
$string['error_school_bad_request'] = 'master.amvonet.com reported bad request. Please call to AMVONET technical support.';
$string['error_school_forbidden'] = 'master.amvonet.com declined request. Please call to AMVONET technical support.';
$string['error_school_not_registered'] = 'The school isn\'t registered on master.amvonet.com';
$string['error_session_restoring'] = 'Unable to backup, session is being restored now. Please, try later.';
$string['error_storage_space_limit_reached'] = 'Disk space limit is reached. Please contact your school administrator and report about this problem.';
$string['error_unavailable'] = 'master.amvonet.com is temporary unavailable.';
$string['error_version_incompatible'] = 'master.amvonet.com doesn\'t support current version of AMVONET Room module. Please call to AMVONET technical support.';
$string['error_version_too_old'] = 'AMVONET Room module has too old version. Please update module.';
$string['formatdate'] = 'Y-m-d h:i';
$string['introduction_text'] = 'Introduction text';
$string['key_caption'] = 'Registration key';
$string['key_hint'] = 'Register your AMVONET Room module on master.amvonet.com and get your key.';
$string['label_domain'] = 'Domain';
$string['label_status'] = 'Status';
$string['label_version'] = 'Version';
$string['label_version_enterprise'] = 'Enterprise';
$string['label_version_lite'] = 'Lite';
$string['label_version_pro'] = 'Pro';
$string['label_version_type_com'] = 'Commercial';
$string['label_version_type_direct_sale'] = 'Commercial';
$string['label_version_type_free'] = 'Free';
$string['label_version_type_testing'] = 'Testing';
$string['label_version_type_trial'] = 'Trial';
$string['label_warning'] = 'Warning';
$string['link_account'] = 'My Account';
$string['link_buy'] = 'Buy';
$string['link_register'] = 'Register plugin';
$string['link_support'] = 'Support';
$string['message_firewall_not_configured'] = 'Sorry, requested operation has been failed due to misconfiguration. You can find the most possible reasons and solutions by visiting {$a->kb_begin}THE FOLLOWING URL{$a->kb_end}. In the meantime please feel free to contact our {$a->support_begin}support{$a->support_end} if you need an assistance.';
$string['moderator'] = 'Moderator';
$string['modulename'] = 'AMVONET Room';
$string['modulename_help'] = 'The AMVONET Room is used for the creation of webinars and creation of interactive presentations. You can also edit the recordings using this tool.';
$string['modulenameplural'] = 'AMVONET Room';
$string['name_live_this_session'] = 'Name of this room';
$string['pluginadministration'] = 'AMVONET Room Administration';
$string['pluginname'] = 'AMVONET Room';
$string['status_active'] = 'Active';
$string['status_active_till'] = 'till';
$string['status_blocked'] = 'Blocked';
$string['status_blocked_since'] = 'since';
$string['status_no_key'] = 'Not Registered';
$string['warn_missed_plugin'] = 'AMVONET Room module requires {$a} PHP extension. Please install it.';
$string['warn_missed_plugins'] = 'AMVONET Room module requires the following PHP extensions: {$a}. Please install them.';
$string['warn_no_crossdomain'] = 'Cross-domain policy isn\'t set up properly. Refer to Installation Guide for details.';
