<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'attcontrol', language 'en', branch 'MOODLE_28_STABLE'
 *
 * @package   attcontrol
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['Aacronym'] = 'A';
$string['acronym'] = 'Acronym';
$string['add'] = 'Add';
$string['addmultiplesessions'] = 'Add multiple sessions';
$string['addrelation'] = '>';
$string['addsession'] = 'Add session';
$string['addsessions'] = 'Add Sessions';
$string['Afull'] = 'Absent';
$string['all'] = 'All';
$string['allcourses'] = 'All courses';
$string['allpast'] = 'All past';
$string['attcontrol:addinstance'] = 'Add a new AttControl activity';
$string['attcontrol:canbelisted'] = 'Appears in the grid';
$string['attcontrol:changeattcontrols'] = 'Changing attcontrols';
$string['attcontrol:changepreferences'] = 'Changing Preferences';
$string['attcontroldata'] = 'AttControl data';
$string['attcontrol:export'] = 'Export Reports';
$string['attcontrolforthecourse'] = 'Attendance Control for the course';
$string['attcontrol:manageattcontrols'] = 'Manage attcontrols';
$string['attcontrolnotstarted'] = 'Attendance has not started yet for this course';
$string['attcontrolpercent'] = 'AttControl percent';
$string['attcontrolreport'] = 'AttControl report';
$string['attcontrolsuccess'] = 'Attendance has been successfully taken';
$string['attcontrol:takeattcontrols'] = 'Taking attcontrols';
$string['attcontrolupdated'] = 'Attendance successfully updated';
$string['attcontrol:view'] = 'Viewing attcontrols';
$string['attcontrol:viewreports'] = 'Viewing Reports';
$string['attendancecontrol'] = 'Attendance Control';
$string['attendanceitem'] = 'Attendance Item';
$string['attforblockdirstillexists'] = 'old mod/attforblock directory still exists - you must delete this directory on your server before running this upgrade.';
$string['attrecords'] = 'Attendance records';
$string['calclose'] = 'Close';
$string['calmonths'] = 'January,February,March,April,May,June,July,August,September,October,November,December';
$string['calshow'] = 'Choose date';
$string['caltoday'] = 'Today';
$string['calweekdays'] = 'Su,Mo,Tu,We,Th,Fr,Sa';
$string['cannottakeforgroup'] = 'You can\'t take attendance for group "{$a}"';
$string['changeattcontrol'] = 'Change attendance';
$string['changeduration'] = 'Change duration';
$string['changesession'] = 'Change session';
$string['column'] = 'column';
$string['columns'] = 'columns';
$string['commonsession'] = 'Common';
$string['commonsessions'] = 'Common';
$string['configstatus1'] = 'First attcontrol status (default option).';
$string['configstatus2'] = 'Second attcontrol status.';
$string['configstatus3'] = 'Third attcontrol status.';
$string['configstatus4'] = 'Fourth attcontrol status.';
$string['configstatus5'] = 'Fifth attcontrol status.';
$string['configstatus6'] = 'Sixth attcontrol status.';
$string['configstatus7'] = 'Seventh attcontrol status.';
$string['configstatus8'] = 'Eighth attcontrol status.';
$string['configstatusdesc1'] = 'Description for the first attcontrol status (default option).';
$string['configstatusdesc2'] = 'Description for the second attcontrol status.';
$string['configstatusdesc3'] = 'Description for the third attcontrol status.';
$string['configstatusdesc4'] = 'Description for the fourth attcontrol status.';
$string['configstatusdesc5'] = 'Description for the fifth attcontrol status.';
$string['configstatusdesc6'] = 'Description for the sixth attcontrol status.';
$string['configstatusdesc7'] = 'Description for the seventh attcontrol status.';
$string['configstatusdesc8'] = 'Description for the eighth attcontrol status.';
$string['copyfrom'] = 'Copy AttControl data from';
$string['countofselected'] = 'Count of selected';
$string['course'] = 'Course';
$string['courseexport'] = 'Course Export';
$string['courserelations'] = 'Course relations';
$string['coursereport'] = 'Course Report';
$string['createmultiplesessions'] = 'Create multiple sessions';
$string['createmultiplesessions_help'] = 'This function allows you to create multiple sessions in one simple step.

  * <strong>Session Start Date</strong>: Select the start date of your course (the first day of class)
  * <strong>Session End Date</strong>: Select the last day of class (the last day you want to take attcontrol).
  * <strong>Session Days</strong>: Select the days of the week when your class will meet (for example, Monday/Wednesday/Friday).
  * <strong>Frequency</strong>: This allows for a frequency setting. If your class will meet every week, select 1; if it will meet every other week, select 2; every 3rd week, select 3, etc.';
$string['createonesession'] = 'Create one session for the course';
$string['date'] = 'Date';
$string['days'] = 'Day';
$string['defaultdisplaymode'] = 'Default display mode';
$string['defaults'] = 'Defaults';
$string['delete'] = 'Delete';
$string['deletelogs'] = 'Delete attcontrol data';
$string['deleteselected'] = 'Delete selected';
$string['deletesession'] = 'Delete session';
$string['deletesessions'] = 'Delete all sessions';
$string['deletingsession'] = 'Deleting session for the course';
$string['deletingstatus'] = 'Deleting status for the course';
$string['description'] = 'Description';
$string['display'] = 'Display';
$string['displaymode'] = 'Display mode';
$string['downloadexcel'] = 'Download in Excel format';
$string['downloadooo'] = 'Download in OpenOffice/LibreOffice format';
$string['downloadtext'] = 'Download in text format (csv)';
$string['duration'] = 'Duration';
$string['Eacronym'] = 'E';
$string['editsession'] = 'Edit Session';
$string['Efull'] = 'Excused';
$string['endofperiod'] = 'End of period';
$string['endtime'] = 'Session end time';
$string['enrolmentend'] = 'User enrolment ends {$a}';
$string['enrolmentstart'] = 'User enrolment starts {$a}';
$string['enrolmentsuspended'] = 'Enrolment suspended';
$string['errorgroupsnotselected'] = 'Select one or more groups';
$string['errorinaddingsession'] = 'Error in adding session';
$string['erroringeneratingsessions'] = 'Error in generating sessions';
$string['export'] = 'Export';
$string['gradebookexplanation'] = 'Grade in gradebook';
$string['gradebookexplanation_help'] = 'The attcontrol module displays your current attcontrol grade based on the number of points you have earned to date and the number of points that could have been earned to date; it does not include class periods in the future. In the gradebook, your attcontrol grade is based on your current attcontrol percentage and the number of points that can be earned over the entire duration of the course, including future class periods. As such, your attcontrol grades displayed in the attcontrol module and in the gradebook may not be the same number of points but they are the same percentage.

For example, if you have earned 8 of 10 points to date (80% attcontrol) and attendance for the entire course is worth 50 points, the attcontrol module will display 8/10 and the gradebook will display 40/50. You have not yet earned 40 points but 40 is the equivalent point value to your current attcontrol percentage of 80%. The point value you have earned in the attcontrol module can never decrease, as it is based only on attcontrol to date; however, the attcontrol point value shown in the gradebook may increase or decrease depending on your future attcontrol, as it is based on attendance for the entire course.';
$string['gridcolumns'] = 'Grid columns';
$string['groupsession'] = 'Group';
$string['identifyby'] = 'Identify student by';
$string['includeall'] = 'Select all sessions';
$string['includenottaken'] = 'Include not taken sessions';
$string['indetail'] = 'In detail...';
$string['individualexport'] = 'Individual Export';
$string['individualreport'] = 'Individual Report';
$string['jumpto'] = 'Jump to';
$string['Lacronym'] = 'L';
$string['Lfull'] = 'Late';
$string['modulename'] = 'AttControl';
$string['modulename_help'] = 'The attcontrol activity module enables a teacher to take attcontrol during class and students to view their own attcontrol record.

The teacher can create multiple sessions and can mark the attcontrol status as "Present", "Absent", "Late", or "Excused" or modify the statuses to suit their needs.

Reports are available for the entire class or individual students.';
$string['modulenameplural'] = 'attcontrols';
$string['months'] = 'Months';
$string['myvariables'] = 'My Variables';
$string['newdate'] = 'New date';
$string['newduration'] = 'New duration';
$string['noattforuser'] = 'No attcontrol records exist for the user';
$string['nodescription'] = 'Regular class session';
$string['nogroups'] = 'You can\'t add group sessions. No groups exists in course.';
$string['noguest'] = 'Guest can\'t see attcontrol';
$string['noofdaysabsent'] = 'No of days absent';
$string['noofdaysexcused'] = 'No of days excused';
$string['noofdayslate'] = 'No of days late';
$string['noofdayspresent'] = 'No of days present';
$string['nosessiondayselected'] = 'No Session day selected';
$string['nosessionexists'] = 'No Session exists for this course';
$string['nosessionsselected'] = 'No sessions selected';
$string['nostudentselected'] = 'Select a student to check his/her individual report.';
$string['notfound'] = 'Attendance activity not found in this course!';
$string['noupgradefromthisversion'] = 'The attcontrol module cannot upgrade from the version of attforblock you have installed. - please delete attforblock or upgrade it to the latest version before isntalling the new attcontrol module';
$string['olddate'] = 'Old date';
$string['Pacronym'] = 'P';
$string['pagination_options'] = 'Pagination options';
$string['pagination_perpage'] = 'Items per page';
$string['period'] = 'Frequency';
$string['Pfull'] = 'Present';
$string['pluginadministration'] = 'AttControl administration';
$string['pluginname'] = 'attcontrol';
$string['remark'] = 'Remark';
$string['remarks'] = 'Remarks';
$string['removerelation'] = '<';
$string['report'] = 'Report';
$string['resetdescription'] = 'Remember that deleting attcontrol data will erase information from database. You can just hide older sessions having changed start date of course!';
$string['resetstatuses'] = 'Reset statuses to default';
$string['restoredefaults'] = 'Restore defaults';
$string['save'] = 'Save attendance';
$string['savepreferences'] = 'Save preferences';
$string['session'] = 'Session';
$string['sessionadded'] = 'Session successfully added';
$string['sessionalreadyexists'] = 'Session already exists for this date';
$string['sessiondate'] = 'Session Date';
$string['sessiondays'] = 'Session Days';
$string['sessiondeleted'] = 'Session successfully deleted';
$string['sessionenddate'] = 'Session end date';
$string['sessionexist'] = 'Session not added (already exists)!';
$string['session_help'] = 'Session';
$string['sessionlist'] = 'Session List';
$string['sessions'] = 'Sessions';
$string['sessionscompleted'] = 'Sessions completed';
$string['sessionsgenerated'] = 'Sessions successfully generated';
$string['sessionsids'] = 'IDs of sessions:';
$string['sessionsnotfound'] = 'There is no sessions in the selected timespan';
$string['sessionstartdate'] = 'Session start date';
$string['sessiontype'] = 'Session type';
$string['sessiontype_help'] = 'There are two types of sessions: common and groups. Ability to add different types depends on activity group mode.

* In group mode "No groups" you can add only common sessions.
* In group mode "Visible groups" you can add common and group sessions.
* In group mode "Separate groups" you can add only group sessions.';
$string['sessiontypeshort'] = 'Type';
$string['sessionupdated'] = 'Session successfully updated';
$string['setallstatusesto'] = 'Set status for all users to «{$a}»';
$string['setforallstudents'] = 'Set for all students';
$string['settings'] = 'Settings';
$string['showdefaults'] = 'Show defaults';
$string['showduration'] = 'Show duration';
$string['sortedgrid'] = 'Sorted grid';
$string['sortedlist'] = 'Sorted list';
$string['startofperiod'] = 'Start of period';
$string['status'] = 'Status';
$string['status1'] = 'Status 1';
$string['status2'] = 'Status 2';
$string['status3'] = 'Status 3';
$string['status4'] = 'Status 4';
$string['status5'] = 'Status 5';
$string['status6'] = 'Status 6';
$string['status7'] = 'Status 7';
$string['status8'] = 'Status 8';
$string['statusdeleted'] = 'Status deleted';
$string['statusdesc1'] = 'Status 1 Description';
$string['statusdesc2'] = 'Status 2 Description';
$string['statusdesc3'] = 'Status 3 Description';
$string['statusdesc4'] = 'Status 4 Description';
$string['statusdesc5'] = 'Status 5 Description';
$string['statusdesc6'] = 'Status 6 Description';
$string['statusdesc7'] = 'Status 7 Description';
$string['statusdesc8'] = 'Status 8 Description';
$string['statuses'] = 'Statuses';
$string['strftimedm'] = '%d.%m';
$string['strftimedmy'] = '%d/%m/%Y';
$string['strftimedmyhm'] = '%d/%m/%Y %H:%M';
$string['strftimedmyw'] = '%d/%m/%y&nbsp;(%a)';
$string['strftimehm'] = '%H:%M';
$string['strftimeshortdate'] = '%d.%m.%Y';
$string['student'] = 'Student';
$string['studentid'] = 'Student ID';
$string['studentselect'] = 'Select a student';
$string['tablerenamefailed'] = 'Rename of old attforblock table to attcontrol failed';
$string['takeattcontrol'] = 'Take attendance';
$string['thiscourse'] = 'This course';
$string['time'] = 'Time';
$string['update'] = 'Update';
$string['variable'] = 'variable';
$string['variablesupdated'] = 'Variables successfully updated';
$string['versionforprinting'] = 'version for printing';
$string['viewmode'] = 'View mode';
$string['week'] = 'week(s)';
$string['weeks'] = 'Weeks';
$string['youcantdo'] = 'You can\'t do anything';
