<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'block_achievement', language 'en', branch 'MOODLE_23_STABLE'
 *
 * @package   block_achievement
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['assignment_distinct_view'] = '{\\$a} distinct assignments view';
$string['assignment_distinct_view_desc'] = 'You viewed {\\$a} distinct assignments.';
$string['assignment_view'] = '{\\$a} assignments viewed';
$string['assignment_view_1'] = 'First assignment viewed';
$string['assignment_view_1_desc'] = 'You viewed your first assignment.';
$string['assignment_view_desc'] = 'You viewed a total of {\\$a} assignments.';
$string['bbb_join'] = '{\\$a}th BBB';
$string['bbb_join_1'] = 'First time on BBB';
$string['bbb_join_1_desc'] = 'You have taken part in your first BigBlueButton activity.';
$string['bbb_join_desc'] = 'This was your {\\$a}th participation to a BigBlueButton activity.';
$string['block_achievement'] = 'My Achievements';
$string['blockname'] = 'Achievement';
$string['blog_add'] = '{\\$a}th Blog post written';
$string['blog_add_1'] = 'First blog post written';
$string['blog_add_1_desc'] = 'You have written your first article in your blog.';
$string['blog_add_desc'] = 'You have written your {\\$a}th article in your blog.';
$string['blog_view'] = '{\\$a}th blog read';
$string['blog_view_1'] = 'First blog read';
$string['blog_view_1_desc'] = 'You have viewed an user\'s blog for the first time.';
$string['blog_view_desc'] = 'You have viewed an user\\\'s blog for the {\\$a}th time.';
$string['chat_talk'] = '{\\$a}th chat';
$string['chat_talk_1'] = 'First chat';
$string['chat_talk_1_desc'] = 'This was your first talk on a chat.';
$string['chat_talk_desc'] = 'This was your {\\$a}th talk on a chat';
$string['done'] = 'Done';
$string['errornorecords'] = 'No records';
$string['forum_post'] = '{\\$a}th forum post';
$string['forum_post_1'] = 'First post';
$string['forum_post_1_desc'] = 'This was your first participation to the forums.';
$string['forum_post_desc'] = 'This was your {\\$a}th message on the forums.';
$string['forum_view'] = '{\\$a}th forum view';
$string['forum_view_1'] = 'First forum view';
$string['forum_view_1_desc'] = 'This was your first visit to the forums.';
$string['forum_view_desc'] = 'This was your {\\$a}th visit to the forums.';
$string['fulllistofachievements'] = 'See achievement list';
$string['global_progression_intro'] = 'Global users\' progression';
$string['login'] = '{\\$a}th login';
$string['login_1'] = 'First login';
$string['login_1_desc'] = 'Welcome! This is your first login.';
$string['login_desc'] = 'This is your {\\$a}th login.';
$string['maintab'] = 'Global progression';
$string['modulename'] = 'Achievement';
$string['no_achievement'] = 'None';
$string['personaltab'] = 'My Achievements';
$string['pluginname'] = 'Achievement';
$string['pm_received'] = '{\\$a}th PM received';
$string['pm_received_1'] = 'First PM received';
$string['pm_received_1_desc'] = 'You have received your first PM from another user.';
$string['pm_received_desc'] = 'You have received your {\\$a}th PM from another user.';
$string['pm_sent'] = '{\\$a}th PM sent';
$string['pm_sent_1'] = 'First PM sent';
$string['pm_sent_1_desc'] = 'You have sent your first PM to another user.';
$string['pm_sent_desc'] = 'You have sent your {\\$a}th PM to another user.';
$string['resource_distinct_view'] = '{\\$a} distinct resources view';
$string['resource_distinct_view_desc'] = 'You viewed {\\$a} distinct resources.';
$string['resource_view'] = '{\\$a} resources viewed';
$string['resource_view_1'] = 'First resource viewed';
$string['resource_view_1_desc'] = 'You viewed your first resource.';
$string['resource_view_desc'] = 'You viewed a total of {\\$a} resources.';
$string['seeprogression'] = 'See progression';
$string['settings_enablejsnotification'] = 'JavaScript Notification';
$string['settings_enablejsnotification_desc'] = 'Enable/Disable JavaScript notification';
$string['settings_nbachievementinblock'] = 'Achievement in block';
$string['settings_nbachievementinblock_desc'] = 'Set achievement to display in block';
$string['tabledatedefault'] = '-';
$string['tablehead_accomplishmentpercent'] = '%% obtain';
$string['tablehead_date'] = 'Date';
$string['tablehead_desc'] = 'Description';
$string['tablehead_title'] = 'Achievement';
$string['todo'] = 'Todo';
$string['update_avatar'] = 'Add avatar';
$string['update_avatar_desc'] = 'You have uploaded an avatar, hence customizing your profile.';
$string['update_profile'] = 'Profile edition';
$string['update_profile_desc'] = 'You have edited your profile.';
