<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'block_course_menu', language 'en', branch 'MOODLE_31_STABLE'
 *
 * @package   block_course_menu
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['activatecustomlinks'] = 'Activate Custom Links';
$string['allowresize'] = 'Allow the window to be resized';
$string['allowscroll'] = 'Allow the window to be scrolled';
$string['blockgeneralsettings'] = 'Block general settings';
$string['blockname'] = 'Course Menu';
$string['cannotmoveright'] = 'Cannot move to the right';
$string['cannotmovetopicdown'] = 'Cannot move topic down. There is another topic below this subchapter.';
$string['cannotmovetopicup'] = 'Cannot move topic up. There is another topic above this subchapter.';
$string['change'] = 'Change';
$string['chapter'] = 'Chapter';
$string['chaptering'] = 'Activate Chapter Grouping';
$string['chapters'] = 'Chapters';
$string['correcturlmsg'] = '*The URL must be entered as an absolute url, containing the protocol, too. (eg correct urls: http://www.moodle.org, ftp://ftp.moodle.org; eg wrong urls: www.moodle.org, moodle.org)';
$string['courseadministration'] = 'Course administration';
$string['coursemainpage'] = 'Course main page';
$string['customlink'] = 'Custom Link';
$string['defaultelements'] = 'Default elements';
$string['defaultgrouping'] = 'Default grouping';
$string['defaultheight'] = 'Default window height (in pixels)';
$string['defaultwidth'] = 'Default window width (in pixels)';
$string['displaydirectory'] = 'Display directory';
$string['dockedbg'] = 'Bg. color in docked mode';
$string['dockedbgdesc'] = 'Background color for the block title when docked';
$string['elements'] = 'Elements';
$string['emptychapname'] = 'Chapter name cannot be empty!';
$string['emptysubchapname'] = 'Sub-chapter name cannot be empty!';
$string['expandable_tree'] = 'Expandable Tree';
$string['hide'] = 'Hide';
$string['icon'] = 'Icon';
$string['keeppagenavigation'] = 'Keep page navigation visible on the same page';
$string['link'] = 'Link';
$string['linkfileorsite'] = 'Link to a file or web site';
$string['linknoname'] = 'The link name can not be empty. Please enter the link name.';
$string['linknourl'] = 'The link URL can not be empty. Please enter the link URL.';
$string['links'] = 'Links';
$string['linkswrongnumber'] = 'Number of links must be a correct number (only digits) and greater than 1!';
$string['mycourses'] = 'My courses';
$string['myprofile'] = 'My profile';
$string['myprofilesettings'] = 'My profile settings';
$string['name'] = 'Name';
$string['namescorm'] = 'SCORM';
$string['namesite'] = 'Site';
$string['namesitelevel'] = 'Site level name';
$string['namesiteleveldescription'] = 'Alternative name to be shown in the block header when displayed at the site level';
$string['namesocial'] = 'Social';
$string['nametopics'] = 'Topic';
$string['nameweeks'] = 'Week';
$string['newwindow'] = 'New window';
$string['noicon'] = 'No icon';
$string['notapplicable'] = 'Not applicable';
$string['numberofchapter'] = 'Number of chapters';
$string['numberoflinks'] = 'Number of custom links';
$string['numberofsubchapter'] = 'Number of sub-chapters';
$string['participantlist'] = 'List of participants';
$string['participants'] = 'Participants';
$string['pluginname'] = 'Course Menu';
$string['reports'] = 'Reports';
$string['samewindow'] = 'Same window';
$string['sections'] = 'Sections';
$string['show'] = 'Show';
$string['showallsections'] = 'Show All Sections';
$string['showdirectorylinks'] = 'Show the directory links';
$string['showlocationbar'] = 'Show the location bar';
$string['showmenubar'] = 'Show the menu bar';
$string['showstatusbar'] = 'Show the status bar';
$string['showtoolbar'] = 'Show the toolbar';
$string['sitepages'] = 'Site pages';
$string['structure'] = 'Structure';
$string['subchapter'] = 'Sub-chapter';
$string['subchaptering'] = 'Activate Sub-Chapter Grouping';
$string['subchapters'] = 'Sub-chapters';
$string['topics'] = 'Topics';
$string['topicsweeks'] = 'Topics / Weeks';
$string['trimlength'] = 'How many characters to trim to';
$string['trimmode'] = 'Section name trim mode';
$string['trimmodecenter'] = 'Trim characters from center';
$string['trimmodeleft'] = 'Trim characters from left';
$string['trimmoderight'] = 'Trim characters from right';
$string['url'] = 'URL*';
$string['warningchapnochange'] = 'By changing the number of chapters all your chaptering and subchaptering settings will be restored to default! Continue anyway?';
$string['warningsubchapenable'] = 'Warning! After enabling subchaptering a default grouping will occur. Do you wish to continue?';
$string['warningsubchapnochange'] = 'By changing the number of subchapters all your chaptering and subchaptering settings will be restored to default! Continue anyway?';
$string['weeks'] = 'Weeks';
$string['window'] = 'Window';
$string['wrongnumber'] = 'Number of chapters must be a correct number (only digits), greater than 1, less than the number of subchapters and less then the number of visible topics / weeks !';
$string['wrongsubchapnumber'] = 'Number of sub-chapters must be a correct number (only digits), greater than the number of chapters and less then the number of visible topics / weeks !';
