<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'block_course_overview', language 'en', branch 'MOODLE_35_STABLE'
 *
 * @package   block_course_overview
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['activityoverview'] = 'You have {$a}s that need attention';
$string['addfavourite'] = 'Add favourite';
$string['alwaysshowall'] = 'Always show all';
$string['collapseall'] = 'Collapse all course lists';
$string['configotherexpanded'] = 'If enabled, other courses will be expanded by default unless overridden by user preferences.';
$string['configpreservestates'] = 'If enabled, the collapsed/expanded states set by the user are stored and used on each load.';
$string['course_overview:addinstance'] = 'Add a new course overview block';
$string['course_overview:myaddinstance'] = 'Add a new course overview block to Dashboard';
$string['courses'] = 'Courses';
$string['defaulttab'] = 'Default tab';
$string['defaulttabdesc'] = 'Which tab will be displayed by default when the Dashboard is opened';
$string['expandall'] = 'Expand all course lists';
$string['favourites'] = 'Favourites';
$string['fullpath'] = 'All categories and subcategories';
$string['help'] = 'Help';
$string['help_help'] = '\'Customise this page\', then drag-and-drop to reorder courses. Click activity icons for overview';
$string['keepfavourites'] = 'Keep favourites in course list';
$string['keepfavouritesdesc'] = 'Show courses in main course tab even if they are also in the favourites tab';
$string['makefavourite'] = 'Make favourite';
$string['message'] = 'message';
$string['messages'] = 'messages';
$string['moveafterhere'] = 'Move {$a->movingcoursename} course after {$a->currentcoursename}';
$string['movecourse'] = 'Move course: {$a}';
$string['movecoursehere'] = 'Move course here';
$string['movetofirst'] = 'Move {$a} course to top';
$string['movingcourse'] = 'You are moving: {$a->fullname} ({$a->cancellink})';
$string['nocourses'] = 'There are no courses to show';
$string['none'] = 'None';
$string['numtodisplay'] = 'Number of courses to display:';
$string['onlyparentname'] = 'Parent category only';
$string['otherexpanded'] = 'Other courses expanded';
$string['pluginname'] = 'Course overview (legacy)';
$string['preservestates'] = 'Preserve expanded states';
$string['privacy:metadata:courseorder'] = 'Ordered list of displayed courses';
$string['privacy:metadata:coursesortorder'] = 'Course sort order (old version)';
$string['privacy:metadata:favourites'] = 'Ordered list of favourite courses';
$string['privacy:metadata:numberofcourses'] = 'Number of courses displayed';
$string['privacy:metadata:sortorder'] = 'Sort order';
$string['removefavourite'] = 'Remove favourite';
$string['reorderfullname'] = 'Course full name';
$string['reorderid'] = 'Course id';
$string['reordernone'] = 'Drag-and-drop order';
$string['reordershortname'] = 'Course short name';
$string['shortnameprefix'] = 'Includes {$a}';
$string['shortnamesufixprural'] = '(and {$a} others)';
$string['shortnamesufixsingular'] = '(and {$a} other)';
$string['showcategories'] = 'Categories to show';
$string['showcategoriesdesc'] = 'Should course categories be displayed below each course?';
$string['sortorder'] = 'Sort order';
$string['title'] = 'Course overview (legacy)';
$string['unfavourite'] = 'Remove favourite';
$string['view_edit_profile'] = '(View and edit your profile.)';
$string['welcome'] = 'Welcome {$a}';
$string['youhavemessages'] = 'You have {$a} unread';
$string['youhavenomessages'] = 'You have no unread';
