<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'block_course_slider', language 'en', branch 'MOODLE_33_STABLE'
 *
 * @package   block_course_slider
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['addinstance'] = 'Add a new Course slider block';
$string['autoplayspeed'] = 'Autoplay Speed:';
$string['autoplayspeeddesc'] = 'Use this field to determine the autoplay speed of the course slider.';
$string['backgroundcolor'] = 'Background colour';
$string['backgroundcolordesc'] = 'Background colour of each course in all course sliders. Use instance custom css to alter colour of individual instances.';
$string['borderradius'] = 'Border radius:';
$string['borderradiusdesc'] = 'The border radius of a course.';
$string['borderstyle'] = 'Border style:';
$string['borderstyledesc'] = 'The border style of a course.';
$string['borderwidth'] = 'Border width:';
$string['borderwidthdesc'] = 'The border width of a course.';
$string['cachetime'] = 'Cache Time:';
$string['cachetimedesc'] = 'The number of minutes the Course slider block is cached for.';
$string['centermodeflag'] = 'Center mode:';
$string['centermodeflagdesc'] = 'Select ON to enable course slider center mode and OFF to disable it.';
$string['color'] = 'Colour';
$string['colordesc'] = 'The colour of each course in all course sliders. Use instance custom css to alter the colour of individual instances.';
$string['courseconfiguration'] = 'Course Configuration';
$string['coursenameflag'] = 'Name:';
$string['coursenameflagdesc'] = 'Select Visible to make the name of the course visible or Hidden to hide it.';
$string['courses'] = 'Courses:';
$string['coursesdesc'] = 'The list of courses to be in course slider.';
$string['courses_help'] = 'The list of courses to be in course slider. Specify comma-separated course ids. For example:<br><br>1,2,3,4';
$string['courseslider'] = 'Course Slider';
$string['course_slider'] = 'Course slider';
$string['coursesliderheading'] = 'Course Slider Settings';
$string['coursesliderheadingdesc'] = 'Customise the appearance of the Course Slider Block (if in use on your site).';
$string['coursesummaryflag'] = 'Summary:';
$string['coursesummaryflagdesc'] = 'Select Visible to make the summary of the course visible or Hidden to hide it.';
$string['customcssfile'] = 'Custom CSS File';
$string['customcssfiledesc'] = 'Add the relative path of a CSS file you would like to load (e.g. /blocks/course_slider/styles/test.css).';
$string['customjsfile'] = 'Custom JS File';
$string['customjsfiledesc'] = 'Add the relative path of a JS file you would like to load (e.g. /blocks/course_slider/jquery/test.js).';
$string['defaultimage'] = 'Default image';
$string['defaultimagedesc'] = 'The default image to use when one is not available for the Course.';
$string['generalconfiguration'] = 'General Configuration';
$string['imagedivheight'] = 'Image height(px):';
$string['imagedivheightdesc'] = 'The height of the image div.';
$string['instancecsscustomisation'] = 'Instance CSS Customisation';
$string['instancecssid'] = 'Instance CSS ID:';
$string['instancecssiddesc'] = 'Use this ID to customise the specific course slider.';
$string['instancecustomcsstextarea'] = 'Instance CSS:';
$string['instancecustomcsstextareadesc'] = 'Use this area to type custom css for the specific course slider. Begin styles with the instance CSS ID.';
$string['myaddinstance'] = 'Add a new Course slider block to the My Moodle page.';
$string['navigationarrownext'] = 'Navigation arrow icon:';
$string['navigationarrownextdesc'] = 'Select from a range fontawesome arrow icons.';
$string['navigationconfiguration'] = 'Navigation Configuration';
$string['navigationgalleryflag'] = 'Navigation gallery:';
$string['navigationgalleryflagdesc'] = 'Select ON to enable the navigation gallery and OFF to disable it.';
$string['navigationoptions'] = 'Navigation Options:';
$string['navigationoptionsdesc'] = 'Select from a range of navigation options, such as Arrows, Radio buttons, Arrows and Radio buttons.';
$string['numberofslides'] = 'Number of slides:';
$string['numberofslidesdesc'] = 'The number of slides to appear in the course slider at any given moment.';
$string['pluginname'] = 'Course slider';
$string['styleconfiguration'] = 'Style Configuration';
$string['title'] = 'Title:';
$string['titledesc'] = 'The title for the Course slider block.';
