<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'block_dyslexic', language 'en', branch 'MOODLE_34_STABLE'
 *
 * @package   block_dyslexic
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['defaut_font'] = 'Default font';
$string['dyslexic:addinstance'] = 'Add a block Mod dyslexic';
$string['dyslexic:myaddinstance'] = 'Add a block Mod dyslexic to the dashboard';
$string['howto_description'] = 'Dyslexic Mod block use Javascript technology to change the site display using CSS.</br>User choice is stocked in cookie.';
$string['howto_title'] = 'Working';
$string['info'] = 'What is dyslexia ?';
$string['intro'] = 'OpenDyslexic font increase readability for readers with dyslexia.</br>Which font did you want to use ?';
$string['link'] = 'Read more on OpenDyslexic font';
$string['moving_description'] = 'Some dislexic people have this impression : they can read, mais need a lot of concentration because letters seems to move. This page allows to share this feeling...';
$string['moving_title'] = 'Why all is moving ?';
$string['opendyslexic_font'] = 'OpenDyslexic font';
$string['pluginname'] = 'Dyslexic mod';
$string['readmore'] = 'Read more...';
$string['script_info'] = 'Script for page animation from:';
$string['script_off'] = 'Stop animation !';
$string['script_on'] = 'Reload animation';
$string['wikipedia_description'] = 'Dyslexia, also known as reading disorder, is characterized by trouble with reading unrelated to problems with overall intelligence. Different people are affected to varying degrees. Problems may include difficulties in spelling words, reading quickly, writing words, "sounding out" words in the head, pronouncing words when reading aloud and understanding what one reads. Often these difficulties are first noticed at school. When someone who previously could read loses their ability, it is known as alexia. The difficulties are involuntary and people with this disorder have an unaffected desire to learn.</br>
The cause of dyslexia is believed to involve both genetic and environmental factors. Some cases run in families. It often occurs in people with attention deficit hyperactivity disorder (ADHD) and is associated with similar difficulties with numbers. It may begin in adulthood as the result of a traumatic brain injury, stroke, or dementia. The underlying mechanisms are problems within the brain\'s language processing. Dyslexia is diagnosed through a series of tests of memory, spelling, vision, and reading skills. Dyslexia is separate from reading difficulties caused by insufficient teaching; or either hearing or vision problems.</br>
Treatment involves adjusting teaching methods to meet the person\'s needs. While not curing the underlying problem, it may decrease the degree of symptoms. Treatments targeting vision are not effective. Dyslexia is the most common learning disability, affecting 3–7 % of the population; however, up to 20% may have some degree of symptoms. While dyslexia is more often diagnosed in men, it has been suggested that it affects men and women equally. Dyslexia occurs in all areas of the world. Some believe that dyslexia should be best considered as a different way of learning, with both benefits and downsides.';
$string['wikipedia_title'] = 'From Wikipedia article';
$string['wikipedia_url'] = 'https://en.wikipedia.org/wiki/Dyslexia';
