<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'block_exastud', language 'en', branch 'MOODLE_35_STABLE'
 *
 * @package   block_exastud
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['additional_head_teacher'] = 'Additional Head of a class';
$string['additional_head_teachers'] = 'Additional Heads of a class';
$string['availablecategories'] = 'Available assessment categories';
$string['availableusers'] = 'Available Users';
$string['back'] = 'Back';
$string['badclass'] = 'You cannot edit this class';
$string['badstudent'] = 'The student is not member of this class';
$string['basiccategories'] = 'Basic categories';
$string['blocktitle'] = 'Student Review';
$string['categories'] = 'Assessment categories';
$string['certificate_issue_date'] = 'Certificate Issue Date';
$string['class'] = 'Class';
$string['class_info'] = 'Edit Class';
$string['class_owner'] = 'Class owner';
$string['commentshouldnotbeempty'] = 'You have to enter a comment.';
$string['configcategories'] = 'Assessment categories in {$a}';
$string['configmember'] = 'Students of {$a}';
$string['configteacher'] = 'Teachers in {$a}';
$string['configuration_classes'] = 'Class Configuration';
$string['configuration_classes_onlyadmin'] = 'Admin access';
$string['de:Bewertungsskala'] = 'Grading';
$string['de:Bildungsstandards'] = 'educational standards';
$string['de:Fachbezeichnungen'] = 'Subjects';
$string['delete_confirmation'] = 'Do you really want to delete "{$a}"?';
$string['de:Niveau'] = 'Level';
$string['de:Note'] = 'Grade';
$string['detailedreview'] = 'Detailed review';
$string['download'] = 'Download';
$string['editclasscategories'] = 'Edit assessment categories';
$string['editclassmemberlist'] = 'Edit student list';
$string['editclassname'] = 'Edit class';
$string['editclassteacherlist'] = 'Edit teacher list';
$string['endtime'] = 'Endtime';
$string['errorinsertingcategories'] = 'Error when adding categorie to a course';
$string['errorinsertingclass'] = 'Error when inserting class';
$string['errorinsertingstudent'] = 'Error when inserting student';
$string['errorinsertingstudents'] = 'Error when adding student to a course';
$string['errorremovingcategories'] = 'Error when removing categories from a course';
$string['errorremovingstudents'] = 'Error when removing student from a course';
$string['errorstarttimebeforeendtime'] = 'Period {$a->description} has its starttime before its endtime!';
$string['errorupdatingclass'] = 'Error when updating class';
$string['errorupdatingstudent'] = 'Error when updating student';
$string['evaluation'] = 'Evaluation';
$string['evaluation1'] = '1 - insufficient';
$string['evaluation10'] = '10 - very good';
$string['evaluation2'] = '2';
$string['evaluation3'] = '3';
$string['evaluation4'] = '4';
$string['evaluation5'] = '5';
$string['evaluation6'] = '6';
$string['evaluation7'] = '7';
$string['evaluation8'] = '8';
$string['evaluation9'] = '9';
$string['event_classassessmentcategory_added_name'] = 'Assessment category was added to class';
$string['event_classassessmentcategory_deleted_name'] = 'Assessment category was deleted from class';
$string['event_classcreated_name'] = 'Class created';
$string['event_classdatachanged_name'] = 'Data of the class was changed';
$string['event_classdeleted_name'] = 'Class deleted';
$string['event_classmemberassigned_name'] = 'User assigned to class';
$string['event_classmemberunassigned_name'] = 'User unassigned from class';
$string['event_classownerupdated_name'] = 'Class owner updated';
$string['event_classteacherassigned_name'] = 'Teacher assigned to class';
$string['event_classteacherunassigned_name'] = 'Teacher unassigned from class';
$string['event_classupdated_name'] = 'Class updated';
$string['event_competencecreated_name'] = 'Competence created';
$string['event_competencedeleted_name'] = 'Competence deleted';
$string['event_competenceupdated_name'] = 'Competence updated';
$string['event_educationplancreated_name'] = 'Education plan created';
$string['event_educationplandeleted_name'] = 'Education plan deleted';
$string['event_educationplanupdated_name'] = 'Education plan updated';
$string['event_gradingoptioncreated_name'] = 'Grading option created';
$string['event_gradingoptiondeleted_name'] = 'Grading option deleted';
$string['event_gradingoptionupdated_name'] = 'Grading option updated';
$string['event_periodcreated_name'] = 'Period created';
$string['event_perioddeleted_name'] = 'Period deleted';
$string['event_periodupdated_name'] = 'Period updated';
$string['event_studentdatachanged_name'] = 'Data of the student was changed';
$string['event_studenthidden_name'] = 'Student hidden';
$string['event_studentreviewcategorychanged_name'] = 'Student category review changed';
$string['event_studentreviewchanged_name'] = 'Student review changed';
$string['event_studentshown_name'] = 'Student shown';
$string['event_subjectcreated_name'] = 'Subject created';
$string['event_subjectdeleted_name'] = 'Subject deleted';
$string['event_subjectstudentdatachanged_name'] = 'Data of the student was changed for subject';
$string['event_subjectupdated_name'] = 'Subject updated';
$string['exastud:addinstance'] = 'add Exabis Student Review to the course';
$string['exastud:admin'] = 'Administrator';
$string['exastud:editperiods'] = 'Edit periods';
$string['exastud:myaddinstance'] = 'add Exabis Student Review on My home';
$string['exastud:uploadpicture'] = 'Upload logo';
$string['exastud:use'] = 'Use of Exabis Student Review';
$string['explainclassname'] = 'Here to edit the class name';
$string['export_class'] = 'Backup Class';
$string['head_teacher'] = 'Head of a class';
$string['head_teachers'] = 'Heads of a class';
$string['html_report'] = 'Overview';
$string['invalidperiodid'] = 'Invalid period id';
$string['logging'] = 'Activate logging';
$string['logosize'] = 'For efficient use the logo banner must be 840x100px. Please avoid using transparency in PNG files as they may cause an error while creating a PDF report.';
$string['name'] = 'name';
$string['newperiod'] = 'New period';
$string['noclassestoreview'] = 'No classes to review';
$string['noclassfound'] = 'No class found!';
$string['no_entries_found'] = 'No Entries found';
$string['noperiods'] = 'There is no assessment-period defined yet. Please contact the administrator.';
$string['nostudentstoreport'] = 'No students to report.';
$string['nostudentstoreview'] = 'No students to review';
$string['perioddesc'] = 'description of the period:';
$string['perioddescription'] = 'Description';
$string['periodinput'] = 'Periods input';
$string['periodoverlaps'] = 'Period {$a->period1} overlaps with {$a->period2}';
$string['periodreview'] = 'Review for period';
$string['periods'] = 'Periods';
$string['periodserror'] = 'Error at the configuration of the periods';
$string['pictureupload'] = 'Logo Upload';
$string['pluginname'] = 'Exabis Student Review';
$string['print'] = 'print';
$string['printall'] = 'Print all';
$string['printversion'] = 'Print version';
$string['project_based_badclass'] = 'You cannot edit this project';
$string['project_based_badstudent'] = 'The student is not member of this project';
$string['project_based_class'] = 'Project';
$string['project_based_configmember'] = 'Students of {$a}';
$string['project_based_configteacher'] = 'Teachers in {$a}';
$string['project_based_configuration'] = 'Edit project';
$string['project_based_editclassmemberlist'] = 'Edit project list';
$string['project_based_editclassname'] = 'Edit project';
$string['project_based_editclassteacherlist'] = 'Edit teacher list';
$string['project_based_errorinsertingclass'] = 'Error when inserting project';
$string['project_based_errorupdatingclass'] = 'Error when updating project';
$string['project_based_explainclassname'] = 'Click here to edit the project name';
$string['project_based_noclassestoreview'] = 'No projects to review';
$string['project_based_noclassfound'] = 'No project found!';
$string['project_based_redirectingtoclassinput'] = 'No project information found, redirecting to project input.';
$string['project_based_reviewclass'] = 'Project review';
$string['project_based_studentreview'] = 'PROJECT REVIEW';
$string['project_based_students'] = 'Projects';
$string['project_based_teachers'] = 'Project-Teachers';
$string['project_based_total'] = 'total score';
$string['project_based_upload_picture'] = 'You can upload a logo for a project-specific report';
$string['redirectingtoclassinput'] = 'No class information found, redirecting to class input.';
$string['redirectingtoperiodsinput'] = 'No period information found, redirecting to periods input';
$string['report'] = 'Report';
$string['reports'] = 'Reports';
$string['responsibility'] = 'Responsibility';
$string['review'] = 'Review';
$string['reviewclass'] = 'Class review';
$string['reviewcount'] = 'review(s) yet';
$string['reviewstudent'] = 'Student review';
$string['selfreliance'] = 'Self-reliance';
$string['settings_detailed_review'] = 'Detailed review';
$string['settings_detailed_review_body'] = 'This setting allows you to see all the assessments from teachers in detail';
$string['settings_project_based_assessment'] = 'Project-based assessment';
$string['settings_project_based_assessment_body'] = 'This setting allows you to use project-based assessment instead of class-assessment';
$string['showall'] = 'Show all';
$string['starttime'] = 'Starttime';
$string['studentgradereports'] = 'Grade Reports';
$string['studentreview'] = 'STUDENT REVIEW';
$string['students'] = 'Members';
$string['teachers'] = 'Teachers';
$string['teachers_options'] = 'Teacher Options';
$string['teamplayer'] = 'Team player';
$string['total'] = 'total score';
$string['upload_picture'] = 'You can upload a logo for a school-specific report';
$string['upload_success'] = 'The new logo was uploaded successfully!';
