<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'block_fn_my_menu', language 'en', branch 'MOODLE_25_STABLE'
 *
 * @package   block_fn_my_menu
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['activitybrdesc'] = 'This link will let you copy activities and content from one course you are an instructor of to another.';
$string['assignroles'] = 'Assign Roles';
$string['backupdesc'] = 'This link will allow you to make a copy of your course, with or without student data.';
$string['backup_restore'] = 'Backup and Copy Content';
$string['blogmenu'] = 'my Blog';
$string['cfgdisplaytitle'] = 'Display title';
$string['change'] = 'Change';
$string['changename'] = 'Edit name';
$string['chapter'] = 'Chapter';
$string['chaptering'] = 'Activate Chapter Grouping';
$string['chapters'] = 'Chapters';
$string['configgroupsections'] = 'Do you want to group week and topic sections in one folder?';
$string['courseduedatedesc'] = 'This link will enable you to change the due dates for activities that have due dates (like Assignments) and the open/close dates for quizzes and lessons.';
$string['courselink'] = 'Course link - course ID';
$string['courseprogramdesc'] = 'This link will allow you to hide and show course activities or entire topics based on calendar dates and the time.';
$string['defaultgrouping'] = 'Default grouping';
$string['displaytitle'] = 'my Menu';
$string['editcoursesettingsdesc'] = 'Use this link to edit your course settings such as the name of the course, the number of topic or week blocks, show the course to students or hide if from students, allow guests in or keep them out, and change the theme (colors and graphics) for the course.';
$string['emaildesc'] = 'Use this link to send email to all or some of the students in your course.';
$string['emailstudents'] = 'Send an email to your course';
$string['expandable_tree'] = 'Expandable Tree';
$string['filesdesc'] = 'This link will take you to your course files directory. In the files directory, you can add or delete files, organize files into folders, etc.';
$string['fngroupsitecourseid'] = 'Course ID for this Group Site:';
$string['fngroupsitename'] = 'Name of Group Site (blank = course name):';
$string['fngroupsitesettings'] = 'Group Site settings (my Menu block):';
$string['fn_my_menu:addinstance'] = 'Add instance';
$string['gradesdesc'] = 'Use this link to view your gradebook. In the gradebook, you can also activate the advanced features to use grade weighting, letter grades, extra credit, etc. See the Gradebook Manual for more information.';
$string['groupsdesc'] = 'Use this link to set up, view, and manage groups in your course.';
$string['groupsite'] = 'Group Site';
$string['instructormanualdesc'] = 'The Instructor\'s Manual for Moodle.';
$string['logsdesc'] = 'This link will show you the logs for your course. You can see which students have been active and what they have been doing in the logs.';
$string['main_control_panel'] = 'Main Control Panel';
$string['maxbytes'] = 'Default maximum size for all \'my files\' uploads on the site';
$string['messages'] = 'my Messenger';
$string['moodle_manuals'] = 'Moodle Manuals';
$string['movetonext'] = 'Move to next chapter';
$string['movetoprevious'] = 'Move to previous chapter';
$string['mycourses'] = 'my Courses';
$string['mycoursesname'] = 'Name for my Courses';
$string['myfiles'] = 'My Files';
$string['mygrade'] = 'my Grades';
$string['numberofchapter'] = 'Number of chapters';
$string['other_controls'] = 'Other Controls';
$string['participantsdesc'] = 'Use this link to view the students and teachers in your course.';
$string['passworddesc'] = 'Click this link to change your password.';
$string['pluginname'] = 'FN My Menu';
$string['profile'] = 'my Profile';
$string['profiledesc'] = 'This link will let you change your personal information, upload a picture, change your password, etc.';
$string['reportabug'] = 'Problem Report';
$string['restoredesc'] = 'This link will allow you to restore a backed up course, either with data to the current course, or to another course you are a administrator of.';
$string['rolesdesc'] = 'Use this link to add or remove students from your course.';
$string['scalesdesc'] = 'This link lets you set up custom grading scales (for instance: &quot;Great, Acceptable, Below Average, Unacceptable&quot;).';
$string['showallsections'] = 'Show All Sections';
$string['studentchangepassword'] = 'Click this link to change your password.';
$string['studentcontrolpaneldesc'] = 'Use this link to see what the student\'s Control Panel looks like.';
$string['studentcp'] = 'Student Control Panel';
$string['studentmanual'] = 'Moodle Student Manual';
$string['studentmanualclick'] = 'Click here for the student manual for Moodle.';
$string['studentmanualdesc'] = 'The Student Manual for Moodle.';
$string['studentparticipants'] = 'Use this link to view the students and teachers in your course.';
$string['studentpersonalsettings'] = 'This link will let you change your personal information, upload a picture, turn your email on or off, etc.';
$string['studentsdesc'] = 'Use this link to add or remove students from your course.';
$string['studentviewgrades'] = 'Click this link to view your grades.';
$string['teacherdesc'] = 'Use this link to add or remove teachers from your course. If you are the primary teacher, you can add other\'s as secondary teachers with or without editing rights, using this link.';
$string['teacherforumdesc'] = 'This is a private forum only available to administrators of this course. You can use it as a place to keep private notes and bookmarks, or a place to have privatate conversations with other administrators in the course.';
$string['topics'] = 'Topics';
$string['user_management'] = 'User Management';
$string['warningchapnochange'] = 'By changing the number of chapters all your chaptering settings will be restored to default! Continue anyway?';
$string['weeks'] = 'Weeks';
$string['wrongnumber'] = 'Number of chapters must be a correct number (only digits), greater than 1 and less then the number of visible topics / weeks !';
