<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'block_livemood', language 'en', branch 'MOODLE_35_STABLE'
 *
 * @package   block_livemood
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['description'] = '<p style="text-align:left; width:80%">
    In order to use Live-Mood (live-school.net) plugin you need to open an Organization account (<b>only one account per organization</b>).
    Once registered, fill the field above with the Organization Secret Key you received by email. Click save changes so you are ready to use Live-Mood (live-school.net) plugin block.<br/>
    Every Moodle Teacher and Student are free to sign up/sign in to Live-Mood (live-school.net) plugin block.<br/>
    Live-Mood (live-school.net) plugin detects the default Moodle user course role. If no course role is defined or the user is a guest,<br>
    three Live-Mood (live-school.net) buttons will be shown (Organization,Teacher,Student).<br/><br/>
    <b>You have to create first a class on Live-Mood (live-school.net) from a Teacher control panel and insert desired students.</b>
    Your organization is automatically registered on <a href="http://www.live-school.net" target="_blank">Live-School</a> dedicated E-learning world wide search engine.<br/>
    (refer to instructions on your Live-School account to be well referenced)<br/><br/>
    <b>Get your organization secret key</b> <a href="https://secure.live-school.net/indexOrg.lol" target="_blank">here</a>
    </p>';
$string['livemood'] = 'Live-Mood';
$string['livemood:addinstance'] = 'Add a new Live-Mood block';
$string['livemood:myaddinstance'] = 'Add a new Live-Mood block to the My Moodle page';
$string['pluginname'] = 'Live-Mood Communication';
$string['settingheader'] = 'Live-Mood settings';
$string['skey'] = 'Organization Secret Key';
