<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'block_lw_courses', language 'en', branch 'MOODLE_35_STABLE'
 *
 * @package   block_lw_courses
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['activityoverview'] = 'You have {$a}s that need attention';
$string['alwaysshowall'] = 'Always show all';
$string['collapseall'] = 'Collapse all course lists';
$string['configotherexpanded'] = 'If enabled, other courses will be expanded by default unless overridden by user preferences.';
$string['configpreservestates'] = 'If enabled, the collapsed/expanded states set by the user are stored and used on each load.';
$string['coursegridwidth'] = 'Grid size';
$string['coursegridwidthdesc'] = 'Select how wide will the course grid will be';
$string['courseimagedefault'] = 'Default course image';
$string['courseimagedefault_desc'] = 'This image will be shown if a course lacks a course summary image file.';
$string['customsettings'] = 'Custom settings';
$string['customsettings_desc'] = 'The following are settings for additions to the course overview block';
$string['defaultmaxcourses'] = 'Default maximum courses';
$string['defaultmaxcoursesdesc'] = 'Maximum courses which should be displayed on my courses block, 0 will show all courses';
$string['displayname'] = 'My Courses';
$string['expandall'] = 'Expand all course lists';
$string['forcedefaultmaxcourses'] = 'Force maximum courses';
$string['forcedefaultmaxcoursesdesc'] = 'If set then user will not be able to change his/her personal setting';
$string['fullpath'] = 'All categories and subcategories';
$string['fullwidth'] = 'Full Width';
$string['hiddencoursecount'] = 'You have {$a} hidden course';
$string['hiddencoursecountplural'] = 'You have {$a} hidden courses';
$string['hiddencoursecountwithshowall'] = 'You have {$a->coursecount} hidden course ({$a->showalllink})';
$string['hiddencoursecountwithshowallplural'] = 'You have {$a->coursecount} hidden courses ({$a->showalllink})';
$string['lw_courses:addinstance'] = 'Add a new my courses block';
$string['lw_courses_bgimage'] = 'Embed images into background';
$string['lw_courses_bgimage_desc'] = 'This will embed images into background as a CSS property';
$string['lw_courses:myaddinstance'] = 'Add a new my courses block to Dashboard';
$string['message'] = 'message';
$string['messages'] = 'messages';
$string['moveafterhere'] = 'Move {$a->movingcoursename} course after {$a->currentcoursename}';
$string['movecourse'] = 'Move course: {$a}';
$string['movecoursehere'] = 'Move course here';
$string['movetofirst'] = 'Move {$a} course to top';
$string['movingcourse'] = 'You are moving: {$a->fullname} ({$a->cancellink})';
$string['nocompletion'] = 'Completion not enabled';
$string['none'] = 'None';
$string['noprogress'] = ': enable course completion tracking!';
$string['numtodisplay'] = 'Number of courses to display:';
$string['onlyparentname'] = 'Parent category only';
$string['otherexpanded'] = 'Other courses expanded';
$string['pluginname'] = 'My Courses (lw_courses)';
$string['preservestates'] = 'Preserve expanded states';
$string['privacy:metadata'] = 'The My Courses (lw_courses) block only shows information about courses and does not store data itself.';
$string['progress'] = 'Progress type';
$string['progress_desc'] = 'This will determine what type of course grades the block will try to render';
$string['progressenabled'] = 'Course progress bar';
$string['progressenabled_desc'] = 'This will determine if the course progress bar will be shown to learners';
$string['progressunavail'] = 'Progress unavailable';
$string['quarterwidth'] = '4 per row';
$string['shortnameprefix'] = 'Includes {$a}';
$string['shortnamesufixprural'] = '(and {$a} others)';
$string['shortnamesufixsingular'] = '(and {$a} other)';
$string['showcategories'] = 'Categories to show';
$string['showcategoriesdesc'] = 'Should course categories be displayed below each course?';
$string['showchildren'] = 'Show children';
$string['showchildrendesc'] = 'Should child courses be listed underneath the main course title?';
$string['showteachers'] = 'Show teachers';
$string['showteachers_desc'] = 'This will allow teachers images and names to be rendered against a course';
$string['showwelcomearea'] = 'Show welcome area';
$string['showwelcomeareadesc'] = 'Show the welcome area above the course list?';
$string['splitwidth'] = '2 per row';
$string['startgrid'] = 'Start as grid';
$string['startgrid_desc'] = 'This will render the courses in a grid straight away';
$string['summary_limit'] = 'Summary character limit';
$string['summary_limit_desc'] = 'Limit the output of text to display as course summaries on the users home page';
$string['thirdwidth'] = '3 per row';
$string['unset'] = 'Unset';
$string['view_edit_profile'] = '(View and edit your profile.)';
$string['welcome'] = 'Welcome {$a}';
$string['youhavemessages'] = 'You have {$a} unread';
$string['youhavenomessages'] = 'You have no unread';
