<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'block_moodle_notifications', language 'en', branch 'MOODLE_20_STABLE'
 *
 * @package   block_moodle_notifications
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['added'] = 'Added';
$string['assignment'] = 'Assignment';
$string['chat'] = 'Chat';
$string['checklist'] = 'Checklist';
$string['choice'] = 'Choice';
$string['configuration_comment'] = 'None notification channel enabled.';
$string['course_configuration_presets_comment'] = 'The presets allow you to set default user settings for email and sms channels. These settings are going to affect only the users that have not defined their preferences.';
$string['data'] = 'Database';
$string['deleted'] = 'Deleted';
$string['email'] = 'e-mail';
$string['email_icon_tooltip'] = 'The notification of new content via e-mail is enabled. You will receive an e-mail every';
$string['email_notification_preset'] = 'eMail preset';
$string['email_notification_preset_explanation'] = 'Preset email notifications for the user if email channel enabled.';
$string['end_of_tooltip'] = 'hours if new contents or activities are added to the course.';
$string['folder'] = 'Folder';
$string['forum'] = 'Forum';
$string['global_configuration_comment'] = 'Globally enabled notification channels.';
$string['global_configuration_presets_comment'] = 'The presets allow you to set default user settings for email and sms channels. These presets are global but they can be changed on the course level.';
$string['glossary'] = 'Glossary';
$string['help_title'] = 'Set your mobile number';
$string['imscp'] = 'IMS package';
$string['last_notification'] = 'Last';
$string['lesson'] = 'Lesson';
$string['mailsubject'] = 'Updates on course';
$string['notification_frequency'] = 'Checking new contents frequency in hours:';
$string['notification_frequency_comment'] = 'Checking of the new contents in courses will be performed every number of hours specified here. This value can be overwritten by course settings.';
$string['notify_by_email'] = 'Notify by e-mail';
$string['notify_by_rss'] = 'Notify by RSS';
$string['notify_by_sms'] = 'Notify by SMS';
$string['page'] = 'Page';
$string['pluginname'] = 'Notifications';
$string['quiz'] = 'Quiz';
$string['quizport'] = 'Quizport';
$string['resource'] = 'Resource';
$string['rss'] = 'RSS';
$string['rss_icon_tooltip'] = 'The notification of new content via RSS is enabled. Click on the icon to open RSS channel and to subscribe.';
$string['scorm'] = 'Scorm';
$string['set_mobile_number_instructions'] = 'Go to the course page and click on your name in the top right corner. Then click on Edit Profile and go to the bottom of the page. Put your number inside Mobile Phone field and then click on Update profile to save.';
$string['sms'] = 'SMS';
$string['sms_class_not_implemented'] = 'This channel is not available in your installation. Please refer to the README.txt file inside the plugin directory for more information on how to proceed to enable it.';
$string['sms_icon_phone_number_missing_tooltip'] = 'Mobile phone number not set. Click for instructions on how to proceed to set your personal number.';
$string['sms_icon_tooltip'] = 'The notification of new content via SMS is enabled. You will receive an sms every';
$string['sms_notification_preset'] = 'SMS preset';
$string['sms_notification_preset_explanation'] = 'Preset sms notifications for the user if sms channel enabled.';
$string['survey'] = 'Survey';
$string['updated'] = 'Updated';
$string['url'] = 'Web link';
$string['user_preference_header'] = 'Enable or Disable your notification channels';
$string['user_preference_settings'] = 'Personal Settings';
$string['wiki'] = 'Wiki';
$string['workshop'] = 'Workshop';
