<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'block_user_preferences', language 'en', branch 'MOODLE_24_STABLE'
 *
 * @package   block_user_preferences
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['add'] = 'Add More Attributes';
$string['add_help'] = 'For language/knowledge attributes, aims and interests of a learner multiple attributes can be entered which each one belongs to a single language/aim/interest/... <br/>With the form in the lower part of the page additional of these attributes can be added to the personal preferences of a learner.';
$string['choose_user'] = 'Choose User';
$string['choose_user_help'] = '<p>Tutors and administrators can not only view and modify their own personal preferences but also the preferences of any participant (learner) in the selected course. Whose attributes a tutor or an administrator can view (which participants?) they can choose in the upper part of the web page.</p><p>With this function for viewing and editing learner preferences tutors can check if learner data is correct for all learners in a course and they can correct incorrect data if neccessary. Only by entering correct personal preferences iLMS application can optimize the course structure for each learner correctly, leading to learning success.</p>';
$string['edit_button_add'] = 'Add this';
$string['edit_button_choose_user'] = 'Choose';
$string['edit_button_delete'] = 'Delete';
$string['edit_button_modify'] = 'Modify';
$string['edit_continue'] = 'Continue ...';
$string['edit_footer'] = '';
$string['edit_label_choose_user'] = 'Learner/User:';
$string['edit_legend_add'] = 'Add new certificates, personal aims and interests';
$string['edit_legend_choose_user'] = 'Choose course member';
$string['edit_legend_preferences'] = 'Current preferences';
$string['editlink'] = '(No English Version)';
$string['editlink_help'] = '<p>(No Text in English)</p>';
$string['editlink_zwo'] = '(No English Version)';
$string['editlink_zwo_help'] = '<p>(No Text in English)</p>';
$string['edit_nopermission'] = 'Learner preferences are not available until you are logged in.';
$string['edit_novalues'] = 'No learner preferences are assigned for you.';
$string['edit_title'] = 'Modify learner preferences';
$string['edit_title2'] = 'Modify your personal preferences/settings';
$string['error_invalid_course'] = 'Invalid course ID.<br/>You cannot show oder modify the preferences of the members of this course because the specified course does not exist.';
$string['error_invalid_sql_add'] = 'SQL database error while adding the new attribute';
$string['error_invalid_sql_delete'] = 'SQL database error while delete the chosen attribute';
$string['error_invalid_sql_select'] = 'SQL dabase error while reading attribute values';
$string['error_invalid_sql_set'] = 'SQL database error while modifying the current attribute';
$string['error_invalid_user'] = 'Invalid user ID.<br/>You cannot modify the preferences of the specified user because it does not exist.';
$string['error_no_definitions'] = 'Error: This block seems to be installed incompletely. An administrator should check the configuration of this block before all functions will work correctly.';
$string['error_session_timeout'] = 'Login error: Session timeout';
$string['footer'] = '';
$string['learner_ability'] = 'Ability';
$string['learner_ability_help'] = '-';
$string['learner_ability_level1'] = 'rarely able';
$string['learner_ability_level2'] = 'poor';
$string['learner_ability_level3'] = 'average';
$string['learner_ability_level4'] = 'good';
$string['learner_ability_level5'] = 'excellent';
$string['learner_age'] = 'Age';
$string['learner_age_help'] = 'How is your age (in years)?';
$string['learner_aim'] = 'Aim';
$string['learner_aim_help'] = '-';
$string['learner_aim_level1'] = 'unimportant';
$string['learner_aim_level2'] = 'less important';
$string['learner_aim_level3'] = 'average important';
$string['learner_aim_level4'] = 'mostly important';
$string['learner_aim_level5'] = 'neccessary';
$string['learner_certificate'] = 'Certificate';
$string['learner_certificate_help'] = '-';
$string['learner_certificate_level1'] = 'not aquired';
$string['learner_certificate_level2'] = 'poor';
$string['learner_certificate_level3'] = 'average';
$string['learner_certificate_level4'] = 'good';
$string['learner_certificate_level5'] = 'excellent';
$string['learner_difficulty'] = 'Course-specific knowledge';
$string['learner_difficulty_help'] = 'How good is your subject-specific knowledge for this course?';
$string['learner_difficulty_level1'] = 'not started';
$string['learner_difficulty_level2'] = 'beginner';
$string['learner_difficulty_level3'] = 'advanced';
$string['learner_difficulty_level4'] = 'professional';
$string['learner_difficulty_level5'] = 'excellent';
$string['learner_emotional_requirement_help'] = '-';
$string['learner_expected_grade'] = 'Expected grade';
$string['learner_expected_grade_help'] = '-';
$string['learner_expected_grade_level1'] = 'just pass';
$string['learner_expected_grade_level2'] = 'average';
$string['learner_expected_grade_level3'] = 'good';
$string['learner_expected_grade_level4'] = 'very good';
$string['learner_expected_grade_level5'] = 'excellent';
$string['learner_experience'] = 'General experience';
$string['learner_experience_help'] = '<p>How good is your general experience (in comparison with different age people)?</p><p>This question is relevant to guess your experience compared with the average experience of people in your age. People sitting at home lonely will have not so much experience in life compared to others while people travelling around and have seen a lot of different things will have a larger amount of experience.</p>';
$string['learner_experience_level1'] = 'small girl/boy';
$string['learner_experience_level2'] = 'average teenager';
$string['learner_experience_level3'] = 'average adult';
$string['learner_experience_level4'] = 'professional';
$string['learner_experience_level5'] = 'scientist';
$string['learner_general_knowledge'] = 'General knowledge';
$string['learner_general_knowledge_help'] = 'How good is your general general knowledge in average?';
$string['learner_general_knowledge_level1'] = 'poor';
$string['learner_general_knowledge_level2'] = 'below average';
$string['learner_general_knowledge_level3'] = 'average';
$string['learner_general_knowledge_level4'] = 'good';
$string['learner_general_knowledge_level5'] = 'excellent';
$string['learner_hobby'] = 'Hobby';
$string['learner_hobby_help'] = '-';
$string['learner_hobby_level1'] = 'not practised';
$string['learner_hobby_level2'] = 'practised a few times';
$string['learner_hobby_level3'] = 'regularly practised';
$string['learner_hobby_level4'] = 'often practised';
$string['learner_hobby_level5'] = 'practised as often as possible';
$string['learner_interest'] = 'Interest';
$string['learner_interest_help'] = '-';
$string['learner_interest_level1'] = 'not interested';
$string['learner_interest_level2'] = 'hardly interested';
$string['learner_interest_level3'] = 'interested';
$string['learner_interest_level4'] = 'very interested';
$string['learner_interest_level5'] = 'enthusiastic';
$string['learner_learningstyle_input'] = 'Preferred learning content';
$string['learner_learningstyle_input_help'] = 'What input do you like more:<br/> <em>visual</em> (pictures, diagrams, graphs, demonstrations) or <em>auditory</em> (discussions, lectures, sounds)?';
$string['learner_learningstyle_input_level1'] = 'preferred visual';
$string['learner_learningstyle_input_level2'] = 'rather visual than verbal';
$string['learner_learningstyle_input_level3'] = 'both equal';
$string['learner_learningstyle_input_level4'] = 'rather verbal than visual';
$string['learner_learningstyle_input_level5'] = 'preferred verbal';
$string['learner_learningstyle_organization'] = 'Preferred organization style';
$string['learner_learningstyle_organization_help'] = 'Which organization of information is most comfortable for you:<br/> <em>deductive</em> (general principles first, consequences and examples later) or <em>inductive</em> (facts are given first, underlying principles are inferred)?';
$string['learner_learningstyle_organization_level1'] = 'preferred deductive';
$string['learner_learningstyle_organization_level2'] = 'rather deductive than inductive';
$string['learner_learningstyle_organization_level3'] = 'both equal';
$string['learner_learningstyle_organization_level4'] = 'rather inductive than deductive';
$string['learner_learningstyle_organization_level5'] = 'preferred inductive';
$string['learner_learningstyle_perception'] = 'Perception';
$string['learner_learningstyle_perception_help'] = 'What kind of information do you preferentially perceive:<br/> <em>sensory</em> (sights, sounds, physical sensations) or <em>intuitive</em> (possibilities, insights, hunches)?';
$string['learner_learningstyle_perception_level1'] = 'almost sensing';
$string['learner_learningstyle_perception_level2'] = 'rather sensing than intuitive';
$string['learner_learningstyle_perception_level3'] = 'both equal';
$string['learner_learningstyle_perception_level4'] = 'rather intuitive than sensing';
$string['learner_learningstyle_perception_level5'] = 'almost intuitive';
$string['learner_learningstyle_perspective'] = 'Preferred perspective';
$string['learner_learningstyle_perspective_help'] = 'How do you understand learning material better:<br/> Progressing <em>sequentially</em> in continues steps from one material to the next or progressing <em>globally</em>, in large jumps';
$string['learner_learningstyle_perspective_level1'] = 'perferred global';
$string['learner_learningstyle_perspective_level2'] = 'rather global than sequencial';
$string['learner_learningstyle_perspective_level3'] = 'both equal';
$string['learner_learningstyle_perspective_level4'] = 'rather sequencial than global';
$string['learner_learningstyle_perspective_level5'] = 'perferred sequencial';
$string['learner_learningstyle_processing'] = 'Thinking style';
$string['learner_learningstyle_processing_help'] = 'What is your way of thinking:<br/><em>Active</em> (through engagement in physical activity or discussion) or <em>reflective</em> (through introspection)';
$string['learner_learningstyle_processing_level1'] = 'mostly active';
$string['learner_learningstyle_processing_level2'] = 'rather active than reflective';
$string['learner_learningstyle_processing_level3'] = 'both equal';
$string['learner_learningstyle_processing_level4'] = 'rather reflective than active';
$string['learner_learningstyle_processing_level5'] = 'mostly reflective';
$string['learner_license'] = 'Licences';
$string['learner_license_help'] = '-';
$string['learner_license_level1'] = 'not aquired';
$string['learner_license_level2'] = 'poor';
$string['learner_license_level3'] = 'average';
$string['learner_license_level4'] = 'good';
$string['learner_license_level5'] = 'excellent';
$string['learner_linguistic_requirement'] = 'Linguistic abilities';
$string['learner_linguistic_requirement_help'] = '-';
$string['learner_linguistic_requirement_level1'] = 'poor';
$string['learner_linguistic_requirement_level2'] = 'below average';
$string['learner_linguistic_requirement_level3'] = 'average';
$string['learner_linguistic_requirement_level4'] = 'good';
$string['learner_linguistic_requirement_level5'] = 'excellent';
$string['learner_logical_requirement'] = 'Mathmatical-logical abilities';
$string['learner_logical_requirement_help'] = '-';
$string['learner_logical_requirement_level1'] = 'poor';
$string['learner_logical_requirement_level2'] = 'below average';
$string['learner_logical_requirement_level3'] = 'average';
$string['learner_logical_requirement_level4'] = 'good';
$string['learner_logical_requirement_level5'] = 'excellent';
$string['learner_motivation'] = 'Motivation';
$string['learner_motivation_help'] = 'How is your motivation for learning today?';
$string['learner_motivation_level1'] = 'frustrated';
$string['learner_motivation_level2'] = 'bored';
$string['learner_motivation_level3'] = 'average';
$string['learner_motivation_level4'] = 'motivated';
$string['learner_motivation_level5'] = 'enthusiastic';
$string['learner_musical_requirement_help'] = '-';
$string['learner_pc_knowledge'] = 'PC knowledge';
$string['learner_pc_knowledge_help'] = 'PC knowledge is a prerequisite to be successful in e-learning. How good are you with computers and the internet?';
$string['learner_pc_knowledge_level1'] = 'beginner';
$string['learner_pc_knowledge_level2'] = 'basic user knoweldge';
$string['learner_pc_knowledge_level3'] = 'average user knoweldge';
$string['learner_pc_knowledge_level4'] = 'advanced user knowledge';
$string['learner_pc_knowledge_level5'] = 'advanced programmer knowledge';
$string['learner_qualification'] = 'Qualification';
$string['learner_qualification_help'] = '-';
$string['learner_qualification_level1'] = 'not aquired';
$string['learner_qualification_level2'] = 'poor';
$string['learner_qualification_level3'] = 'average';
$string['learner_qualification_level4'] = 'good';
$string['learner_qualification_level5'] = 'excellent';
$string['learner_reading'] = 'Reading ability';
$string['learner_reading_help'] = '-';
$string['learner_reading_level1'] = 'not able to read';
$string['learner_reading_level2'] = 'poor';
$string['learner_reading_level3'] = 'average';
$string['learner_reading_level4'] = 'good';
$string['learner_reading_level5'] = 'excellent';
$string['learner_social_requirement'] = 'Social/communication abilities';
$string['learner_social_requirement_help'] = '-';
$string['learner_social_requirement_level1'] = 'poor';
$string['learner_social_requirement_level2'] = 'below average';
$string['learner_social_requirement_level3'] = 'average';
$string['learner_social_requirement_level4'] = 'good';
$string['learner_social_requirement_level5'] = 'excellent';
$string['learner_spatial_requirement_help'] = '-';
$string['learner_spoken_language'] = 'Spoken language';
$string['learner_spoken_language_help'] = '-';
$string['learner_spoken_language_level1'] = 'not spoken';
$string['learner_spoken_language_level2'] = 'poor';
$string['learner_spoken_language_level3'] = 'average';
$string['learner_spoken_language_level4'] = 'advanced';
$string['learner_spoken_language_level5'] = 'mother tongue';
$string['learner_writing'] = 'Writing ability';
$string['learner_writing_help'] = '-';
$string['learner_writing_level1'] = 'not able to write';
$string['learner_writing_level2'] = 'poor';
$string['learner_writing_level3'] = 'average';
$string['learner_writing_level4'] = 'good';
$string['learner_writing_level5'] = 'excellent';
$string['pluginname'] = 'Learner preferences';
$string['subtype'] = 'Subtype of Attribute';
$string['subtype_help'] = 'For language/knowledge attributes, aims and interests of a learner multiple attributes can be entered which each one belongs to a single language/aim/interest/... <br/>In this field an specific description of the attribute can be given, for example &quot;English&quot; for a language, &quot;MBA$quot; as an expected grade or &quot;religion$quot; as an interest.';
$string['title_attribute'] = 'Attribute';
$string['title_attribute_definition'] = 'Attribute definitions for Learner metadata';
$string['title_group'] = 'Attribute group';
$string['title_group_aims'] = 'Aims';
$string['title_group_general'] = 'General';
$string['title_group_interests'] = 'Interests';
$string['title_group_knowledge'] = 'Knowledge/Certificates';
$string['title_group_preferences'] = 'Personal preferences';
$string['title_level'] = 'Level';
$string['title_level1'] = 'Lowest level';
$string['title_level2'] = '2nd level';
$string['title_level3'] = '3rd level';
$string['title_level4'] = '4th level';
$string['title_level5'] = 'Highest level';
$string['title_subtype'] = 'Subtype';
$string['title_subtype_ability'] = 'Ability';
$string['title_subtype_aim'] = 'Aim';
$string['title_subtype_certificate'] = 'Certificate description';
$string['title_subtype_difficulty'] = 'Course';
$string['title_subtype_expected_grade'] = 'Description of expected grade';
$string['title_subtype_hobby'] = 'Hobby';
$string['title_subtype_interest'] = 'Interest';
$string['title_subtype_license'] = 'License description';
$string['title_subtype_qualification'] = 'Qualification description';
$string['title_subtype_reading'] = 'Language';
$string['title_subtype_spoken_language'] = 'Language';
$string['title_subtype_writing'] = 'Language';
$string['title_tracking'] = 'This property is adapted automatically via learner tracking processes';
$string['title_type'] = 'Type';
$string['title_type_number'] = 'Numeric value';
$string['title_type_range'] = 'Classification';
$string['title_value'] = 'Limit';
$string['title_value2'] = 'Value';
$string['title_values'] = 'Limits';
