<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'congrea', language 'en', branch 'MOODLE_35_STABLE'
 *
 * @package   congrea
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['askplaymsg'] = '<span id="askplaymsg"> "Downloading under process, click Play  to begin </span>"';
$string['audio'] = 'Audio';
$string['audio_help'] = 'If enable , By default audio of all student will be enabled.';
$string['audiolatency'] = 'Audio Latency';
$string['audiotest'] = 'Test Audio';
$string['cgapi'] = 'Congrea api key';
$string['cgapid'] = 'Enter congrea api key';
$string['cgsecret'] = 'Congrea secret key';
$string['cgsecretd'] = 'Enter congrea secret key';
$string['closebeforeopen'] = 'Could not save the congrea. You have specified a close date before the open date.';
$string['closenotset'] = 'You have to specify a close time.';
$string['closesameopen'] = 'Session open and close time should not be same';
$string['closetime'] = 'Sessions closed';
$string['colorpicker'] = 'Custom color picker';
$string['colorpickerd'] = 'Choose custom color';
$string['congrea'] = 'Congrea';
$string['congrea:addinstance'] = 'Add a new congrea';
$string['congreaconfiguration'] = 'Congrea configuration';
$string['congreaconfigurationd'] = 'Congrea free trial available from <a href="https://www.congrea.com/" target= "_blank">www.congrea.com</a>';
$string['congreadocument'] = 'You are already Uploaded this';
$string['congrea:dorecording'] = 'Save recoding';
$string['congreafieldset'] = 'Custom example fieldset';
$string['congreagenerald'] = 'Congrea api key';
$string['congreaname'] = 'Congrea name';
$string['congreaname_help'] = 'This is a real-time online class room which allows participates interaction with each other and provide asynchronous communication tools such as whiteboard, chat and screen sharing .';
$string['congrea:playrecording'] = 'Play recording';
$string['congreapoll'] = 'Congrea Poll Question';
$string['congrea:pollreport'] = 'Congrea poll report';
$string['congrea:quizreport'] = 'Congrea quiz report';
$string['congrea:recordingdelete'] = 'Delete recording';
$string['congrea:recordingupload'] = 'Upload recorded file';
$string['congreatiming'] = 'Virtual class timing : <b> {$a->open} </b> to <b> {$a->close} </b>';
$string['congrea:view'] = 'View congrea';
$string['coursesactivity'] = 'Courses activity (Events by course)';
$string['customsetting'] = 'Custom settings';
$string['deletepolloption'] = 'Delete operation is Unsucessfull';
$string['deleterecordingfile'] = 'Are you sure that you want to delete the recorded file <br> "{$a}"?';
$string['disableAudio'] = 'Disable audio';
$string['disablespeaker'] = 'Mute';
$string['downloadsession'] = 'Please wait while recording is downloaded.';
$string['enableAudio'] = 'Enable audio';
$string['enablespeaker'] = 'Enable Audio';
$string['event'] = 'Event';
$string['eventsbymonth'] = 'Events by month ({$a})';
$string['eventsmosttriggered'] = 'Most triggered events';
$string['generate'] = 'Generate';
$string['graphic:view'] = 'View events graphic report';
$string['httpserror'] = 'Warning!  HTTPS (ssl) is required for Congrea. It is detected that at present Moodle is not running on https and hence some features of Congrea may not work.';
$string['indvprogress'] = 'Current Task';
$string['joinroom'] = 'Join virtual class room';
$string['liverun'] = 'Online - Use vidya.io server';
$string['menu'] = 'Events Graphic Report';
$string['modulename'] = 'Congrea';
$string['modulename_help'] = 'Use the Congrea module for real-time online learning.  Congrea module allows you to participate in synchronous learning,which means that the teacher and students are logged into the virtual learning environment and interacting with each other at the same time.
This module provide students with asynchronous communication tools, such as whiteboard and chat capabilities';
$string['modulenameplural'] = 'Congreas';
$string['noattempt'] = 'Not attempted by any user';
$string['nopolldata'] = 'No Data for Save';
$string['nopollresult'] = 'Unable to save poll result';
$string['nopollsave'] = 'Unable to save poll';
$string['noquizattempt'] = 'Not attempted by any user';
$string['noquizreport'] = 'No data available.';
$string['noreport'] = 'No data available.';
$string['notsavekey'] = 'Congrea api key is missing. Go to <a href="{$a}">congrea settings</a> for configure.';
$string['opentime'] = 'Sessions open';
$string['overallprogress'] = 'Overall Progress';
$string['percentage'] = 'Percentage';
$string['play'] = 'Play';
$string['pluginadministration'] = 'Congrea administration';
$string['pluginname'] = 'Congrea';
$string['polldelete'] = 'Poll Delete is Unsucessfull, try again';
$string['polloptiondeletefailed'] = 'Delete is Failed,Try again';
$string['pollreport'] = 'Poll report';
$string['pollretrievefail'] = 'Unable to Retrieve Poll,Try again';
$string['pollupdatefail'] = 'Poll Update is Unsucessfull, try again';
$string['preset'] = 'Preset color';
$string['presetd'] = 'Select preset color';
$string['pressalways'] = 'Press always to speak';
$string['pressAlwaysToSpeak'] = 'Press always to speak.';
$string['pressonce'] = 'Press once to speak';
$string['proposedspeed'] = 'Proposed Speed';
$string['pushtotalk'] = 'Push to talk';
$string['pushtotalk_help'] = 'If enable , an extra option for audio testing display.';
$string['quantity'] = 'quantity';
$string['quizreport'] = 'Quiz report';
$string['replay'] = 'Re-play';
$string['replay_message'] = 'Thanks for watching.';
$string['selectcolor'] = 'Select color';
$string['selectcolor_help'] = 'Choose your own color for your classroom';
$string['selectteacher'] = 'Select teacher';
$string['selectteacher_help'] = 'Select teacher as a moderator for virtual classroom';
$string['sessionclosed'] = 'This session is unavailable';
$string['sessionendmsg'] = 'Session has been closed. You may now close your browser.';
$string['sessionsschedule'] = 'Schedule for sessions';
$string['silencedetect'] = 'Silence Detection';
$string['teachername'] = 'Teacher : {$a->firstname} {$a->lastname}';
$string['testingbrowser'] = 'Testing Browser Compatibility';
$string['testinginternetspeed'] = 'Testing Internet Speed';
$string['testingmichrophone'] = 'Testing Microphone';
$string['testingspeaker'] = 'Testing Speaker';
$string['testingwebcam'] = 'Testing Webcam Connection';
$string['totalprogress'] = 'Total Progress';
$string['tpAudioTest'] = 'Audio Test';
$string['unsupportedfiletype'] = 'Invalid file type, only Congrea session recordings {.vcp} are supported.';
$string['uploadedsession'] = 'Your session has ended, you may now close the window. <br /> Or
                                  close this popup to start a new session.';
$string['uploadedsessionOk'] = 'Click "Ok" to start a new Session.';
$string['uploadrecordedfile'] = 'Upload recorded file';
$string['uploadsession'] = 'Please wait until processing is complete.';
$string['usersactivity'] = 'User activity (Events by user)';
$string['videoquality'] = 'Video Quality';
$string['waitmsgconnect'] = 'Please wait a whlie. Application is trying to connect.';
$string['wheretoruncongrea'] = 'From where to serve congrea App';
$string['wrongkey'] = 'Congrea api key is wrong. Go to <a href="{$a}">Congrea Settings</a> for configure again.';
