<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'courseboard', language 'en', branch 'MOODLE_30_STABLE'
 *
 * @package   courseboard
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['alreadyrated'] = 'You already rated this post!';
$string['amountascending'] = 'Ratingamount: asc';
$string['amountdescending'] = 'Ratingamount: desc';
$string['anonymous'] = 'Anonymous';
$string['courseboard:addinstance'] = 'Add a new courseboard.';
$string['courseboard:notifynewcomment'] = 'Permission to get a notification about a new comment.';
$string['courseboard:notifynewpost'] = 'Permission to get a notification about a new post.';
$string['courseboard:notifynewrate'] = 'Permission to get a notification when a post got rated.';
$string['courseboard:view'] = 'Permission to view a courseboard';
$string['courseboard:write'] = 'Permission to write on a courseboard.';
$string['emptyCommentinput'] = 'Write something to send a comment!';
$string['emptypostinput'] = 'Write something to send a post!';
$string['hideComments'] = 'Hide comments';
$string['intro'] = 'Description';
$string['latestcomment'] = 'latest comment';
$string['latestcomments'] = 'latest comments';
$string['latestpost'] = 'latest post';
$string['latestposts'] = 'latest posts';
$string['latestrating'] = 'latest rating';
$string['latestratings'] = 'latest ratings';
$string['loadingpleasewait'] = 'Loading, please wait...';
$string['messageprovider:newcomment'] = 'Notification about a new comment.';
$string['messageprovider:newpost'] = 'Notification about a new post.';
$string['messageprovider:newrate'] = 'Notification when a post got rated.';
$string['modulename'] = 'Courseboard';
$string['modulename_help'] = 'This plugin enables the students to give in a quick way the teacher and other students a short feedback.
A feedback can be sent anonymously, so the student will be more likley to write something.
With the option to comment a feedback this eventually leads to a little discussion about the feedback/course.
The plugin allows the teacher to get a good summary, with the help of sort and rating of the feedbacks, about his course/teaching.';
$string['modulenameplural'] = 'Courseboards';
$string['name'] = 'Name';
$string['nameinputdescription'] = 'If set to "Anonymous", then your name will be Anonymous.';
$string['newcommentmessage'] = 'There is a new comment available on a courseboard({$a->courseboardname}).
 {$a->author} posted a new comment - {$a->date}.
 Courseboardlink: {$a->courseboardurl}.';
$string['newcommentsmall'] = 'Courseboard: New comment from {$a->author} is available.';
$string['newcommentsubject'] = 'Courseboard: New comment - {$a->courseboardname}.';
$string['newpostmessage'] = 'A new post is on a courseboard({$a->courseboardname}) available.
 {$a->author} posted a new post - {$a->date}.
 Courseboardlink: {$a->courseboardurl}.';
$string['newpostsmall'] = '{$a->author} posted a new post.';
$string['newpostsubject'] = 'Courseboard: New Post - {$a->courseboardname}.';
$string['newratemessage'] = 'A post was rated with {$a->stars} stars. {$a->courseboardname} - {$a->date}.
 Courseboardlink: {$a->courseboardurl}.';
$string['newratesmall'] = 'Courseboard: A post was rated with {$a->stars} stars.';
$string['newratesubject'] = 'Courseboard: A post was rated - {$a->courseboardname}.';
$string['newsortdescription'] = 'Date: newest first';
$string['noComments'] = 'There are no comments for this post';
$string['noposts'] = 'There are no posts for this Courseboard';
$string['notcommented'] = 'The user did not write a comment yet.';
$string['notposted'] = 'The user did not write a post yet.';
$string['notrated'] = 'The user did not rated yet.';
$string['offlineerror'] = 'You are not logged in, please log in to use this plugin';
$string['oldsortdescription'] = 'Date: oldest first';
$string['pluginadministration'] = 'Pluginadministration';
$string['pluginname'] = 'Courseboard';
$string['postwall'] = 'Courseboard';
$string['rate'] = 'rate';
$string['ratefiveStars'] = '(5) Post could have been from me.';
$string['ratefourStars'] = '(4) Post is well said.';
$string['rateoneStar'] = '(1) Post doesn´t interest me.';
$string['ratepost'] = 'Rate this post...';
$string['ratethreeStars'] = '(3) Post concerns me too.';
$string['ratetwoStars'] = '(2) Post partly fits.';
$string['rating'] = 'Amount of Ratings done';
$string['ratingascending'] = 'Rating: ascending';
$string['ratingdescending'] = 'Rating: descending';
$string['send'] = 'Send';
$string['setmodulename'] = 'Name of this courseboard';
$string['showComments'] = 'Show comments';
$string['sortfor'] = 'Sort for';
$string['time'] = 'time';
$string['userpreferences'] = 'User preferences';
$string['writeaComment'] = 'Write a comment...';
$string['writeapost'] = 'Write something...';
