<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'elang', language 'en', branch 'MOODLE_35_STABLE'
 *
 * @package   elang
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['badrequest'] = 'Bad Request';
$string['Close'] = 'Close';
$string['completion:gapcompleted'] = 'Student must have completed filled at least this percentage of all gaps correctly (without help):';
$string['completion:gapcompletedgroup'] = 'Correctly completed gaps';
$string['completion:gapfilled'] = 'Student must have filled at least this percentage of all gaps:';
$string['completion:gapfilledgroup'] = 'Total gaps filled';
$string['csvemail'] = 'Email';
$string['csvfirstname'] = 'Firstname';
$string['csvlastname'] = 'Lastname';
$string['cuelisting'] = 'Cue Listing';
$string['download'] = 'Download';
$string['download_help'] = 'The file downloaded in CSV format contains the progress of each student. Students are arranged in lines and text to guess in columns. A title line contains the number of the sequence of texts to guess. In the rest of the cells, a number represents the status of each text to guess (0: empty 1: success, -1 error, -2: help requested).';
$string['elang'] = 'Listening Landscape';
$string['elang:addinstance'] = 'Add a new Listening landscape';
$string['elang:isinreport'] = 'Be shown on activity reports';
$string['elangname'] = 'Exercise\'s title';
$string['elangname_help'] = 'Enter the exercise title';
$string['elang:report'] = 'Report a Listening landscape';
$string['elang:view'] = 'View a Listening landscape';
$string['email'] = 'Email';
$string['encoding'] = 'Encoding';
$string['encoding_config'] = 'Select the list of possible encodings for the moodle site';
$string['Error'] = 'Error';
$string['eventcheckadded'] = 'Check added';
$string['eventhelpviewed'] = 'Help viewed';
$string['eventreportviewed'] = 'Report viewed';
$string['filearea_poster'] = 'Posters';
$string['filearea_subtitle'] = 'Subtitles';
$string['filearea_videos'] = 'Videos';
$string['Forbidden'] = 'Forbidden';
$string['formatlang'] = 'Video language: %s';
$string['formatname'] = '%s [%s]';
$string['getpdf'] = 'Get a pdf version';
$string['inputhelp'] = 'Get answer';
$string['inputlink'] = 'For further information';
$string['internal_error'] = 'Internal Server Error';
$string['jaroDistance'] = 'Minimum Jaro distance';
$string['jaroDistance_config'] = 'The entered value will be accepted if the Jaro distance between the response and the correct value exceeds this number. Jaro distance is between 0 and 1.';
$string['jaroDistance_error'] = 'You must enter a number between 0 and 1. For example 0.8 or 0.95.';
$string['jaroDistance_help'] = 'The entered value will be accepted if the Jaro distance between the response and the correct value exceeds this number. Jaro distance is between 0 and 1.';
$string['language'] = 'Language';
$string['language_config'] = 'Select the list of possible languages for the moodle site';
$string['left'] = 'Pdf left margin';
$string['left_config'] = 'This defines the pdf left margin in millimeters';
$string['left_error'] = 'You should enter a number here. Typical value is 20.';
$string['left_help'] = 'This defines the pdf left margin in millimeters';
$string['limit'] = 'Listing limit';
$string['limit_config'] = 'Sets the default limit of lists.';
$string['limit_error'] = 'You should enter a number here. Typical value is 10.';
$string['limit_help'] = 'Sets the limit of lists.';
$string['limitperpage'] = 'Limit per page';
$string['modulename'] = 'Listening Landscape';
$string['modulename_help'] = 'Use the Listening Landscape module for designing exercises for listening watching comprehension. For doing so, you are able to present subtitles as a gap text, which has to be completed by your participants.';
$string['modulenameplural'] = 'Listening Landscapes';
$string['noelangs'] = 'No Listening Landscape module found in this course';
$string['notcompatible_with_HTML5'] = 'Your browser is not compatible with files subtitle on HTML5 video. See http://caniuse.com/webvtt.';
$string['notfound'] = 'Not Found';
$string['notimplemented'] = 'Not Implemented';
$string['number'] = '#';
$string['pdfcue'] = '%s. %s --> %s';
$string['pdfsubtitle'] = 'Exercise: %s (%s)';
$string['pdftitle'] = 'Course: %s';
$string['pluginadministration'] = 'Listening Landscape administration';
$string['pluginname'] = 'Listening Landscape';
$string['poster'] = 'Poster';
$string['poster_help'] = 'Upload a picture (or screenshot...) which represent the video.';
$string['postermaxsize'] = 'Maximum poster size';
$string['postermaxsize_config'] = 'Set the maximum poster size in bytes. Gb, Mb or Kb suffix can be used for GigaBytes, MegaBytes and KiloBytes.';
$string['repeatedunderscore'] = 'Repeated underscores';
$string['repeatedunderscore_config'] = 'This defines the number of repeated underscores to display text to guess. i.e. if this number is 10, the text "guess this text" will be represented by 20 underscores';
$string['repeatedunderscore_error'] = 'You should enter a number here. Typical value is 10.';
$string['repeatedunderscore_help'] = 'This defines the number of repeated underscores to display text to guess. i.e. if this number is 10, the text "guess this text" will be represented by 20 underscores';
$string['reportallstudents'] = 'Report for students';
$string['reportonestudent'] = '%1$s %2$s (%3$s)';
$string['reportoptions'] = 'Options';
$string['requestfailed'] = 'Request failed';
$string['resetplayer'] = 'Reset your own student\'s view';
$string['resetplayer_help'] = 'This will reset your own response for the student\'s view';
$string['servicetimeout'] = 'Service Timeout';
$string['serviceunavailable'] = 'Service Unavailable';
$string['settings'] = 'Specific module settings';
$string['showlanguage'] = 'Show language';
$string['showlanguage_config'] = 'Show the language below the course module title';
$string['showlanguage_help'] = 'Show the language below the course module title';
$string['showplayer'] = 'Display your own student\'s view';
$string['showplayer_help'] = 'Play the module as a student';
$string['size'] = 'Pdf font size';
$string['size_config'] = 'This defines the pdf font size';
$string['size_error'] = 'You should enter a number here. Typical value is 16.';
$string['size_help'] = 'This defines the pdf font size';
$string['sortfirstname'] = 'Firstname';
$string['sortlastname'] = 'Lastname';
$string['Status'] = 'Status';
$string['student'] = '%1$s %2$s';
$string['studenterror'] = 'Error';
$string['studentformatname'] = '%1$s %2$s';
$string['studenthelp'] = 'Help';
$string['studentremaining'] = 'Remaining';
$string['studentsgroup'] = 'Group';
$string['studentsperpage'] = 'Students per page';
$string['studentsuccess'] = 'Success';
$string['studenttitle'] = 'Title';
$string['subtitle'] = 'Subtitle';
$string['subtitle_help'] = 'Upload a file with UTF-8 encoding using srt or webvtt format';
$string['subtitleinvalidformat'] = 'Invalid subtitle file format';
$string['subtitlemaxsize'] = 'Maximum subtitle size';
$string['subtitlemaxsize_config'] = 'Set the maximum subtitle size in bytes. Gb, Mb or Kb suffix can be used for GigaBytes, MegaBytes and KiloBytes.';
$string['subtitleunabletosave'] = 'Unable to save subtitle file. Contact your administrator.';
$string['subtitleunknownencoding'] = 'Encoding of the subtitle file not detectible. Please try to convert this first to UTF-8!';
$string['timeout'] = 'Timeout';
$string['timeout_config'] = 'Timeout between the moodle server and client browser';
$string['timeout_server'] = 'Timeout with the server';
$string['Title'] = 'Title';
$string['titlelength'] = 'Cue title length';
$string['titlelength_config'] = 'This defines cue title length';
$string['titlelength_error'] = 'You should enter a number here. Typical value is 100.';
$string['titlelength_help'] = 'This defines cue title length';
$string['top'] = 'Pdf top margin';
$string['top_config'] = 'This defines the pdf top margin in millimeters';
$string['top_error'] = 'You should enter a number here. Typical value is 20.';
$string['top_help'] = 'This defines the pdf top margin in millimeters';
$string['Unauthorized'] = 'Unauthorized';
$string['unenrolled_user'] = 'User unenrolled';
$string['updatetable'] = 'Save and update table';
$string['update_warning'] = 'If you modify an exercise, all students activity will be discarded';
$string['upload'] = 'Files exercise';
$string['usecasesensitive'] = 'Use case sensitive checks';
$string['usecasesensitive_config'] = 'The comparisons will be case sensitive.';
$string['usecasesensitive_help'] = 'The comparisons will be case sensitive.';
$string['usetransliteration'] = 'Use ASCII transliteration';
$string['usetransliteration_config'] = 'Comparison between answer and correct value is done using an ASCII transliteration. ASCII transliteration is a mapping from the UTF-8 encoding to the ASCII one, grapheme to grapheme. See https://en.wikipedia.org/wiki/Transliteration';
$string['usetransliteration_help'] = 'Comparison between answer and correct value is done using an ASCII transliteration. ASCII transliteration is a mapping from the UTF-8 encoding to the ASCII one, grapheme to grapheme. See https://en.wikipedia.org/wiki/Transliteration';
$string['videomaxsize'] = 'Maximum video size';
$string['videomaxsize_config'] = 'Set the maximum video size in bytes. Gb, Mb or Kb suffix can be used for GigaBytes, MegaBytes and KiloBytes.';
$string['videos'] = 'Videos';
$string['videos_help'] = 'You can upload several videos with corrects extensions (ogv, wemb, mp4).';
