<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'enrol_zilink', language 'en', branch 'MOODLE_32_STABLE'
 *
 * @package   enrol_zilink
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['accountmatching'] = 'Sync Account';
$string['accountmatching_desc'] = 'Sync SIF data with moodle internal accounts';
$string['activedirectoryimport'] = 'Active Directory Import';
$string['autocreate'] = 'Auto Create and Maintain';
$string['autocreate_desc'] = 'Select the items you would like ZiLink to create and maintain.';
$string['categoryandcoursestructure'] = 'Create Category Structure';
$string['categoryandcoursestructure_desc'] = 'Please select what you would like ZiLink to manage';
$string['cohorts'] = 'Cohorts';
$string['configuration'] = 'Configuration';
$string['courses_class'] = 'Course Per Class Per Subject.';
$string['courses_subject'] = 'Course Per Year Per Subject.';
$string['coursetemplate'] = 'Course Template';
$string['coursetemplate_desc'] = 'Please select a template course. ZiLink will create any course from this template';
$string['enrol_zilink_account_synchronisation'] = 'Account Synchronisation';
$string['enrol_zilink_account_synchronisation_desc'] = 'Enable to use ZiLink to match your Management Information System records to Moodle user accounts. If a match occurs, ZiLink will update the Moodle account with ZiLink\'s unique ID';
$string['enrol_zilink_course_sorting'] = 'Course Sorting';
$string['enrol_zilink_course_sorting_desc'] = 'Disable to stop ZiLink sorting Categories and Courses';
$string['errornocategoriesfound'] = 'No Categories Found To Sort';
$string['errornorootcategory'] = 'No Root Category Defined';
$string['errornotemplatecourse'] = 'No Template Course Found';
$string['guardians'] = 'Guardians';
$string['manualmatching'] = 'Manual Matching';
$string['matchedaccounts'] = 'Matched Accounts';
$string['nosyncrequired'] = 'No Accounts Require Synchronisation';
$string['notemplates'] = 'No Templates Available';
$string['pluginname'] = 'ZiLink - Teacher Enrolment';
$string['pluginname_desc'] = 'ZiLink automatically enrols users on courses based on the information held in your managment information system.';
$string['rootcategory'] = 'Root Category';
$string['rootcategory_desc'] = 'Please select the root category that ZiLink with create all new categories in';
$string['showimportfile'] = 'Show Import File';
$string['staff'] = 'Staff';
$string['stucture_categories_level_0'] = 'None';
$string['stucture_categories_level_1'] = 'Subject';
$string['stucture_categories_level_1_and_cohorts'] = 'Create Categories (Subject) and Cohorts';
$string['stucture_categories_level_1_courses_and_cohorts'] = 'Create Categories (Subject), Courses and Cohorts';
$string['stucture_categories_level_2'] = 'Subject / Year';
$string['stucture_categories_level_2_and_cohorts'] = 'Create Categories (Subject, Year) and Cohorts';
$string['stucture_categories_level_2_courses_and_cohorts'] = 'Create Categories (Subject, Year), Courses and Cohorts';
$string['stucture_categories_level_3'] = 'Subject / Year / Classes';
$string['stucture_categories_level_3_and_cohorts'] = 'Create Categories (Subject, Year, Classes) and Cohorts';
$string['stucture_categories_level_3_courses_and_cohorts'] = 'Create Categories (Subject, Year, Classes), Courses and Cohorts';
$string['stucture_cohorts'] = 'Cohorts Only';
$string['syncaccounts'] = 'Sync Accounts';
$string['unmatchedaccounts'] = 'Unmatched Accounts';
$string['zilinkaccountsync'] = 'ZiLink Account Synchronisation';
$string['zilinkaccountsync_desc'] = 'The names listed under the \'Unmatched Accounts\' tab are records found in your MIS with no matching Moodle user account. If there is a match or multiple matches, options are available to associate the correct MIS record with the correct Moodle user account.';
$string['zilink:enrol'] = 'ZiLink Enrol';
