<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'flax', language 'en', branch 'MOODLE_21_STABLE'
 *
 * @package   flax
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['activity_name'] = 'Name';
$string['activity_name_default'] = 'FLAX language learning';
$string['activity_name_error'] = 'Please choose a name';
$string['addflaxtype'] = 'Add to the course';
$string['attempt'] = 'Attempt';
$string['attemptbyat'] = 'Attempt by {$a->fullname} <br /> at {$a->accesstime}';
$string['attemptindex'] = 'Attempt {$a}';
$string['attemptreport'] = 'Attempt report';
$string['attemptreportforuser'] = 'Exercise attempt report for {$a}';
$string['attempts'] = 'Attempts';
$string['CollocationAlternatives'] = 'Common Alternatives';
$string['CollocationFillinBlanks'] = 'Complete Collocations';
$string['configproxypassword'] = 'Your password for the proxy server';
$string['configproxyservername'] = 'The domain name of the proxy to the FLAX server';
$string['configproxyserverport'] = 'The port number used by the proxy server';
$string['configproxyusername'] = 'Your username for the proxy server';
$string['configservername'] = 'The domain name of the FLAX server';
$string['configserverport'] = 'The port number used by the FLAX server';
$string['contentheader'] = 'Content';
$string['ContentWordGuessing'] = 'Word Guessing';
$string['correctanswer'] = 'Correct answer';
$string['describer'] = 'Describer';
$string['description'] = 'Description';
$string['exerciseclose'] = 'Close exercise';
$string['exerciseclose_help'] = 'If enabled, the time when the exercise is closed';
$string['exercisecontent'] = 'Exercise content';
$string['exercisecontentinvalid'] = 'Content not valid';
$string['exercisedescription'] = 'Exercise description';
$string['exercisedescription_help'] = 'Add text to describe the exercise.';
$string['exercisefinished'] = 'Exercise finished';
$string['exercisemode'] = 'Exercise mode';
$string['exercisemodeg'] = 'Group';
$string['exercisemode_help'] = 'This option specifies whether the exercise is going to be graded.';
$string['exercisemodei'] = 'Individual';
$string['exercisemodep'] = 'Pair';
$string['exerciseopen'] = 'Open exercise';
$string['exerciseopen_help'] = 'If enabled, the time when the exercise is open to the students';
$string['exercisetype'] = 'FLAX exercise type';
$string['flax:create'] = 'Create';
$string['flax:ignoredeadlines'] = 'Ignore deadlines';
$string['flaxlanguageresource'] = 'FLAX language resource';
$string['flaxserverconnectionfailed'] = 'Failed to connect to external FLAX server';
$string['flaxserverhostconfigexplain'] = 'The MoodleFLAX module must communicate with a FLAX server for the module to function. In the following settings, fill up the FLAX server address or accept the defaults.';
$string['flax:submit'] = 'Submit';
$string['flax:viewallreport'] = 'View all report';
$string['flax:viewreport'] = 'View all report';
$string['game'] = 'Game {$a}';
$string['gameduration'] = 'Game lasts';
$string['grade'] = 'Grade';
$string['gradedexercise'] = 'Exercise graded';
$string['gradeno'] = 'No grade';
$string['guesser'] = 'Guesser';
$string['guesserimg'] = 'Guesser chooses image';
$string['hiddenuntilclose'] = 'Hidden until exercise is closed';
$string['ImageGuessing'] = 'Image Guessing';
$string['imgpool'] = 'Image pool';
$string['imgpool_help'] = 'Candidate images used in the exercise';
$string['introlabel'] = 'Description';
$string['makenewcollection'] = 'Make a new collection';
$string['modifyactivity'] = 'Edit content';
$string['modifyactivitybuttontooltip'] = 'To edit this FLAX language exercise in a new window';
$string['modifyactivity_help'] = 'Click button to edit exercise content. This function is disabled if exercise has been attempted.';
$string['modulename'] = 'FLAX language learning';
$string['modulename_help'] = 'FLAX helps automate the production and delivery of practice exercises for learning English. You, the teacher, can easily create exercises from the textual content of digital libraries. You can also create your own digital library collections.';
$string['modulename_link'] = 'mod/flax/view';
$string['modulenameplural'] = 'FLAX language learning';
$string['MultiChoices'] = 'Multiple Choices';
$string['name'] = 'Name';
$string['noattempts'] = 'No attempts';
$string['noflaxes'] = 'There are no FLAX activities in this course';
$string['nosubmissions'] = 'No answer submissions during exercise attempt';
$string['notgradedexercise'] = 'Exercise not graded';
$string['paraorder'] = 'Paragraph order';
$string['permissionviewreport'] = 'You do not have permission to view the report';
$string['pluginadministration'] = 'FLAX administration';
$string['pluginname'] = 'FLAX';
$string['PredictingWords'] = 'Predicting Words and Phrases';
$string['question'] = 'Question';
$string['report'] = 'Report';
$string['reporthidden'] = 'Reports are hidden from students in the course';
$string['score'] = 'Score';
$string['ScrambleParagraph'] = 'Scrambled Paragraphs';
$string['ScrambleSentence'] = 'Scrambled Sentences';
$string['selectactivity'] = 'Select an activity';
$string['selectarticle'] = 'Select what to add';
$string['selectcollection'] = 'Select a collection';
$string['servername'] = 'Server name';
$string['serverport'] = 'Server port';
$string['timeout'] = 'Game timed out';
$string['totalscore'] = 'Total score';
$string['viewreport'] = 'View report';
$string['youranswer'] = 'Your answer';
