<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'iassign', language 'en', branch 'MOODLE_26_STABLE'
 *
 * @package   iassign
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['action'] = 'Action';
$string['activities'] = 'Activities';
$string['activities_page'] = 'Activities Page';
$string['activity'] = 'Activity';
$string['activity_empty'] = 'Activity sent without content.';
$string['activity_group'] = 'Group activity by type?';
$string['add_file'] = 'Save file';
$string['add_file_jar'] = 'File new JAR:';
$string['add_iassign'] = 'Add activity';
$string['add_ilm'] = 'Choose file...';
$string['add_ilm_iassign'] = 'Add iLM';
$string['add_ilm_iassign_help'] = 'What is a iLM';
$string['add_param'] = 'Add new parameter';
$string['answer'] = 'answer';
$string['applet'] = 'E-E-Learning Modules(Applet)';
$string['area_available'] = 'Assessment area';
$string['area_specific_teacher'] = 'Area for teacher testing activities';
$string['area_test_lms'] = 'Area to test iLM';
$string['attempts_exhausted'] = 'Attempts have been exhausted.';
$string['author'] = 'Author';
$string['author_empht'] = 'Author unknown';
$string['author_id'] = 'Author activity:';
$string['author_id_modified'] = 'Last modified by:';
$string['auto_evaluate'] = 'It has automatic evaluator?';
$string['auto_evaluate_help'] = 'What is automatic evaluation of ILM.';
$string['automatic_evaluate'] = 'Using automatic evaluation activity?';
$string['auto_result'] = 'Result of automatic evaluation:';
$string['availabledate'] = 'Available from';
$string['avg_experiment'] = 'Average attempts';
$string['box_comment_message'] = 'Enter your comments here';
$string['cancel'] = 'Cancel.';
$string['cancel_delete'] = 'The file was not deleted. Action canceled.';
$string['cancel_delete_file_jar'] = 'No';
$string['category'] = 'Category';
$string['changeto'] = 'Change to&nbsp;';
$string['choose_file'] = 'In the Interactive Activity';
$string['choose_iLM'] = 'Choose the Interactive Learning Module (iLM)';
$string['choose_type_activity'] = 'Choose the type of activity';
$string['close'] = 'Close';
$string['coefficient_variation'] = 'Coefficient of variation';
$string['comment'] = 'Comments';
$string['comment_read'] = 'Read comments';
$string['comment_unread'] = 'New comments';
$string['comment_unread_one'] = 'New Comment';
$string['config'] = 'Settings';
$string['config_ilm'] = 'Manager Administrative iLM';
$string['config_ilm_old'] = 'Settings for Interactive Learning Modules (iLM) - old versions';
$string['config_param'] = 'Parameters';
$string['config_param_actions'] = 'Actions';
$string['config_param_description'] = 'description';
$string['config_param_help'] = 'What are parameters of a iLM';
$string['config_param_name'] = 'Name';
$string['config_param_value'] = 'value';
$string['confirm'] = 'Confirm';
$string['confirm_add_comment'] = 'Comment sent successfully.';
$string['confirm_change_situation'] = 'Confirms change of status?';
$string['confirm_default'] = 'Make Default';
$string['confirm_default_ilm'] = 'Do you want to make the iLM as standard?';
$string['confirm_default_ilm_help'] = 'By making this pattern iLM it will assume all current activities iAssign for this iLM';
$string['confirm_delete_file_jar'] = '<b>Attention!</b> <br> Be careful not to delete a file by mistake.Delete a file that is in use by some activity will result in failure to load the activity. <br>Really delete the file';
$string['confirm_delete_iassign'] = 'Activity successfully deletedo.';
$string['confirm_delete_ilm'] = 'Are you sure you want to delete iLM <b> {$a} </b>?';
$string['confirm_lms'] = 'Confirm iLM';
$string['confirm_new_grade'] = 'Click here to confirm the replacement of grade';
$string['confirm_not_delete_iassign'] = 'Action canceled! Activity was not deleted.';
$string['confirm_upgrade_ilm'] = '<b> want to install this update? <br> a new version of the iLM will be created and this will not affect previous versions </b> .';
$string['copy_ilm'] = 'Generating version from the copy of this iLM';
$string['copy_param'] = 'Generating version from the copy of this parameter';
$string['correct'] = 'Correct';
$string['coursemisconf'] = 'Course is misconfigured';
$string['data_activity'] = 'Information activity';
$string['data_file_jar'] = 'Data File JAR';
$string['data_ilm'] = 'Information iMA';
$string['data_param'] = 'Parameter Data';
$string['default_ilm'] = 'This is the main iLM and the files are associated with it.';
$string['default_ilm_disabled'] = 'This is not the main iLM, click to activate this main';
$string['delete'] = 'Delete';
$string['delete_activity'] = 'Activity to be deleted:';
$string['delete_activity_permission_adm'] = 'Only the administrator can delete activities with submissions.';
$string['delete_cancel'] = 'Cancel delete';
$string['delete_confirm'] = 'The file was deleted successfully.';
$string['delete_dir'] = 'Delete Folder';
$string['delete_file'] = 'Confirm file deletion?';
$string['delete_file_jar'] = 'Yes';
$string['delete_files'] = 'Confirm deletion of the selected files and directories (All contents of directories will be excluded)?';
$string['delete_iassign'] = 'Delete activity';
$string['delete_iassign_disable'] = 'File locked';
$string['delete_ilm'] = 'Delete iLM';
$string['delete_ilm_disable'] = 'locked iLM for exclusion, to exclude the activities and remove all versions of the iLM.';
$string['delete_param'] = 'Delete parameter';
$string['dependency'] = 'Dependency';
$string['description'] = 'Description';
$string['dir'] = 'Click to open the folder';
$string['distribution_activity'] = 'Distribution of hits per activity';
$string['distribution_student'] = 'Distribution of hits per studant';
$string['down_disable'] = 'Disable';
$string['download_all_assign'] = 'Download file with a package of responses';
$string['download_all_assign_disabled'] = 'There are no answers to be downloaded.';
$string['download_assign'] = 'Download file answer';
$string['download_file'] = 'Click to download the file';
$string['duedate'] = 'Delivery Date';
$string['duedate_preventlate_desable'] = 'The resolution of this activity can not be sent.';
$string['duedate_preventlate_enable'] = 'The resolution of this activity can still be sent.';
$string['duplicate_file'] = 'Enter a new name for the file:';
$string['duplicate_iassign'] = 'Duplicate';
$string['duration_activity'] = 'Duration of activity';
$string['E'] = 'E';
$string['edit'] = 'Edit';
$string['edit_iassign'] = 'Edit activity';
$string['edit_iassign_disable'] = 'File locked for editing';
$string['edit_ilm'] = 'Edit Info iLM';
$string['edit_param'] = 'Edit parameter';
$string['E_legend'] = '(activity sent)';
$string['empty'] = '-';
$string['empty_answer_post'] = 'No solution was posted.';
$string['empty_comment'] = 'Empty comment or repeated!';
$string['empty_file'] = 'Empty file';
$string['empty_legend'] = '(activity was not sent)';
$string['enable'] = 'Enable';
$string['erro_grade'] = 'Inválido.A note of this value should be between 0 and';
$string['error_add'] = 'An error occurred while recording the activity';
$string['error_add_ilm'] = 'Error while recording a new iLM in the database.';
$string['error_add_log'] = 'ERROR: Could not insert the event log iAssign.';
$string['error_add_param'] = 'Error while writing a new parameter of the iLM in the database.';
$string['error_cancel_delete'] = 'Error deleting file. Check permissions.';
$string['error_check_iassign_block'] = 'Warning: iAssign\'s block is not installed, the module iAssign not function correctly.';
$string['error_check_iassign_filter'] = 'Warning: iAssign the filter is not installed, the module iAssign not function correctly.';
$string['error_check_iassign_tinymce'] = 'Warning: the iAssign TinyMCE editor button is not installed, the module iAssign not function correctly.';
$string['error_confirms_gab'] = 'Error: the file activity is incompatible with the iLM. Inform the teacher of the course.';
$string['error_confirms_ilm'] = 'Error: iLM not registered in the database. Inform the system administrator.';
$string['error_confirms_jar'] = 'Error: file JAR not found in the database. Inform the system administrator.';
$string['error_delete_param'] = 'Error while deleting a parameter of the iLM in the database.';
$string['error_dir_exists'] = 'Error: There is already a folder with that name. Please enter another name.';
$string['error_dir_not_selected_to_move'] = 'ERROR: select the folder to move!';
$string['error_edit_ilm'] = 'Error while updating a new iLM in the databases.';
$string['error_edit_param'] = 'Error while updating the iLM parameter in the database.';
$string['error_file_exists'] = 'Error: File already exists with this name. Please enter a different name.';
$string['error_file_jar'] = 'Error writing file jar';
$string['error_file_jar_exists'] = 'There is already a jar file with this name!';
$string['error_file_jar_permission'] = 'Error writing file jar without permission to write file.';
$string['error_file_not_selected_to_delete'] = 'ERROR: select the files to delete!';
$string['error_file_not_selected_to_export'] = 'ERROR: select the files to export!';
$string['error_file_not_selected_to_move'] = 'ERROR: select the files to move!';
$string['error_file_null_iassign'] = 'Error: File name is empty.';
$string['error_iassign_name'] = 'Error: There is already an activity with that title.';
$string['error_import_ilm_version'] = 'ERROR: this iLM version is already installed.';
$string['error_insert'] = 'An error occurred when writing the submission of the assign;';
$string['error_insert_submissions'] = 'An error has occurred during recording of the submission of the activity. Inform the Administrator.';
$string['error_null_iassign'] = 'Error: The exercise is empty or has not changed.';
$string['error_rename_ilm'] = 'Error renaming file jar.';
$string['error_security'] = 'Error in recording the security table.';
$string['error_update'] = 'An error occurred during the update of the activity. Notify the administrator.';
$string['error_update_ilm'] = 'Error updating iMA.';
$string['error_update_move_iassign'] = 'An error occurred while updating the &quot;move action activity&quot;';
$string['error_update_visible_iassign'] = 'An error occurred during the update action show / hide activity';
$string['error_upgrade_ilm'] = 'Error: Could not download the update package.';
$string['error_upload_ilm'] = 'ERROR:. Package type not accepted, enter a compressed package iAssign (IPZ)';
$string['error_view_ilm'] = 'Error: exercise file not found. Inform the teacher of the course.';
$string['evaluate'] = 'Auto evaluate';
$string['evaluate_iassign'] = 'Evaluating activity';
$string['example'] = 'Example';
$string['example_iassign'] = 'Type of activity:<strong> example</strong>';
$string['exercise'] = 'Exercise';
$string['exercise_iassign'] = 'Type of activity:<strong> exercise</strong>';
$string['exercises'] = 'Exercises';
$string['experiment'] = 'Number of attempts:';
$string['experiment_iassign'] = 'Maximum number of attempts:';
$string['experiment_student'] = 'Number of attempts the student';
$string['export_ilm'] = 'Export iLM';
$string['extension'] = 'Extension';
$string['extension_help'] = 'Enter one or more extensions allowed by the iLM. To various extents separate comma (,).';
$string['extensionnotfound'] = 'No E-Learning Modules was found with that extension';
$string['feedback_correct'] = 'Correct';
$string['feedback_incorrect'] = 'Incorrect';
$string['file'] = 'File activity';
$string['file_class'] = 'File class';
$string['file_created'] = 'Date Created';
$string['file_ilm_delete'] = 'Remove Selected';
$string['file_ilm_export'] = 'Export Selected';
$string['file_ilm_move'] = 'Move Selected';
$string['file_ilm_recover'] = 'Recover Files';
$string['file_ilm_recover_help'] = 'This operation will retrieve all the files used in this course activities in the current folder. <br> The file names will be the names of the activities.';
$string['file_jar'] = 'File(s):';
$string['filejarnotfound'] = 'File JAR not found. Notify the administration.';
$string['file_modified'] = 'Date of Change';
$string['filenotfound'] = 'File not found in the activity. Notify the teacher';
$string['files_course'] = 'Files of interactive activities';
$string['files_jar_ilm'] = 'List file (s) jar of iLM';
$string['functions'] = 'Functions';
$string['general'] = 'General';
$string['general_fields'] = 'common to the interactive activities Settings';
$string['general_fields_apply'] = 'Interactive Activities to be changed';
$string['general_fields_apply_help'] = 'Select <p> interactive activities you want to apply changes </p>.';
$string['get_answer'] = 'Solution successfully sent.';
$string['get_answer_correct'] = 'Congratulations! The answer is in line with what the teacher expected.';
$string['get_answer_incorrect'] = 'The answer is not according to what the teacher expected.<br> Try again.';
$string['get_answer_post'] = 'Activity without automatic evaluator. Wait for teacher evaluation.';
$string['get_answer_preventlate'] = 'Delivery period ended, his reply was not recorded.';
$string['grade'] = 'Grade activity:';
$string['grade_iassign'] = 'Grade activity';
$string['grade_max'] = 'Maximum score';
$string['grades'] = 'Archive of reviews';
$string['grade_student'] = 'Grade student';
$string['graphic'] = 'Graphics';
$string['hbar_blue'] = '';
$string['hbar_blue_r'] = '';
$string['hbar_green'] = '';
$string['hbar_green_r'] = '';
$string['hbar_orange'] = '';
$string['hbar_orange_r'] = '';
$string['hbar_red'] = '';
$string['hbar_red_r'] = '';
$string['height'] = 'Height';
$string['helpactivitygroup'] = 'Seen by group type?';
$string['helpactivitygroup_help'] = '<p>If this option is on the activities will be grouped by type, otherwise they will be displayed in a single block in the order of registration.</p>';
$string['helpchoose_file'] = 'iLM file';
$string['helpchoose_file_help'] = 'Attach assignment file.';
$string['helpchoose_ilm'] = 'Choose the iLM';
$string['helpchoose_ilm_help'] = 'Select iLM which will be used in this assignment.';
$string['helpdependency'] = 'Dependency';
$string['helpdependency_help'] = '<p>Select the exercises of which this assignment depends on.</p>';
$string['helpexperiment'] = 'Number of attempts';
$string['helpexperiment_help'] = '<p>Sets the maximum number of attempts the student can accomplish this assignment.</p>';
$string['help_ilm'] = 'on the iLM';
$string['helppreventlate'] = 'Allow late submission?';
$string['helppreventlate_help'] = '<p> If this option is active the student can submit the assignment solution even after the deadline has closed.</p>';
$string['helpspecial_param'] = 'Assignment with algorithm';
$string['helpspecial_param_help'] = '<p> Enable this option only if the activity being inserted possess parameter for algorithm execution. </p>';
$string['helptest'] = 'Allow test after deadline?';
$string['helptest_help'] = '<p> If this option is enabled, the assignment will be released for test after the deadline. In this case the student can perform the assignment as many times as he wants, but nothing after the closing date of the assignment will be logged in the system.</p>';
$string['helptypeiassign'] = 'Kinds of Interactive Activities';
$string['helptypeiassign_help'] = '<p> Exercise </p> It is an assignment with assessment and grade, i.e. the solution sent by the student will be evaluated and a grade will be given to his attempt.';
$string['hide'] = 'Hide';
$string['hide_iassign'] = 'Hide activity';
$string['hide_ilm'] = 'hide';
$string['hide_param'] = 'Hide parameter';
$string['history_comments'] = 'History of Comments';
$string['home'] = 'Home';
$string['home_course'] = 'Home course';
$string['iassign'] = 'TI';
$string['iassign_add'] = 'Activity successfully added.';
$string['iassign_cancel'] = 'Change canceled.';
$string['iassign:deleteiassignnotnull'] = 'Delete Activity not empty';
$string['iassign:deleteiassignnull'] = 'Delete empty activities';
$string['iassign:editiassign'] = 'Edit activities';
$string['iassign:evaluateiassign'] = 'Rate activities';
$string['iassign_exercise'] = 'Activity has been exercise';
$string['iassign:submitiassign'] = 'Send activities';
$string['iassigntitle'] = 'Title';
$string['iassign_update'] = 'Activity successfully updated.';
$string['iassign:view'] = 'View Activity';
$string['iassign:viewiassignall'] = 'Show all the details of the activities';
$string['iassign:viewreport'] = 'View Reports';
$string['icon'] = 'iAssign';
$string['ilimit'] = 'Unlimited';
$string['ilm_manager_title'] = 'Repository iAssign';
$string['import_file'] = 'File Activity {$a} or compressed (zip):';
$string['import_ilm'] = 'Import iLM';
$string['import_ilm_help'] = 'Import iLM';
$string['incompatible_extension_file'] = 'File activity incompatible with the selected IMA.';
$string['incorrect'] = 'Incorrect';
$string['independent_activity'] = 'Independent activity';
$string['info_ilm'] = 'Information about of E-Learning Modules (iLM)';
$string['interactivy_learning_module'] = 'Interactive E-Learning Modules';
$string['invalid_extension_ilm'] = 'There is already a iLM with the extension';
$string['invalid_filejar_ilm'] = 'There is already a iLM with the file jar';
$string['invalid_file_type'] = 'Invalid file type';
$string['invalidid'] = 'Invalid ID';
$string['invalid_name_ilm'] = 'There is already a iLM with the name';
$string['label_filechoose'] = 'Generated file in the editor iLM:';
$string['label_file_iassign'] = 'File Name:';
$string['label_write_iassign'] = 'Save Activity';
$string['language_label'] = 'Language';
$string['last_iassign'] = 'Last solution posted.';
$string['last_iassign_correct'] = 'The last solution sent this activity was evaluated as correct.';
$string['last_modification'] = 'Last change made by teacher:';
$string['last_timedue'] = 'Period ended.';
$string['left'] = 'esquerda';
$string['left_disable'] = 'Disabled';
$string['legend'] = 'Caption:';
$string['legend_evaluation'] = 'Caption reviews:';
$string['legend_help'] = '<p><b>Correct:</b> Activity assessed as correct.</p><p><b>Incorrect:</b> Activity evaluated as incorrect.</p><p><b>Post:</b> Activity recorded in the system. Wait for the teacher to correct.</p><p><b>No post:</b> Activity unposted.</p><p><b>New comments:</b> Indicates that activity has new comments</p><p><b>Results:</b> Presents the results of activity evaluation</p>';
$string['list_ilm'] = 'Interactive Learning Modules (iLM) Available';
$string['list_ilm_help'] = 'Interactive Learning Modules (iLM) Available';
$string['maxsize'] = 'Maximum size:';
$string['mean_score'] = 'Mean scores';
$string['message_dependency'] = 'To accomplish this activity is mandatory for all activities on which it depends has been performed and evaluated as correct.';
$string['message_no_update_iassign'] = 'Click here to keep activity';
$string['message_submit_iassign'] = 'Click here to send your response';
$string['message_update_iassign'] = 'Click here to replace activitye';
$string['modulename'] = 'iAssign';
$string['modulename_help'] = 'This is the iAssign (Interactive Assignment) package, an iMath free system.  iAssign\'s goal is to increase interactivity in activities related to specific subjects (such as Geometry, Functions, Programming,...) in a flexible way.
In order to improve interactivity, iAssign makes use of iLM (interactive Learning Module), that is any interactive tool that runs under a web browser. Typically an iLM is a Java applet with a few communication methods based on HTTP protocol. This implies that any applet can easily became an iLM and integrated to Moodle under iAssign package.
If the iLM offers automatic assessment functionality, iAssign is able to deal with it.
The main features of iAssign package are:
- the authoring tool to allow any teacher to easily prepare activities to students;
- reports about students activities;
- a filter that allows the insertion of iLM content into any HTML text in the context of each Moodles\'s assyncronous resource.';
$string['modulenameplural'] = 'iAssigns';
$string['move_down_iassign'] = 'Moves activity down';
$string['move_files'] = 'Move Files and Folders';
$string['move_up_iassign'] = 'Moves activity up';
$string['N'] = 'N';
$string['name_ilm'] = 'Name';
$string['new_category'] = 'New category';
$string['new_comment'] = 'New messages';
$string['new_dir'] = 'New Folder';
$string['new_file_jar'] = 'New file jar';
$string['new_ilm'] = 'Create a new interactive online activity';
$string['newsituation'] = 'New situation...';
$string['new_version_ilm'] = 'Add new iLM version';
$string['next_activity'] = 'Activity next';
$string['next_student'] = 'Student next';
$string['next_student_activity'] = 'Next Activity';
$string['N_legend'] = '(does not agree with what the teacher expected)';
$string['no'] = 'No';
$string['no_activity'] = 'No assign was found in this interactive discussion';
$string['no_confirm_lms'] = 'Not confirm iLM';
$string['no_edit_iassign'] = 'Blocked. Only the author can edit.';
$string['no_MA_POST_Archive'] = 'No solution was posted.';
$string['no_new_comment'] = 'Messages already read';
$string['no_permission_iassign'] = 'Visitors can only view activities!';
$string['not_post'] = 'Not submitted';
$string['not_submissions_activity'] = 'There are no submissions relating to this activity.';
$string['null_file'] = 'No file was uploaded';
$string['number_submissions'] = 'Number of submissions related to this activity:';
$string['ok_import_ilm_version'] = 'The iLM was successfully imported!';
$string['online_new_iassign'] = 'Create / Edit Task Interactive Online';
$string['only_automatic_evaluate'] = 'Applies only when the iLM is automatic evaluate';
$string['open_dir'] = 'Full path of folder';
$string['open_editor_ilm'] = 'Open Editor {$a} Online';
$string['op_val'] = 'options evaluation';
$string['out_object'] = 'Output objects';
$string['percentage_correct'] = 'Percentage of correct';
$string['permission_test'] = 'Allow test after delivery?';
$string['pluginadministration'] = 'iAssign administration';
$string['pluginname'] = 'iAssign';
$string['post'] = 'Submitted';
$string['preventlate'] = 'Allow delayed sending?';
$string['preview_iassign'] = 'Preview';
$string['previous_activity'] = 'Activity previous';
$string['previous_student'] = 'Student previous';
$string['previous_student_activity'] = 'Previous Activity';
$string['previous_timeavailable'] = 'Activity unavailable: wait for the deadline of opening.';
$string['print'] = 'Print';
$string['print_report'] = 'Report - printable version';
$string['proportion_correct'] = 'Proportion of correct';
$string['proposition'] = 'Proposition';
$string['ps_comment'] = 'The total number of messages is next to the icon of messages';
$string['ps_experiment'] = 'The number of attempts is next to the icon status of the activity';
$string['question_delete_dir'] = 'Really delete the folder and all its contents?';
$string['question_move_dir'] = 'Do move files, folders and all its contents to the folder selected?';
$string['question_new_dir'] = 'Enter the name for the new folder:';
$string['question_recover_files_ilm'] = 'Are you sure you want to recover files from activities?';
$string['question_rename_dir'] = 'Enter a new name for the folder';
$string['read_more'] = 'Learn More';
$string['rename_dir'] = 'Rename Folder';
$string['rename_file'] = 'Enter a new name for the file:';
$string['rename_iassign'] = 'Rename activity';
$string['repeat'] = 'Redo activity';
$string['report'] = 'Report';
$string['required'] = 'Field is required';
$string['required_file'] = 'You must fill in <u> File Activity </u>';
$string['required_iassign_file'] = 'You must select an interactive activity';
$string['results'] = 'Results';
$string['return'] = 'Return';
$string['return_config_ilm'] = 'Back to main page iLM';
$string['return_home'] = 'Return to the course home page';
$string['return_home_course'] = 'Return to the course home page';
$string['return_iassign'] = 'Back to exercise';
$string['right'] = 'Right';
$string['right_disable'] = 'Disable';
$string['script'] = 'Activity script (algorithm)? <br> (Applicable only to iLM iGeom)';
$string['select_move_ilm'] = 'Select the folder to move files and folders';
$string['show'] = 'Show';
$string['show_answer'] = 'Show automatic evaluation results to students?';
$string['show_iassign'] = 'Show activity';
$string['show_ilm'] = 'Show';
$string['show_param'] = 'Show parameter';
$string['showreport'] = 'Displays activities report';
$string['solution'] = 'Solution submitted by the student';
$string['special_param'] = 'Assignment with script(algorithm)? <br>(Applicable only to iGeom iLM)';
$string['standard_deviation'] = 'Standard deviation';
$string['statistics'] = 'Statistics';
$string['status'] = 'Status:';
$string['student'] = 'Student:';
$string['students'] = 'Students';
$string['submissions'] = 'Submissions';
$string['submit'] = 'Submit the selected file';
$string['submit_comment'] = 'Send message';
$string['submit_comment_message'] = 'Sending message';
$string['submit_empty'] = 'The content of this activity has not changed! Please try develop another solution.';
$string['submit_iassign'] = 'Submit assign';
$string['sucess_delete'] = 'Interactive assignment deleted successfully.';
$string['sucess_update'] = 'Interactive assignment updated successfully.';
$string['sucess_write'] = 'Interactive assignment saved successfully.';
$string['sum_activity'] = 'Total activity';
$string['sum_correct'] = 'Total correct';
$string['sum_correct_activity'] = 'Total correct / activity';
$string['sum_correct_student'] = 'Total correct / students';
$string['sum_experiment'] = 'Total Attempts';
$string['sum_student'] = 'Total students';
$string['tag_filter'] = 'Tag Filter';
$string['test'] = 'Test';
$string['test_iassign'] = 'Type of activity:<strong> test</strong>';
$string['test_lms'] = 'Click here to test iLM.';
$string['test_preventlate'] = 'Activity only for testing.';
$string['test_preventlate_no'] = 'Activity not released for testing.';
$string['timemodified'] = 'Last date of submission:';
$string['title_editor_iassign'] = 'Online Editor';
$string['total'] = 'Total';
$string['turneditingoff'] = 'Disable editing';
$string['turneditingon'] = 'Enable editing';
$string['type_iassign'] = 'Type of activity';
$string['unlock'] = 'Unlock';
$string['update'] = 'Update';
$string['update_iassign'] = 'Replace activity?';
$string['update_ilm'] = 'was successfully updated.';
$string['updatinga'] = 'Update $a';
$string['updatingain'] = 'Updanting  $a->what - $a->in';
$string['up_disable'] = 'Disabled';
$string['upgrade_ilm'] = 'There is a new iLM version available for download, click for more information!';
$string['upgrade_ilm_title'] = 'New version of iLM';
$string['upload_ilm'] = 'Upload Package iLM (Upload)';
$string['upload_ilm_file'] = 'Upload new interactive activity (Upload)';
$string['upload_jar'] = 'Upload new iLM (Upload)';
$string['url_ilm'] = 'URL:';
$string['version_ilm'] = 'version';
$string['version_ilm_help'] = 'What is the version of ILM.';
$string['versions_ilm'] = 'Version';
$string['view_ilm'] = 'Test Area';
$string['view_report'] = 'View report';
$string['visible'] = 'Visible';
$string['what_do'] = 'What to do?';
$string['width'] = 'Width';
$string['Y'] = 'S';
$string['yes'] = 'Yes';
$string['Y_legend'] = '(according to what the teacher expected)';
