<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'local_globalmessage', language 'en', branch 'MOODLE_28_STABLE'
 *
 * @package   local_globalmessage
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['aboutglobalmessageheading'] = 'About Global Message';
$string['and'] = 'AND';
$string['author'] = 'Author';
$string['background'] = 'Background';
$string['bgcolor'] = 'Color';
$string['bgimage'] = 'Image';
$string['bgimageposition'] = 'Image Position';
$string['bgimagerepeat'] = 'Repeat';
$string['bgnorepeat'] = 'Show the image once';
$string['bgrepeat'] = 'Repeat the image';
$string['bgrepeatx'] = 'Repeat the image horizontally';
$string['bgrepeaty'] = 'Repeat the imge vertically';
$string['border'] = 'Border';
$string['bordercolor'] = 'Color';
$string['bordershape'] = 'Shape';
$string['bordersize'] = 'Size';
$string['bottom'] = 'Bottom';
$string['confirmtitle'] = 'Are you sure?';
$string['copyright'] = 'Copyright';
$string['courseid'] = 'Course ID';
$string['createglobalmessage'] = 'Create Global Message';
$string['currentversion'] = 'Current Version';
$string['customruledeleted'] = 'You have successfully deleted the custom rule \'{$a}\\';
$string['customruleerror1'] = 'Unable to install the custom rule \'{$a}\\';
$string['customruleinstalled'] = 'You have successfully installed the custom rule \'{$a}\\';
$string['customrules'] = 'Custom Rules';
$string['dashed'] = 'dashed';
$string['date'] = 'Date';
$string['design'] = 'Design';
$string['designdeleted'] = 'You have successfully deleted the design \'{$a}\\';
$string['designerror1'] = 'Width and Height are required.';
$string['designerror2'] = 'Name is required.';
$string['designsaved'] = 'Design details saved.';
$string['dimensions'] = 'Dimensions';
$string['disabled'] = 'Disabled';
$string['disableforadminpage'] = 'Disable in Admin Pages';
$string['disableforadminpagedesc'] = 'Check this option to disable the global message displaying on administrator pages.';
$string['disableforadminrole'] = 'Disable for Admin Role';
$string['disableforadminroledesc'] = 'Check this option to disable the global message displaying on any page for an administrator.';
$string['dotted'] = 'dotted';
$string['double'] = 'double';
$string['editrules'] = 'Edit Rules';
$string['editrulestitle'] = 'Edit Message Rules - {$a}';
$string['enabled'] = 'Enabled';
$string['equal'] = 'Equal';
$string['error1'] = 'Invalid request. Please try again.';
$string['error2'] = 'Message could not be found.';
$string['error3'] = 'Message Design could not be saved. Please try again.';
$string['error4'] = 'Message could not be saved. Please try again.';
$string['example1'] = 'Important server outage in the next 1/2 hour.';
$string['example2'] = 'Welcome message to new user. First time logged in.';
$string['example3'] = 'Holiday Message (e.g. New Year shutdown).';
$string['example4'] = 'The lab for the course Introductory to Chemistry has been changed.';
$string['example5'] = 'Any other important notices that you would like to show to the users...';
$string['examplescenarios'] = 'Example Scenarios';
$string['examplescenarios1'] = 'Assuming there are two messages,';
$string['examplescenarios10'] = 'When a new user logs into Moodle for the <strong>first time</strong> and the date is <strong>Tuesday, 19 April 2011</strong>, there are two messages that the user qualifies to be visible for (<strong>Message 1</strong> and <strong>Message 2</strong>).';
$string['examplescenarios11'] = 'The most recently modified message is the only one that is going to be visible. In this instance it is <strong>Message 2: "Important system outage for urgent upgrade....".</strong>';
$string['examplescenarios2'] = 'Message 1 "Welcome to Our Moodle\\';
$string['examplescenarios3'] = 'Message rules:';
$string['examplescenarios4'] = 'If the user has never been logged in before, then show this message';
$string['examplescenarios5'] = 'Last modified time: Tuesday, 8 March 2010';
$string['examplescenarios6'] = 'Message 2 "Important system outage for urgent upgrade...."';
$string['examplescenarios7'] = 'Message rules:';
$string['examplescenarios8'] = 'If the current date equal to Tuesday, 19 April 2011';
$string['examplescenarios9'] = 'Last modified time: Tuesday, 18 April 2011';
$string['failedajax'] = 'Data request failed. Please try again.';
$string['general'] = 'General';
$string['globalmessage'] = 'Global Message';
$string['globalmessageabout'] = 'Info';
$string['globalmessagedialogcreatetitle'] = 'Create Global Message';
$string['globalmessagedialogdesigntitle'] = 'Design Global Message';
$string['globalmessagedialogedittitle'] = 'Edit Global Message';
$string['globalmessagedialogrulesnotes'] = 'Show the message if the following rule(s) are true.';
$string['globalmessagedialogrulestitle'] = 'Edit Rules for \'{name}\\';
$string['globalmessageenabledesc'] = 'Uncheck this setting to disable the Global Message.';
$string['globalmessageinstall'] = 'Install/Uninstall';
$string['globalmessageintro1'] = 'Global message is a plug-in that enables a Moodle administrator to create automatic pop-up messages. The messages will appear for the users depending on the rules applied to each message.';
$string['globalmessageintro2'] = 'A new message will be displayed once for each user when they log in, then will not be displayed again.';
$string['globalmessage:isadminrole'] = 'Global message can be disabled for a user with this capability.';
$string['globalmessagemanage'] = 'Messages';
$string['globalmessagename'] = 'Name';
$string['globalmessagesettings'] = 'Settings';
$string['greateror'] = 'Greater than or equal to';
$string['greaterthan'] = 'Greater than';
$string['groove'] = 'groove';
$string['height'] = 'Height';
$string['if'] = 'IF';
$string['innerpadding'] = 'Inner Padding';
$string['inset'] = 'inset';
$string['install'] = 'Install';
$string['invalidfiletoload'] = 'File failed to load.';
$string['left'] = 'Left';
$string['lessor'] = 'Less than or equal to';
$string['lessthan'] = 'Less than';
$string['license'] = 'License';
$string['listofexamples'] = 'List of message examples:';
$string['loaddesign'] = 'Load Design';
$string['loadingtext'] = 'Please Wait...';
$string['manageglobalmessageheading'] = 'Manage Global Messages';
$string['managemessagedesign'] = 'Manage Message Designs';
$string['managerules'] = 'Manage Rules';
$string['messagedeleted'] = 'You have successfully deleted the message \'{$a}\\';
$string['messageerror1'] = 'Something went wrong. Please try again.';
$string['messageerror2'] = 'Message name and description are required.';
$string['name'] = 'Name';
$string['newdesign'] = 'Create New Design';
$string['none'] = 'none';
$string['note'] = 'Note';
$string['notedetails'] = 'Multiple messages can be scheduled to appear on a page, however only one message will be visible. The most recent modified message will be the only message that displays.';
$string['notequal'] = 'Not equal';
$string['or'] = 'OR';
$string['outset'] = 'outset';
$string['padding'] = 'Padding';
$string['pluginname'] = 'Global Message';
$string['previewdesign'] = 'Show/Hide Design';
$string['removecustomruletext'] = 'Do you want to remove the hightlighed custom rule?';
$string['removedesign'] = 'Remove Design';
$string['removedesigntext'] = 'Do you want to remove the selected design?';
$string['removemessagetext'] = 'Do you want to remove the hightlighed message?';
$string['ridge'] = 'ridge';
$string['right'] = 'Right';
$string['role'] = 'User Role';
$string['ruleerror1'] = 'You cannot remove the first condition when you have more than one conditions.';
$string['ruleerror2'] = 'Please enter a value.';
$string['ruleerror3'] = 'Add atleast one rule.';
$string['rulesinfo1'] = 'This section will show you step by step how to create a custom rule. You will only need to create a class that implements one interface.';
$string['rulesinfo2'] = 'Create a PHP file and place it under the directory';
$string['rulesinfo3'] = 'Copy and paste the <a href=\\"#rule-template\\">template</a> below into your PHP file.';
$string['rulesinfo4'] = 'Replace every <strong>{uniqe_name}</strong> in the template with the name of your PHP file.';
$string['rulesinfo5'] = 'Replace <strong>{Rule Display Text}</strong> with text to describe your class.';
$string['rulesinfo6'] = 'The method <strong>validate()</strong> is where you put the logic of your rule.';
$string['rulessaved'] = 'Rule(s) saved.';
$string['save'] = 'Save';
$string['savedesign'] = 'Save design';
$string['savemessage'] = 'Save message';
$string['saverules'] = 'Save rules';
$string['solid'] = 'solid';
$string['status'] = 'Status';
$string['submit'] = 'Submit';
$string['summary'] = 'Summary';
$string['timemodified'] = 'Time Modified';
$string['top'] = 'Top';
$string['uninstall'] = 'Uninstall';
$string['uninstall0'] = 'Uninstall any Custom Rules you may have created. See Manage Rules tab.';
$string['uninstall1'] = 'Steps to un-install the plugin';
$string['uninstall2'] = 'Go to Site Administration --> Plugins --> Manage local plugins and click delete to remove the plugin.';
$string['uninstall3'] = 'Open the file renderers.php in your theme folder and remove the following 2 lines of code.';
$string['updatepreviewdesign'] = 'Update Preview';
$string['userid'] = 'Username';
$string['website'] = 'Website';
$string['width'] = 'Width';
