<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'local_moodlemobileapp', language 'en', branch 'MOODLE_26_STABLE'
 *
 * @package   local_moodlemobileapp
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['addon.calendar.calendarevents'] = 'Calendar events';
$string['addon.calendar.defaultnotificationtime'] = 'Default notification time';
$string['addon.calendar.errorloadevent'] = 'Error loading event.';
$string['addon.calendar.errorloadevents'] = 'Error loading events.';
$string['addon.calendar.noevents'] = 'There are no events';
$string['addon.calendar.notifications'] = 'Notifications';
$string['addon.competency.errornocompetenciesfound'] = 'No competencies found';
$string['addon.competency.nocompetencies'] = 'No competencies';
$string['addon.coursecompletion.complete'] = 'Complete';
$string['addon.coursecompletion.completed'] = 'Completed';
$string['addon.coursecompletion.completiondate'] = 'Completion date';
$string['addon.coursecompletion.couldnotloadreport'] = 'Could not load the course completion report. Please try again later.';
$string['addon.coursecompletion.coursecompletion'] = 'Course completion';
$string['addon.coursecompletion.criteria'] = 'Criteria';
$string['addon.coursecompletion.criteriagroup'] = 'Criteria group';
$string['addon.coursecompletion.criteriarequiredall'] = 'All criteria below are required.';
$string['addon.coursecompletion.criteriarequiredany'] = 'Any criteria below are required.';
$string['addon.coursecompletion.inprogress'] = 'In progress';
$string['addon.coursecompletion.manualselfcompletion'] = 'Manual self completion';
$string['addon.coursecompletion.notyetstarted'] = 'Not yet started';
$string['addon.coursecompletion.pending'] = 'Pending';
$string['addon.coursecompletion.required'] = 'Required';
$string['addon.coursecompletion.requiredcriteria'] = 'Required criteria';
$string['addon.coursecompletion.requirement'] = 'Requirement';
$string['addon.coursecompletion.status'] = 'Status';
$string['addon.coursecompletion.viewcoursereport'] = 'View course report';
$string['addon.files.couldnotloadfiles'] = 'The list of files could not be loaded.';
$string['addon.files.emptyfilelist'] = 'There are no files to show.';
$string['addon.files.erroruploadnotworking'] = 'Unfortunately it is currently not possible to upload files to your site.';
$string['addon.messageoutput_airnotifier.processorsettingsdesc'] = 'Configure devices';
$string['addon.messages.blockcontactconfirm'] = 'You will no longer receive messages from this contact.';
$string['addon.messages.contactlistempty'] = 'The contact list is empty';
$string['addon.messages.contactname'] = 'Contact name';
$string['addon.messages.deletemessage'] = 'Delete message';
$string['addon.messages.deletemessageconfirmation'] = 'Are you sure you want to delete this message? It will only be deleted from your messaging history and will still be viewable by the user who sent or received the message.';
$string['addon.messages.errordeletemessage'] = 'Error while deleting the message.';
$string['addon.messages.errorwhileretrievingcontacts'] = 'Error while retrieving contacts from the server.';
$string['addon.messages.errorwhileretrievingdiscussions'] = 'Error while retrieving discussions from the server.';
$string['addon.messages.errorwhileretrievingmessages'] = 'Error while retrieving messages from the server.';
$string['addon.messages.messagenotsent'] = 'The message was not sent. Please try again later.';
$string['addon.messages.newmessages'] = 'New messages';
$string['addon.messages.nousersfound'] = 'No users found';
$string['addon.messages.removecontactconfirm'] = 'Contact will be removed from your contacts list.';
$string['addon.messages.type_blocked'] = 'Blocked';
$string['addon.messages.type_offline'] = 'Offline';
$string['addon.messages.type_online'] = 'Online';
$string['addon.messages.type_search'] = 'Search results';
$string['addon.messages.type_strangers'] = 'Others';
$string['addon.messages.warningmessagenotsent'] = 'Couldn\'t send message(s) to user {{user}}. {{error}}';
$string['addon.mod_assign.acceptsubmissionstatement'] = 'Please accept the submission statement.';
$string['addon.mod_assign.cannoteditduetostatementsubmission'] = 'You can\'t add or edit a submission in the app because the submission statement could not be retrieved from the site.';
$string['addon.mod_assign.cannotgradefromapp'] = 'Certain grading methods are not yet supported by the app and cannot be modified.';
$string['addon.mod_assign.cannotsubmitduetostatementsubmission'] = 'You can\'t make a submission in the app because the submission statement could not be retrieved from the site.';
$string['addon.mod_assign.erroreditpluginsnotsupported'] = 'You can\'t add or edit a submission in the app because certain plugins are not yet supported for editing.';
$string['addon.mod_assign.errorshowinginformation'] = 'Submission information cannot be displayed.';
$string['addon.mod_assign.feedbacknotsupported'] = 'This feedback is not supported by the app and may not contain all the information.';
$string['addon.mod_assign.gradenotsynced'] = 'Grade not synced';
$string['addon.mod_assign.notallparticipantsareshown'] = 'Participants who have not made a submission are not shown.';
$string['addon.mod_assign.submissionnotsupported'] = 'This submission is not supported by the app and may not contain all the information.';
$string['addon.mod_assign.userwithid'] = 'User with ID {{id}}';
$string['addon.mod_assign.warningsubmissiongrademodified'] = 'The submission grade was modified on the site.';
$string['addon.mod_assign.warningsubmissionmodified'] = 'The user submission was modified on the site.';
$string['addon.mod_chat.errorwhileconnecting'] = 'Error while connecting to the chat.';
$string['addon.mod_chat.errorwhilegettingchatdata'] = 'Error while getting chat data.';
$string['addon.mod_chat.errorwhilegettingchatusers'] = 'Error while getting chat users.';
$string['addon.mod_chat.errorwhileretrievingmessages'] = 'Error while retrieving messages from the server.';
$string['addon.mod_chat.errorwhilesendingmessage'] = 'Error while sending the message.';
$string['addon.mod_chat.mustbeonlinetosendmessages'] = 'You must be online to send messages.';
$string['addon.mod_choice.errorgetchoice'] = 'Error getting choice data.';
$string['addon.mod_choice.responsesresultgraphdescription'] = '{{number}}% of the users chose the option: {{text}}.';
$string['addon.mod_choice.resultsnotsynced'] = 'Your last response must be synchronised before it is included in the results.';
$string['addon.mod_data.errorapproving'] = 'Error approving or unapproving entry.';
$string['addon.mod_data.errordeleting'] = 'Error deleting entry.';
$string['addon.mod_feedback.captchaofflinewarning'] = 'Feedback with CAPTCHA cannot be completed offline, or if not configured, or if the server is down.';
$string['addon.mod_feedback.feedback_submitted_offline'] = 'This feedback has been saved to be submitted later.';
$string['addon.mod_folder.emptyfilelist'] = 'There are no files to show.';
$string['addon.mod_forum.errorgetforum'] = 'Error getting forum data.';
$string['addon.mod_forum.errorgetgroups'] = 'Error getting group settings.';
$string['addon.mod_forum.forumnodiscussionsyet'] = 'There are no discussions yet in this forum.';
$string['addon.mod_forum.group'] = 'Group';
$string['addon.mod_forum.numdiscussions'] = '{{numdiscussions}} discussions';
$string['addon.mod_forum.numreplies'] = '{{numreplies}} replies';
$string['addon.mod_forum.refreshdiscussions'] = 'Refresh discussions';
$string['addon.mod_forum.refreshposts'] = 'Refresh posts';
$string['addon.mod_glossary.browsemode'] = 'Browse entries';
$string['addon.mod_glossary.byalphabet'] = 'Alphabetically';
$string['addon.mod_glossary.byauthor'] = 'Group by author';
$string['addon.mod_glossary.bycategory'] = 'Group by category';
$string['addon.mod_glossary.bynewestfirst'] = 'Newest first';
$string['addon.mod_glossary.byrecentlyupdated'] = 'Recently updated';
$string['addon.mod_glossary.bysearch'] = 'Search';
$string['addon.mod_glossary.cannoteditentry'] = 'Cannot edit entry';
$string['addon.mod_glossary.entriestobesynced'] = 'Entries to be synced';
$string['addon.mod_glossary.entrypendingapproval'] = 'This entry is pending approval.';
$string['addon.mod_glossary.errorloadingentries'] = 'An error occurred while loading entries.';
$string['addon.mod_glossary.errorloadingentry'] = 'An error occurred while loading the entry.';
$string['addon.mod_glossary.errorloadingglossary'] = 'An error occurred while loading the glossary.';
$string['addon.mod_glossary.noentriesfound'] = 'No entries were found.';
$string['addon.mod_glossary.searchquery'] = 'Search query';
$string['addon.mod_imscp.showmoduledescription'] = 'Show description';
$string['addon.mod_lesson.errorprefetchrandombranch'] = 'This lesson contains a jump to a random content page. It can\'t be attempted in the app until it has been started in a web browser.';
$string['addon.mod_lesson.errorreviewretakenotlast'] = 'This attempt can no longer be reviewed because another attempt has been finished.';
$string['addon.mod_lesson.finishretakeoffline'] = 'This attempt was finished offline.';
$string['addon.mod_lesson.retakefinishedinsync'] = 'An offline attempt was synchronised. Do you want to review it?';
$string['addon.mod_lesson.retakelabelfull'] = '{{retake}}: {{grade}} {{timestart}} ({{duration}})';
$string['addon.mod_lesson.retakelabelshort'] = '{{retake}}: {{grade}} {{timestart}}';
$string['addon.mod_lesson.warningretakefinished'] = 'The attempt was finished on the site.';
$string['addon.mod_lti.errorgetlti'] = 'Error getting module data.';
$string['addon.mod_lti.errorinvalidlaunchurl'] = 'The launch URL is not valid.';
$string['addon.mod_lti.launchactivity'] = 'Launch the activity';
$string['addon.mod_page.errorwhileloadingthepage'] = 'Error while loading the page content.';
$string['addon.mod_quiz.cannotsubmitquizdueto'] = 'This quiz attempt cannot be submitted for the following reasons:';
$string['addon.mod_quiz.confirmcontinueoffline'] = 'This attempt has not been synchronised since {{$a}}. If you have continued this attempt in another device since then, you may lose data.';
$string['addon.mod_quiz.confirmleavequizonerror'] = 'An error occurred while saving the answers. Are you sure you want to leave the quiz?';
$string['addon.mod_quiz.errorbehaviournotsupported'] = 'This quiz can\'t be attempted in the app because the question behaviour is not supported by the app:';
$string['addon.mod_quiz.errordownloading'] = 'Error downloading required data.';
$string['addon.mod_quiz.errorgetattempt'] = 'Error getting attempt data.';
$string['addon.mod_quiz.errorgetquestions'] = 'Error getting questions.';
$string['addon.mod_quiz.errorgetquiz'] = 'Error getting quiz data.';
$string['addon.mod_quiz.errorparsequestions'] = 'An error occurred while reading the questions. Please attempt this quiz in a web browser.';
$string['addon.mod_quiz.errorquestionsnotsupported'] = 'This quiz can\'t be attempted in the app because it contains questions not supported by the app:';
$string['addon.mod_quiz.errorrulesnotsupported'] = 'This quiz can\'t be attempted in the app because it has access rules not supported by the app:';
$string['addon.mod_quiz.errorsaveattempt'] = 'An error occurred while saving the attempt data.';
$string['addon.mod_quiz.finishnotsynced'] = 'Finished but not synchronised';
$string['addon.mod_quiz.opentoc'] = 'Open navigation popover';
$string['addon.mod_quiz.warningattemptfinished'] = 'Offline attempt discarded as it was finished on the site or not found.';
$string['addon.mod_quiz.warningdatadiscarded'] = 'Some offline answers were discarded because the questions were modified online.';
$string['addon.mod_quiz.warningdatadiscardedfromfinished'] = 'Attempt unfinished because some offline answers were discarded. Please review your answers then resubmit the attempt.';
$string['addon.mod_resource.errorwhileloadingthecontent'] = 'Error while loading the content.';
$string['addon.mod_resource.openthefile'] = 'Open the file';
$string['addon.mod_scorm.cannotcalculategrade'] = 'Grade couldn\'t be calculated.';
$string['addon.mod_scorm.dataattemptshown'] = 'This data belongs to the attempt number {{number}}.';
$string['addon.mod_scorm.errorcreateofflineattempt'] = 'An error occurred while creating a new offline attempt. Please try again.';
$string['addon.mod_scorm.errordownloadscorm'] = 'Error downloading SCORM: "{{name}}".';
$string['addon.mod_scorm.errorgetscorm'] = 'Error getting SCORM data.';
$string['addon.mod_scorm.errorinvalidversion'] = 'Sorry, the application only supports SCORM 1.2.';
$string['addon.mod_scorm.errornotdownloadable'] = 'The download of SCORM packages is disabled. Please contact your site administrator.';
$string['addon.mod_scorm.errornovalidsco'] = 'This SCORM package doesn\'t have a visible SCO to load.';
$string['addon.mod_scorm.errorpackagefile'] = 'Sorry, the application only supports ZIP packages.';
$string['addon.mod_scorm.errorsyncscorm'] = 'An error occurred while synchronising. Please try again.';
$string['addon.mod_scorm.offlineattemptnote'] = 'This attempt has data that hasn\'t been synchronised.';
$string['addon.mod_scorm.offlineattemptovermax'] = 'This attempt cannot be sent because you exceeded the maximum number of attempts.';
$string['addon.mod_scorm.scormstatusnotdownloaded'] = 'This SCORM package is not downloaded. It will be automatically downloaded when you open it.';
$string['addon.mod_scorm.scormstatusoutdated'] = 'This SCORM package has been modified since the last download. It will be automatically downloaded when you open it.';
$string['addon.mod_scorm.warningofflinedatadeleted'] = 'Some offline data from attempt {{number}} has been discarded because it couldn\'t be counted as a new attempt.';
$string['addon.mod_scorm.warningsynconlineincomplete'] = 'Some attempts couldn\'t be synchronised with the site because the last online attempt is not yet finished. Please finish the online attempt first.';
$string['addon.mod_survey.cannotsubmitsurvey'] = 'Sorry, there was a problem submitting your survey. Please try again.';
$string['addon.mod_survey.errorgetsurvey'] = 'Error getting survey data.';
$string['addon.mod_survey.results'] = 'Results';
$string['addon.mod_url.accessurl'] = 'Access the URL';
$string['addon.mod_url.pointingtourl'] = 'URL that the resource points to.';
$string['addon.mod_wiki.errorloadingpage'] = 'An error occurred while loading the page.';
$string['addon.mod_wiki.errornowikiavailable'] = 'This wiki does not have any content yet.';
$string['addon.mod_wiki.gowikihome'] = 'Go to the wiki first page';
$string['addon.mod_wiki.subwiki'] = 'Sub-wiki';
$string['addon.mod_wiki.titleshouldnotbeempty'] = 'The title should not be empty';
$string['addon.mod_wiki.viewpage'] = 'View page';
$string['addon.mod_wiki.wikipage'] = 'Wiki page';
$string['addon.mod_workshop.assessmentstrategynotsupported'] = 'Assessment strategy {{$a}} not supported';
$string['addon.mod_workshop.submissionrequiredtitle'] = 'You need to enter a title.';
$string['addon.mod_workshop.warningassessmentmodified'] = 'The submission was modified on the site.';
$string['addon.mod_workshop.warningsubmissionmodified'] = 'The assessment was modified on the site.';
$string['addon.notes.userwithid'] = 'User with ID {{id}}';
$string['addon.notes.warningnotenotsent'] = 'Couldn\'t add note(s) to course {{course}}. {{error}}';
$string['addon.notifications.errorgetnotifications'] = 'Error getting notifications.';
$string['addon.notifications.notifications'] = 'Notifications';
$string['addon.notifications.playsound'] = 'Play sound';
$string['addon.notifications.therearentnotificationsyet'] = 'There are no notifications.';
$string['appstoredescription'] = 'NOTE: This official Moodle Mobile app will ONLY work with Moodle sites that have been set up to allow it.  Please talk to your Moodle administrator if you have any problems connecting.

If your Moodle site has been configured correctly, you can use this app to:

- browse the content of your courses, even when offline
- receive instant notifications of messages and other events
- quickly find and contact other people in your courses
- upload images, audio, videos and other files from your mobile device
- view your course grades
- and more!

Please see http://docs.moodle.org/en/Mobile_app for all the latest information.

We’d really appreciate any good reviews about the functionality so far, and your suggestions on what else you want this app to do!

The app requires the following permissions:
Record audio - For recording audio to upload to Moodle
Read and modify the contents of your SD card - Contents are downloaded to the SD Card so you can see them offline
Network access - To be able to connect with your Moodle site and check if you are connected or not to switch to offline mode
Run at startup - So you receive local notifications even when the app is running in the background
Prevent phone from sleeping - So you can receive push notifications anytime';
$string['core.android'] = 'Android';
$string['core.cannotconnect'] = 'Cannot connect: Verify that you have correctly typed the URL and that your site uses Moodle 2.4 or later.';
$string['core.cannotdownloadfiles'] = 'File downloading is disabled. Please contact your site administrator.';
$string['core.captureaudio'] = 'Record audio';
$string['core.capturedimage'] = 'Taken picture.';
$string['core.captureimage'] = 'Take picture';
$string['core.capturevideo'] = 'Record video';
$string['core.clearsearch'] = 'Clear search';
$string['core.clicktoseefull'] = 'Click to see full contents.';
$string['core.commentsnotworking'] = 'Comments cannot be retrieved';
$string['core.confirmcanceledit'] = 'Are you sure you want to leave this page? All changes will be lost.';
$string['core.confirmloss'] = 'Are you sure? All changes will be lost.';
$string['core.confirmopeninbrowser'] = 'Do you want to open it in a web browser?';
$string['core.contenteditingsynced'] = 'The content you are editing has been synced.';
$string['core.contentlinks.chooseaccount'] = 'Choose account';
$string['core.contentlinks.chooseaccounttoopenlink'] = 'Choose an account to open the link with.';
$string['core.contentlinks.confirmurlothersite'] = 'This link belongs to another site. Do you want to open it?';
$string['core.contentlinks.errornoactions'] = 'Couldn\'t find an action to perform with this link.';
$string['core.contentlinks.errornosites'] = 'Couldn\'t find any site to handle this link.';
$string['core.copiedtoclipboard'] = 'Text copied to clipboard';
$string['core.course.activitydisabled'] = 'Your organisation has disabled this activity in the mobile app.';
$string['core.course.activitynotyetviewableremoteaddon'] = 'Your organisation installed a plugin that is not yet supported.';
$string['core.course.activitynotyetviewablesiteupgradeneeded'] = 'Your organisation\'s Moodle installation needs to be updated.';
$string['core.course.allsections'] = 'All sections';
$string['core.course.askadmintosupport'] = 'Contact the site administrator and tell them you want to use this activity with the Moodle Mobile app.';
$string['core.course.confirmdeletemodulefiles'] = 'Are you sure you want to delete these files?';
$string['core.course.confirmdownload'] = 'You are about to download {{size}}. Are you sure you want to continue?';
$string['core.course.confirmdownloadunknownsize'] = 'It was not possible to calculate the size of the download. Are you sure you want to continue?';
$string['core.course.confirmpartialdownloadsize'] = 'You are about to download <strong>at least</strong> {{size}}. Are you sure you want to continue?';
$string['core.course.contents'] = 'Contents';
$string['core.course.couldnotloadsectioncontent'] = 'Could not load the section content. Please try again later.';
$string['core.course.couldnotloadsections'] = 'Could not load the sections. Please try again later.';
$string['core.course.downloadcourse'] = 'Download course';
$string['core.course.errordownloadingcourse'] = 'Error downloading course.';
$string['core.course.errordownloadingsection'] = 'Error downloading section.';
$string['core.course.errorgetmodule'] = 'Error getting activity data.';
$string['core.course.nocontentavailable'] = 'No content available at the moment.';
$string['core.course.refreshcourse'] = 'Refresh course';
$string['core.courses.cannotretrievemorecategories'] = 'Categories deeper than level {{$a}} cannot be retrieved.';
$string['core.courses.confirmselfenrol'] = 'Are you sure you want to enrol yourself in this course?';
$string['core.courses.downloadcourses'] = 'Download courses';
$string['core.courses.enrolme'] = 'Enrol me';
$string['core.courses.errorloadcategories'] = 'An error occurred while loading categories.';
$string['core.courses.errorloadcourses'] = 'An error occurred while loading courses.';
$string['core.courses.errorsearching'] = 'An error occurred while searching.';
$string['core.courses.errorselfenrol'] = 'An error occurred while self enrolling.';
$string['core.courses.filtermycourses'] = 'Filter my courses';
$string['core.courses.notenrollable'] = 'You cannot enrol yourself in this course.';
$string['core.courses.password'] = 'Enrolment key';
$string['core.courses.recentlyoverdue'] = 'Recently overdue';
$string['core.courses.searchcoursesadvice'] = 'You can use the search courses button to find courses to access as a  guest or enrol yourself in courses that allow it.';
$string['core.courses.selfenrolment'] = 'Self enrolment';
$string['core.courses.totalcoursesearchresults'] = 'Total courses: {{$a}}';
$string['core.course.useactivityonbrowser'] = 'You can still use it using your device\'s web browser.';
$string['core.currentdevice'] = 'Current device';
$string['core.datastoredoffline'] = 'Data stored in the device because it couldn\'t be sent. It will be sent automatically later.';
$string['core.deletedoffline'] = 'Deleted offline';
$string['core.deleting'] = 'Deleting';
$string['core.dfdaymonthyear'] = 'MM-DD-YYYY';
$string['core.dfdayweekmonth'] = 'ddd, D MMM';
$string['core.dffulldate'] = 'dddd, D MMMM YYYY h[:]mm A';
$string['core.dflastweekdate'] = 'ddd';
$string['core.dfmediumdate'] = 'LLL';
$string['core.dftimedate'] = 'h[:]mm A';
$string['core.discard'] = 'Discard';
$string['core.dismiss'] = 'Dismiss';
$string['core.downloading'] = 'Downloading';
$string['core.emptysplit'] = 'This page will appear blank if the left panel is empty or is loading.';
$string['core.errorchangecompletion'] = 'An error occurred while changing the completion status. Please try again.';
$string['core.errordeletefile'] = 'Error deleting the file. Please try again.';
$string['core.errordownloading'] = 'Error downloading file.';
$string['core.errordownloadingsomefiles'] = 'Error downloading files. Some files might be missing.';
$string['core.errorfileexistssamename'] = 'A file with this name already exists.';
$string['core.errorinvalidform'] = 'The form contains invalid data. Please check that all required fields are filled in and that the data is valid.';
$string['core.errorinvalidresponse'] = 'Invalid response received. Please contact your site administrator if the error persists.';
$string['core.errorloadingcontent'] = 'Error loading content.';
$string['core.errorofflinedisabled'] = 'Offline browsing is disabled on your site. You need to be connected to the internet to use the app.';
$string['core.erroropenfilenoapp'] = 'Error opening file: no app found to open this type of file.';
$string['core.erroropenfilenoextension'] = 'Error opening file: the file doesn\'t have an extension.';
$string['core.erroropenpopup'] = 'This activity is trying to open a popup. This is not supported in the app.';
$string['core.errorrenamefile'] = 'Error renaming file. Please try again.';
$string['core.errorsync'] = 'An error occurred while synchronising. Please try again.';
$string['core.errorsyncblocked'] = 'This {{$a}} cannot be synchronised right now because of an ongoing process. Please try again later. If the problem persists, try restarting the app.';
$string['core.filenameexist'] = 'File name already exists: {{$a}}';
$string['core.fileuploader.audio'] = 'Audio';
$string['core.fileuploader.camera'] = 'Camera';
$string['core.fileuploader.confirmuploadfile'] = 'You are about to upload {{size}}. Are you sure you want to continue?';
$string['core.fileuploader.confirmuploadunknownsize'] = 'It was not possible to calculate the size of the upload. Are you sure you want to continue?';
$string['core.fileuploader.errorcapturingaudio'] = 'Error capturing audio.';
$string['core.fileuploader.errorcapturingimage'] = 'Error capturing image.';
$string['core.fileuploader.errorcapturingvideo'] = 'Error capturing video.';
$string['core.fileuploader.errorgettingimagealbum'] = 'Error getting image from album.';
$string['core.fileuploader.errormustbeonlinetoupload'] = 'You have to be online to upload files.';
$string['core.fileuploader.errornoapp'] = 'You don\'t have an app installed to perform this action.';
$string['core.fileuploader.errorreadingfile'] = 'Error reading file.';
$string['core.fileuploader.errorwhileuploading'] = 'An error occurred during the file upload.';
$string['core.fileuploader.file'] = 'File';
$string['core.fileuploader.fileuploaded'] = 'The file was successfully uploaded.';
$string['core.fileuploader.maxbytesfile'] = 'The file {{$a.file}} is too large. The maximum size you can upload is {{$a.size}}.';
$string['core.fileuploader.photoalbums'] = 'Photo albums';
$string['core.fileuploader.readingfile'] = 'Reading file';
$string['core.fileuploader.selectafile'] = 'Select a file';
$string['core.fileuploader.uploadafile'] = 'Upload a file';
$string['core.fileuploader.uploading'] = 'Uploading';
$string['core.fileuploader.uploadingperc'] = 'Uploading: {{$a}}%';
$string['core.fileuploader.video'] = 'Video';
$string['core.fullnameandsitename'] = '{{fullname}} ({{sitename}})';
$string['core.hasdatatosync'] = 'This {{$a}} has offline data to be synchronised.';
$string['core.humanreadablesize'] = '{{size}} {{unit}}';
$string['core.image'] = 'Image';
$string['core.imageviewer'] = 'Image viewer';
$string['core.ios'] = 'iOS';
$string['core.lastdownloaded'] = 'Last downloaded';
$string['core.lastsync'] = 'Last synchronisation';
$string['core.loadmore'] = 'Load more';
$string['core.login.authenticating'] = 'Authenticating';
$string['core.login.checksiteversion'] = 'Check that your site uses Moodle 2.4 or later.';
$string['core.login.confirmdeletesite'] = 'Are you sure you want to delete the site {{sitename}}?';
$string['core.login.connect'] = 'Connect!';
$string['core.login.connecttomoodle'] = 'Connect to Moodle';
$string['core.login.contactyouradministrator'] = 'Contact your site administrator for further help.';
$string['core.login.contactyouradministratorissue'] = 'Please ask your site administrator to check the following issue: {{$a}}';
$string['core.login.credentialsdescription'] = 'Please provide your username and password to log in.';
$string['core.login.emailconfirmsent'] = '<p>An email should have been sent to your address at <b>{{$a}}</b></p><p>It contains easy instructions to complete your registration.</p><p>If you continue to have difficulty, contact the site administrator.</p>';
$string['core.login.emailnotmatch'] = 'Emails do not match';
$string['core.login.erroraccesscontrolalloworigin'] = 'The cross-origin call you\'re trying to perform has been rejected. Please check https://docs.moodle.org/dev/Moodle_Mobile_development_using_Chrome_or_Chromium';
$string['core.login.errordeletesite'] = 'An error occurred while deleting this site. Please try again.';
$string['core.login.errorupdatesite'] = 'An error occurred while updating the site\'s token.';
$string['core.login.helpmelogin'] = '<p>There are many thousands of Moodle sites around the world. This app can only connect to Moodle sites that have specifically enabled Mobile app access.</p><p>If you can\'t connect to your Moodle site then you need to contact your site administrator and ask them to read <a href="http://docs.moodle.org/en/Mobile_app" target="_blank">http://docs.moodle.org/en/Mobile_app</a></p><p>To test the app in a Moodle demo site type <i>teacher</i> or <i>student</i> in the <i>Site address</i> field and click the <b>Connect button</b>.</p>';
$string['core.login.invalidaccount'] = 'Please check your login details or ask your site administrator to check the site configuration.';
$string['core.login.invaliddate'] = 'Invalid date';
$string['core.login.invalidmoodleversion'] = 'Invalid Moodle version. The minimum version required is 2.4.';
$string['core.login.invalidsite'] = 'The site URL is invalid.';
$string['core.login.invalidtime'] = 'Invalid time';
$string['core.login.invalidvaluemax'] = 'The maximum value is {{$a}}';
$string['core.login.invalidvaluemin'] = 'The minimum value is {{$a}}';
$string['core.login.legacymoodleversion'] = 'You are trying to connect to an unsupported Moodle version. Please, download the Moodle Classic app to access this Moodle site.';
$string['core.login.legacymoodleversiondesktop'] = 'You are trying to connect to <b>{{$a}}</b>.<br><br>This site is running an outdated unsupported version of Moodle which will not work with this Moodle Desktop App.<br><br>If this is your site please contact your local moodle partner to get assistance to update it.<br><br>See <a href="https://moodle.com/contact">our contact page</a> to submit a request for assistance.';
$string['core.login.localmobileunexpectedresponse'] = 'Moodle Mobile Additional Features check returned an unexpected response. You will be authenticated using the standard mobile service.';
$string['core.login.loggedoutssodescription'] = 'You have to authenticate again. You need to log in to the site in a browser window.';
$string['core.login.loginbutton'] = 'Log in';
$string['core.login.logininsiterequired'] = 'You need to log in to the site in a browser window.';
$string['core.login.mobileservicesnotenabled'] = 'Mobile access is not enabled on your site. Please contact your site administrator if you think it should be enabled.';
$string['core.login.newsitedescription'] = 'Please enter the URL of your Moodle site. Note that it might not be configured to work with this app.';
$string['core.login.notloggedin'] = 'You need to be logged in.';
$string['core.login.passwordrequired'] = 'Password required';
$string['core.login.problemconnectingerror'] = 'We\'re having trouble connecting to';
$string['core.login.problemconnectingerrorcontinue'] = 'Double check you\'ve entered the address correctly and try again.';
$string['core.login.recaptchachallengeimage'] = 'reCAPTCHA challenge image';
$string['core.login.recaptchaexpired'] = 'Verification expired. Answer the security question again.';
$string['core.login.recaptchaincorrect'] = 'The security question answer is incorrect.';
$string['core.login.reconnect'] = 'Reconnect';
$string['core.login.reconnectdescription'] = 'Your authentication token is invalid or has expired. You have to reconnect to the site.';
$string['core.login.reconnectssodescription'] = 'Your authentication token is invalid or has expired. You have to reconnect to the site. You need to log in to the site in a browser window.';
$string['core.login.searchby'] = 'Search by:';
$string['core.login.selectsite'] = 'Please select your site:';
$string['core.login.signupplugindisabled'] = '{{$a}} is not enabled.';
$string['core.login.siteaddress'] = 'Site address';
$string['core.login.siteinmaintenance'] = 'Your site is in maintenance mode';
$string['core.login.sitepolicynotagreederror'] = 'Site policy not agreed.';
$string['core.login.siteurl'] = 'Site URL';
$string['core.login.siteurlrequired'] = 'Site URL required i.e <i>http://www.yourmoodlesite.org</i>';
$string['core.login.stillcantconnect'] = 'Still can\'t connect?';
$string['core.login.usernamerequired'] = 'Username required';
$string['core.login.visitchangepassword'] = 'Do you want to visit the site to change the password?';
$string['core.login.webservicesnotenabled'] = 'Web services are not enabled in your site. Please contact your site administrator if you think they should be enabled.';
$string['core.lostconnection'] = 'Your authentication token is invalid or has expired. You will have to reconnect to the site.';
$string['core.mainmenu.appsettings'] = 'App settings';
$string['core.mainmenu.changesite'] = 'Change site';
$string['core.mainmenu.togglemenu'] = 'Toggle menu';
$string['core.mainmenu.website'] = 'Website';
$string['core.networkerrormsg'] = 'There was a problem connecting to the site. Please check your connection and try again.';
$string['core.nopasswordchangeforced'] = 'You cannot proceed without changing your password.';
$string['core.notapplicable'] = 'n/a';
$string['core.notsent'] = 'Not sent';
$string['core.openfullimage'] = 'Click here to display the full size image';
$string['core.openinbrowser'] = 'Open in browser';
$string['core.percentagenumber'] = '{{$a}}%';
$string['core.pulltorefresh'] = 'Pull to refresh';
$string['core.question.errorattachmentsnotsupported'] = 'The application doesn\'t support attaching files to answers yet.';
$string['core.question.errorinlinefilesnotsupported'] = 'The application doesn\'t support editing inline files yet.';
$string['core.question.errorquestionnotsupported'] = 'This question type is not supported by the app: {{$a}}.';
$string['core.question.howtodraganddrop'] = 'Tap to select then tap to drop.';
$string['core.question.questionmessage'] = 'Question {{$a}}: {{$b}}';
$string['core.redirectingtosite'] = 'You will be redirected to the site.';
$string['core.requireduserdatamissing'] = 'This user lacks some required profile data. Please enter the data in your site and try again.<br>{{$a}}';
$string['core.retry'] = 'Retry';
$string['core.searching'] = 'Searching';
$string['core.settings.about'] = 'About';
$string['core.settings.appready'] = 'App ready';
$string['core.settings.cannotsyncoffline'] = 'Cannot synchronise offline.';
$string['core.settings.cannotsyncwithoutwifi'] = 'Cannot synchronise because the current settings only allow to synchronise when connected to Wi-Fi. Please connect to a Wi-Fi network.';
$string['core.settings.compilationinfo'] = 'Compilation info';
$string['core.settings.cordovadevicemodel'] = 'Cordova device model';
$string['core.settings.cordovadeviceosversion'] = 'Cordova device OS version';
$string['core.settings.cordovadeviceplatform'] = 'Cordova device platform';
$string['core.settings.cordovadeviceuuid'] = 'Cordova device UUID';
$string['core.settings.cordovaversion'] = 'Cordova version';
$string['core.settings.deletesitefiles'] = 'Are you sure that you want to delete the downloaded files from the site \'{{sitename}}\'?';
$string['core.settings.deletesitefilestitle'] = 'Delete site files';
$string['core.settings.deviceinfo'] = 'Device info';
$string['core.settings.deviceos'] = 'Device OS';
$string['core.settings.devicewebworkers'] = 'Device web workers supported';
$string['core.settings.displayformat'] = 'Display format';
$string['core.settings.enabledownloadsection'] = 'Enable download sections';
$string['core.settings.enablerichtexteditor'] = 'Enable text editor';
$string['core.settings.enablerichtexteditordescription'] = 'If enabled, a text editor will be available when entering content.';
$string['core.settings.enablesyncwifi'] = 'Allow sync only when on Wi-Fi';
$string['core.settings.errordeletesitefiles'] = 'Error deleting site files.';
$string['core.settings.errorsyncsite'] = 'Error synchronising site data. Please check your Internet connection and try again.';
$string['core.settings.estimatedfreespace'] = 'Estimated free space';
$string['core.settings.filesystemroot'] = 'File system root';
$string['core.settings.localnotifavailable'] = 'Local notifications available';
$string['core.settings.locationhref'] = 'Web view URL';
$string['core.settings.navigatorlanguage'] = 'Navigator language';
$string['core.settings.navigatoruseragent'] = 'Navigator userAgent';
$string['core.settings.networkstatus'] = 'Internet connection status';
$string['core.settings.privacypolicy'] = 'Privacy policy';
$string['core.settings.reportinbackground'] = 'Report errors automatically';
$string['core.settings.spaceusage'] = 'Space usage';
$string['core.settings.synchronization'] = 'Synchronisation';
$string['core.settings.synchronizenow'] = 'Synchronise now';
$string['core.settings.syncsettings'] = 'Synchronisation settings';
$string['core.settings.versioncode'] = 'Version code';
$string['core.settings.versionname'] = 'Version name';
$string['core.settings.wificonnection'] = 'Wi-Fi connection';
$string['core.sharedfiles.chooseaccountstorefile'] = 'Choose an account to store the file in.';
$string['core.sharedfiles.chooseactionrepeatedfile'] = 'A file with this name already exists. Do you want to replace the existing file or rename it to "{{$a}}"?';
$string['core.sharedfiles.errorreceivefilenosites'] = 'There are no sites stored. Please add a site before sharing a file with the app.';
$string['core.sharedfiles.nosharedfiles'] = 'There are no shared files stored on this site.';
$string['core.sharedfiles.nosharedfilestoupload'] = 'You have no files to upload here. If you want to upload a file from another app, locate the file and click the \'Open in\' button.';
$string['core.sharedfiles.rename'] = 'Rename';
$string['core.sharedfiles.replace'] = 'Replace';
$string['core.sharedfiles.sharedfiles'] = 'Shared files';
$string['core.sharedfiles.successstorefile'] = 'File successfully stored. Select the file to upload to your private files or use in an activity.';
$string['core.sizetb'] = 'TB';
$string['core.sorry'] = 'Sorry...';
$string['core.tablet'] = 'Tablet';
$string['core.thereisdatatosync'] = 'There are offline {{$a}} to be synchronised.';
$string['core.tryagain'] = 'Try again';
$string['core.twoparagraphs'] = '{{p1}}<br><br>{{p2}}';
$string['core.uhoh'] = 'Uh oh!';
$string['core.unexpectederror'] = 'Unexpected error. Please close and reopen the application then try again.';
$string['core.unicodenotsupported'] = 'Some emojis are not supported on this site. Such characters will be removed when the message is sent.';
$string['core.unicodenotsupportedcleanerror'] = 'Empty text was found when cleaning Unicode chars.';
$string['core.unknown'] = 'Unknown';
$string['core.unzipping'] = 'Unzipping';
$string['core.user.contact'] = 'Contact';
$string['core.user.detailsnotavailable'] = 'The details of this user are not available to you.';
$string['core.user.editingteacher'] = 'Teacher';
$string['core.user.errorloaduser'] = 'Error loading user.';
$string['core.user.manager'] = 'Manager';
$string['core.user.sendemail'] = 'Email';
$string['core.user.student'] = 'Student';
$string['core.user.teacher'] = 'Non-editing teacher';
$string['core.viewcode'] = 'View code';
$string['core.vieweditor'] = 'View editor';
$string['core.warningofflinedatadeleted'] = 'Offline data from {{component}} \'{{name}}\' has been deleted. {{error}}';
$string['core.whoops'] = 'Oops!';
$string['core.whyisthishappening'] = 'Why is this happening?';
$string['core.windowsphone'] = 'Windows Phone';
$string['core.wsfunctionnotavailable'] = 'The web service function is not available.';
$string['pluginname'] = 'Moodle Mobile language strings';
