<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'mediasite', language 'en', branch 'MOODLE_35_STABLE'
 *
 * @package   mediasite
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['actiondelete'] = 'Delete existing site';
$string['actionedit'] = 'Edit existing site';
$string['actiontblhder'] = 'Action';
$string['admin_settings_body'] = 'Please use the plug-in <a href="{$a}">configuration page</a>';
$string['admin_settings_header'] = 'Configuration Page';
$string['allowed_lti_catalog_embed_types'] = 'Catalog Embedding Formats';
$string['allowed_lti_presentation_embed_types'] = 'Presentation Embedding Formats';
$string['Always'] = 'Always';
$string['assignment_submission_enabled'] = 'Enable Assignment Submission';
$string['assignment_submission_header'] = 'Assignment Submission';
$string['assignment_submission_not_enabled'] = 'Assignment Submission require an additional plugin to be installed. Please install the Atto Mediasite editor plugin.';
$string['BasicLTI'] = 'Link';
$string['basiclti_base_string'] = 'Basic LTI OAuth Base String';
$string['basiclti_endpoint'] = 'Basic LTI Launch Endpoint';
$string['basiclti_in_new_window'] = 'Your activity has opened in a new window';
$string['basiclti_parameters'] = 'Basic LTI Launch Parameters';
$string['catalog'] = 'Catalog';
$string['catalog_iframe'] = 'iFrame';
$string['catalog_link'] = 'Link';
$string['courses7'] = 'Mediasite Courses';
$string['course_settings'] = 'Mediasite Settings';
$string['description'] = 'Description';
$string['Disabled'] = 'Disabled';
$string['duplicatesitename'] = '{$a} is already in use. Please use a different site name.';
$string['error_course_misconfigured'] = 'Course is misconfigured';
$string['error_course_module_id_incorrect'] = 'Course Module ID was incorrect';
$string['error_course_module_incorrect'] = 'Course module is incorrect';
$string['error_local_plugin_still_installed'] = 'Unstallation aborted: The "Mediasite 7 Courses" local plugin is still installed. Please uninstall it before uninstalling the Mediasite Content activity plugin.';
$string['error_site_id_incorrect'] = 'Unable to reach the configured Mediasite server or endpoint. The content may need to be re-added by the instructor. The previously added link to Mediasite content is corrupt.';
$string['feature_not_enabled'] = 'Feature not installed';
$string['fixexistingconf'] = 'Use an existing configuration for the misconfigured instance';
$string['fixnew'] = 'New Configuration';
$string['fixnewconf'] = 'Define a new configuration for the misconfigured instance';
$string['fixold'] = 'Use Existing';
$string['form_data_invalid'] = 'This form should only be used after a resource has been selected by the search form.';
$string['iFrame'] = 'Embed';
$string['incompleteconfiguration'] = 'Incomplete configuration. Did the site administrator save configuration changes?';
$string['integration_catalog_not_enabled'] = 'Mediasite 7 Courses requires an additional local plugin to be installed. Please install the Mediasite 7 Courses local plugin.';
$string['integration_catalog_title'] = 'Mediasite 7 Courses Link Text';
$string['integration_catalog_title_required'] = 'Mediasite 7 Courses Link Text is required when Mediasite 7 Courses is enabled.';
$string['invalidURL'] = 'Invalid URL format';
$string['invalidURL_connection'] = 'Invalid URL, connection failed.';
$string['invalidURL_response'] = 'Invalid URL, expected: \'HTTP/1.1 302 Found\', actual: \'{$a}\'.';
$string['launchsite'] = 'Select Mediasite';
$string['longsitename'] = 'Site Name is too long';
$string['lti_consumer_key'] = 'LTI Consumer Key';
$string['lti_consumer_secret'] = 'LTI Consumer Secret';
$string['lti_custom_parameters'] = 'LTI Custom Parameters';
$string['lti_debug_launch'] = 'Show LTI Debug Information';
$string['lti_debug_launch_postfix'] = '<i>(Not recommended for use in production)</i>';
$string['lti_embed_type_catalog_required'] = 'Please select at least one Catalog embedding format.';
$string['lti_embed_type_presentation_required'] = 'Please select at least one Presentation embedding format.';
$string['mbstring_required_embed_message'] = 'Moodle is not configured correctly for Mediasite Content. Not all content may be displayed. Please contact your administrator.';
$string['mbstring_required_message'] = 'Moodle is not configured correctly for Mediasite Content. The multibyte string PHP extension (mbstring) is required.';
$string['mediasite'] = 'Mediasite';
$string['mediasite:addinstance'] = 'Add Mediasite content to a course';
$string['mediasite:courses7'] = 'Use Mediasite Courses';
$string['mediasite_courses_enabled'] = 'Enable Mediasite 7 Courses';
$string['mediasite_integration_catalog_header'] = 'Mediasite 7 Courses';
$string['mediasite:managesite'] = 'Manage Mediasite settings';
$string['mediasite:mymediasite'] = 'Use My Mediasite';
$string['mediasite:overridedefaults'] = 'Override default Mediasite settings';
$string['mediasite_server_defaults'] = 'Mediasite Server Defaults';
$string['mediasite_server_list'] = 'Mediasite Content';
$string['mediasite:view'] = 'View Mediasite content on course';
$string['MetadataLight'] = 'Thumbnail';
$string['MetadataOnly'] = 'Abstract Only';
$string['MetadataPlusPlayer'] = 'Abstract + Player';
$string['mode'] = 'Embedding Layout';
$string['modulename'] = 'Mediasite Content';
$string['modulename_help'] = '<p>Add Mediasite content to a Moodle course via the Mediasite Content activity plug-in. The activity plug-in enables searching for Mediasite presentations and Catalogs based on rights granted to the logged in user in Mediasite. The search can be embedded in a Moodle course via a variety of embed options.</p><p>Embedded Mediasite content can be delivered to users authorized to access instructional materials for the course, via the activity plug-in\'s Single Sign-On capabilities. Mediasite content embedded as presentations, can be played back in a secure fashion from Moodle\'s course pages. Likewise, Mediasite content embedded as catalogs, can be browsed  in a secure fashion from Moodle\'s course pages.</p><p>The activity plug-in also enables tracking of playback activity of the logged in user watching the embedded presentation.  Mediasite content embedded in Moodle course pages can be delivered on-demand or as live broadcasts, with all available Mediasite capabilities including Advanced Search and Interactivity.</p>';
$string['modulenameplural'] = 'Mediasite Content';
$string['my_mediasite'] = 'My Mediasite';
$string['my_mediasite_course_menu'] = 'Course Menu';
$string['my_mediasite_header'] = 'My Mediasite';
$string['my_mediasite_inpage_menu'] = 'In-Page Menu';
$string['my_mediasite_not_enabled'] = 'My Mediasite requires an additional local plugin to be installed. Please install the Mediasite 7 Courses local plugin.';
$string['my_mediasite_placement'] = 'Menu Placement';
$string['my_mediasite_placement_hint'] = '"Course Menu" adds this link to every course for enrolled users. "Site Home" is a more central location. "In-Page Menu" is intended for the Snap theme.';
$string['my_mediasite_site_pages'] = 'Site Home';
$string['my_mediasite_title'] = 'My Mediasite Link Text';
$string['my_mediasite_title_required'] = 'My Mediasite Link Text is required when My Mediasite is enabled.';
$string['nosites'] = 'There are no configured sites.';
$string['notauthorized'] = 'You are not authorized for this resource.';
$string['notfound'] = 'The selected Mediasite content was not found.';
$string['notypes'] = 'There are currently no LTI tools setup in Moodle. Click the Install link above to add some.';
$string['openaspopup'] = 'Open content in new window';
$string['openaspopup_help'] = 'When viewing the resource should it be displayed as a pop-up or inline.';
$string['openaspopup_my_mediasite'] = 'Open content in new window';
$string['openaspopup_my_mediasite_postfix'] = '';
$string['openpopup_integration_catalog'] = 'Open content in new window';
$string['openpopup_integration_catalog_postfix'] = '';
$string['Opt-In'] = 'Opt-In';
$string['Opt-Out'] = 'Opt-Out';
$string['PlayerOnly'] = 'Player Only';
$string['pluginadministration'] = 'Mediasite Content administration';
$string['pluginname'] = 'Mediasite Content';
$string['popupresource'] = 'This resource should appear in a popup window.';
$string['popupresourcelink'] = 'If it didn\'t, click here: {$a}';
$string['presentation'] = 'Presentation';
$string['presentation_abstract'] = 'Abstract';
$string['presentation_abstract_plus_player'] = 'Abstract + Player';
$string['PresentationLink'] = 'Link Only';
$string['presenters'] = 'Presenters';
$string['press_to_submit'] = 'Press to launch this activity';
$string['purge_all_caches_message'] = 'Mediasite Content in courses may be partially visible in courses for a brief time. Use Site administration > Development > Purge all caches to fix course content immediately.';
$string['requiredsitelti_consumer_key'] = 'An LTI Consumer Key is required.';
$string['requiredsitelti_consumer_secret'] = 'An LTI Consumer Secret is required.';
$string['requiredsitename'] = 'Site Name is required';
$string['resource'] = 'Type of resource';
$string['resourcetitle'] = 'Title';
$string['resourcetype'] = 'Content Type';
$string['savechangebutton'] = 'Save changes';
$string['searchnoresult'] = 'No results were found matching your search.';
$string['serverurl'] = 'Mediasite Root URL';
$string['show_assignment_submission'] = 'Enable Assignment Submission';
$string['showdescription'] = 'Display description on course page';
$string['show_integration_catalog'] = 'Enable Mediasite 7 Courses';
$string['show_integration_catalog_postfix'] = '';
$string['show_my_mediasite'] = 'Enable My Mediasite';
$string['show_my_mediasite_postfix'] = '';
$string['siteaddbuttonlabel'] = 'Add site';
$string['site_configuration_incomplete'] = 'The configuration of the Mediasite Content plug-in is incomplete. Please ask the system administrator to complete the LTI configuration.';
$string['site_deletion_inuse_confirmation'] = 'This site is used by {$a} course content items. Deleting the site will delete these content items. Are you sure you want to delete this site?';
$string['site_deletion_unused_confirmation'] = 'The site is not referenced by any existing course content. Would you like to delete this site?';
$string['sitename'] = 'Title';
$string['sitenames'] = 'Select a default server';
$string['sitenametblhder'] = 'Site Name';
$string['siteroottblhder'] = 'Site Root';
$string['siteselectionheader'] = 'Select a Mediasite Server';
$string['sofotags'] = 'Tags';
$string['toggle_debug_data'] = 'Toggle Debug Data';
$string['unauthorized'] = 'Unauthorized';
$string['viewsubmissions'] = 'View submissions and grading screen';
