<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'movilquizlite', language 'en', branch 'MOODLE_21_STABLE'
 *
 * @package   movilquizlite
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['attempts_title'] = 'Grades (Plus) - Last Students Attempts';
$string['dashboardadmin_title'] = 'MovilQuiz Admin Dashboard';
$string['default_label'] = 'Default';
$string['grade_category_label'] = 'Grade Category';
$string['grade_category_label_help'] = 'Grade Category to filter quizzes';
$string['grade_feature'] = '<p>Review attempts from students. Select quiz to review</p>';
$string['grade_title'] = 'Grades (Plus)';
$string['list_attempts_title'] = 'Grades (Plus) - Detailed Student Attempts';
$string['mail_message'] = 'Send passwords to students';
$string['mail_message_text'] = '<p>Dear Student <b>{$a->fullname}</b>,<p><p>You can now begin using Movilquiz from your cellphone.
Your account details are the following:</p> <p>course shortname: {$a->shortname}</p><p>user: {$a->user}</p><p>password: {$a->password}</p>';
$string['mail_title'] = 'Mail';
$string['message_back'] = 'Back Admin Dashboard';
$string['message_back_lsa'] = 'Back to Grades (Plus) - Last Students Attempts';
$string['message_back_uq'] = 'back to Grades (Plus) - Quizzes';
$string['message_convert_quizzes_plural'] = 'Convert remaining <b>{$a}</b> quizzes.';
$string['message_error_convert_quizzes'] = 'An error ocurred during convert quizzes';
$string['message_error_generate_passwords'] = 'An error occurred during key generation';
$string['message_error_send_passwords'] = 'An error ocurred during sending access details';
$string['message_list_attempts'] = '<p>A continuación se muestra la lista de intentos realizados por el alumno <b>{$a->fullname}</b>.</p>';
$string['message_no_quizzes'] = 'There are <b>0</b> quizzes in the category <b>{$a->categoryname}</b>, please add quizzes';
$string['message_no_students_enrolled'] = 'There are <b>0</b> students enrolled in this course, please add students';
$string['message_num_quizzes'] = 'There is <b>{$a->numquizzes}</b> quiz in the category <b>{$a->categoryname}</b>';
$string['message_num_quizzes_converted_plural'] = 'There are <b>{$a}</b> quizzes converted.';
$string['message_num_quizzes_plural'] = 'There are <b>{$a->numquizzes}</b> quizzes in the category <b>{$a->categoryname}</b>';
$string['message_quizzes_convert_again'] = 'Convert all quizzes again';
$string['message_quizzes_converted_complete'] = 'All quizzes have been converted';
$string['message_students_assigned'] = 'There is <b>{$a}</b> student with password assigned';
$string['message_students_assigned_complete'] = 'All students have password assigned';
$string['message_students_assigned_plural'] = 'There are <b>{$a}</b> students with password assigned';
$string['message_students_enrolled'] = 'There is <b>{$a}</b> student enrolled in this course';
$string['message_students_enrolled_plural'] = 'There are <b>{$a}</b> students enrolled in this course';
$string['message_students_generate_password'] = 'Generate password(s) for remaining <b>{$a}</b> students';
$string['message_student_view_quizzes'] = '<p>A continuación se muestran los cuestionarios disponibles. Seleccione uno para ver los intentos realizados.';
$string['message_successfully'] = 'Action was successfull';
$string['message_view_attempts'] = '<p>Below is a list of the latest attempts by the students.
To see the efforts of each student, click on the student\'s name.</p>';
$string['modulename'] = 'movilquiz';
$string['modulenameplural'] = 'movilquiz';
$string['movilquiz'] = 'movilquiz';
$string['movilquizname'] = 'Name';
$string['movilquizname_help'] = 'Name of module.';
$string['movilquiz_url'] = 'http://www.movilquiz.com';
$string['newmodulefieldset'] = 'Custom example fieldset';
$string['none_label'] = 'None';
$string['pluginadministration'] = 'movilquiz administration';
$string['pluginname'] = 'movilquiz';
$string['quizzes'] = 'quizzes';
$string['quizzes_title'] = 'Quizzes';
$string['resolution_feature'] = '<p>Available in MovilQuiz Plus</p>';
$string['resolution_title'] = 'Resolutions Review (Plus)';
$string['table_header_ca'] = 'Correct';
$string['table_header_fg'] = 'Grade';
$string['table_header_ia'] = 'Wrong';
$string['table_header_na'] = 'Not Answered';
$string['table_header_student'] = 'Student';
$string['user_attempts_title'] = 'Grades (Plus) - Attempts';
$string['userpanel_title'] = 'User Panel';
$string['user_quizzes_title'] = 'Grades (Plus) - Quizzes';
$string['users_title'] = 'Users';
$string['view_last_attempts'] = 'View last attempts of';
$string['view_quiz_attempts'] = 'View attempts of';
