<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'qtype_musickeysignature', language 'en', branch 'MOODLE_24_STABLE'
 *
 * @package   qtype_musickeysignature
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['A'] = 'A';
$string['addAnswer'] = 'Add Blank for 1 More Answer';
$string['addingkeysignature'] = 'Adding Key Signature';
$string['answer'] = 'answer';
$string['answer_cap'] = 'Answer';
$string['answer_help'] = '<p>Enter the accidentals, using the following format:</p><p>[Letter name (C,D,E,F,G,B)] [Accidental (# or b] [register, using the <a href="http://en.wikipedia.org/wiki/Scientific_pitch_notation" target="_blank"> scientific pitch notation</a>]</p><p>Insert commas between accidentals, without spaces</p><p><i>Note: For answers that do not contain any accidentals (e.g. C major and A minor keys), enter "None".</i></p><p>Examples:</p><ul><li>The key signature in treble clef for F-sharp major should be entered as: <br><strong>F#5,C#5,G#5,D#5,A#4,E#5</strong></li><li>The key signature in bass clef for c minor should be entered as: <br><strong>Bb2,Eb3,Ab2</strong></li><li>The key signature for C major or A minor (in any clef) should be entered as:<br><strong>None</strong></li></ul><p>You can click "Add Blank for 1 More Answer" to add other answers that yield a partial grade. At least one of the answers must be assigned a full grade of 100%.</p>';
$string['answerno'] = 'Answer {$a}';
$string['B'] = 'B';
$string['bass'] = 'Bass';
$string['C'] = 'C';
$string['clef'] = 'Clef';
$string['clef_help'] = 'Specifies the clef.';
$string['D'] = 'D';
$string['E'] = 'E';
$string['editingkeysignature'] = 'Editing Key Signature';
$string['F'] = 'F';
$string['feedback'] = 'Feedback';
$string['feedbackcorrectanswer'] = 'Your answer is correct.';
$string['feedbackwronganswer'] = 'The correct answer is:';
$string['G'] = 'G';
$string['keysignature'] = 'Key Signature';
$string['keysignature_help'] = 'A tonic, mode and clef are provided. The respondent is asked to enter the corresponding key signature on the staff.';
$string['mode'] = 'Mode';
$string['mode_help'] = 'Specifies the mode.';
$string['mode_major'] = 'Major';
$string['mode_minor'] = 'Minor';
$string['natural'] = 'Natural';
$string['nonexistentkey'] = 'The tonality you selected doesn\'t have a key signature - please select another one.';
$string['orignoteaccidental'] = 'Tonic Accidental';
$string['orignoteaccidental_help'] = 'Specifies an accidental applying to the tonic - if no accidental applies, &#9838 should be selected.';
$string['orignoteletter'] = 'Tonic Letter';
$string['orignoteletter_help'] = 'Specifies the letter name of the tonic.';
$string['pluginname'] = 'Music Key Signature';
$string['pluginnameadding'] = 'Adding a music key signature question';
$string['pluginnameediting'] = 'Editing a music key signature question';
$string['pluginname_help'] = 'Flash for Defining Key Signatures';
$string['pluginname_link'] = 'question/type/musickeysignature';
$string['pluginnamesummary'] = 'Flash Component that allows user to define a key signature';
$string['treble'] = 'Treble';
