<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'readaloud', language 'en', branch 'MOODLE_35_STABLE'
 *
 * @package   readaloud
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['accadjust'] = 'Fixed error est.';
$string['accadjust_details'] = 'This is a fixed estimate of the number of machine transcription errors per attempt. If error estimation is set to "Fixed" then this value will be used to compensate scores for errors in machine transcription.';
$string['accadjust_help'] = 'This rate should correspond as closely as possible to the estimated error rate.';
$string['accadjustmethod'] = 'Error estimation';
$string['accadjustmethod_details'] = 'An estimate of the number of machine transcription errors per attempt is used to create adjusted scores that compensate for errors in machine transcription.';
$string['accadjustmethod_help'] = 'For error estimate and accuracy adjustment, we can: never estimate errors; auto estimate errors(default); or use a fixed error estimate.';
$string['accmethod_auto'] = 'Auto';
$string['accmethod_fixed'] = 'Fixed';
$string['accmethod_none'] = 'None';
$string['accuracy'] = 'Accuracy';
$string['accuracy_p'] = 'Acc(%)';
$string['activitylink'] = 'Link to next activity';
$string['activitylink_help'] = 'To provide a link after the attempt to another activity in the course, select the activity from the dropdown list.';
$string['activitylinkname'] = 'Continue to next activity: {$a}';
$string['adjustedaccuracy_p'] = 'Adj. Acc(%)';
$string['adjustedgrade_p'] = 'Adj. Grade(%)';
$string['adjustedwpm'] = 'Adj. WPM';
$string['aigradenow'] = 'AI Grade';
$string['allowearlyexit'] = 'Can exit early';
$string['allowearlyexit_defaultdetails'] = 'Sets the default setting for allow_early_exit. Can be overriden at the activity level. If true, allow_early_exit means that students can finish before the time limit, by pressing a finish button. The WPM is calculated using their recording time.';
$string['allowearlyexit_details'] = 'If checked students can finish before the time limit, by pressing a finish button. The WPM is calculated using their recording time.';
$string['alternatives'] = 'Alternatives';
$string['apisecret'] = 'Poodll API Secret';
$string['apisecret_details'] = 'The Poodll API secret. See <a href= "https://support.poodll.com/support/solutions/articles/19000083076-cloud-poodll-api-secret">here</a> for more details';
$string['apiuser'] = 'Poodll API User';
$string['apiuser_details'] = 'The Poodll account username that authorises Poodll on this site.';
$string['attemptsbyuserheading'] = 'User Attempts Report';
$string['attemptsheading'] = 'Attempts Report';
$string['attemptsperpage'] = 'Attempts to show per page:';
$string['attemptsreport'] = 'Attempts Report';
$string['audiofile'] = 'Audio';
$string['awsregion'] = 'AWS Region';
$string['backtotop'] = 'Back to Start';
$string['basicheading'] = 'Basic Report';
$string['basicreport'] = 'Basic Report';
$string['beginreading'] = 'Begin Reading';
$string['cannotgradenow'] = '-';
$string['currenterrorestimate'] = 'Current error estimate: {$a}';
$string['defaultfeedback'] = 'Thanks for reading. Please be patient until your attempt has been evaluated.';
$string['defaultsettings'] = 'Default Settings';
$string['defaultwelcome'] = 'To begin the activity first test your microphone. When we can hear sound from your microphone a start button will appear. After you press the start button, a reading passage will appear. Read the passage aloud as clearly as you can.';
$string['deletealluserdata'] = 'Delete all user data';
$string['deleteattemptconfirm'] = 'Are you sure that you want to delete this attempt?';
$string['deletenow'] = '';
$string['doaigrade'] = 'AI Grade';
$string['doclear'] = 'Clear all markers';
$string['done'] = 'Done';
$string['dospotcheck'] = 'Spot Check';
$string['dublin'] = 'Dublin, Ireland';
$string['enableai'] = 'Enable AI';
$string['enableai_details'] = 'Read Aloud can evaluate results from a student attempt using AI. Check to enable.';
$string['enabletts'] = 'Enable TTS(experimental)';
$string['enabletts_details'] = 'TTS is currently not implemented';
$string['en-au'] = 'English (Aus.)';
$string['en-uk'] = 'English (UK)';
$string['en-us'] = 'English (US)';
$string['errorheader'] = 'Error';
$string['es-us'] = 'Spanish (US)';
$string['evaluationview'] = 'Evaluation display';
$string['evaluationview_details'] = 'What to show students after they have attempted and received an evaluation';
$string['exceededattempts'] = 'You have completed the maximum {$a} attempts.';
$string['expiredays'] = 'Days to keep file';
$string['exportexcel'] = 'Export to CSV';
$string['feedbackheader'] = 'Finished';
$string['feedbacklabel'] = 'Feedback Message';
$string['feedbacklabel_details'] = 'The default text to show in the feedback field when creating a new Read Aloud activity.';
$string['forever'] = 'Never expire';
$string['frankfurt'] = 'Frankfurt, Germany (no AI)';
$string['fr-ca'] = 'French (Can.)';
$string['gotnosound'] = 'We could not hear you. Please check the permissions and settings for microphone and try again.';
$string['grade'] = 'Grade';
$string['gradeaverage'] = 'average score of all attempts';
$string['gradehighest'] = 'highest scoring attempt';
$string['gradelatest'] = 'score of latest attempt';
$string['gradelowest'] = 'lowest scoring attempt';
$string['gradenone'] = 'No grade';
$string['gradenow'] = 'Grade Now';
$string['gradenowtitle'] = 'Grading: {$a}';
$string['gradeoptions'] = 'Grade Options';
$string['grade_p'] = 'Grade(%)';
$string['grader'] = 'Graded by';
$string['grader_ai'] = 'AI';
$string['grader_human'] = 'Human';
$string['grader_ungraded'] = 'Ungraded';
$string['gradesadmin'] = 'Machine Grades Admin';
$string['gradesadmininstructions'] = 'On this page you can re-evaluate all the machine evaluations, which is a good thing to do if you have altered the alternatives for this passage. If you have enabled machine grading you can also push the adjusted grades to the gradebook.';
$string['gradesadmintitle'] = 'Machine Grades Administration';
$string['gradethisattempt'] = 'Grade this attempt';
$string['grading'] = 'Grading';
$string['gradingbutton'] = 'Grading Mode';
$string['gradingbyuserheading'] = 'Grading all attempts for: {$a}';
$string['gradingheading'] = 'Grading latest attempts for each user.';
$string['humanevaluatedmessage'] = 'Your latest attempt has been graded by your teacher and results are displayed below.';
$string['humanpostattempt'] = 'Evaluation display (human)';
$string['humanpostattempt_details'] = 'What to show students after they have attempted and received a human evaluation';
$string['id'] = 'ID';
$string['itemsperpage'] = 'Items per page';
$string['itemsperpage_details'] = 'This sets the number of rows to be shown on reports or lists of attempts.';
$string['london'] = 'London, U.K (no AI)';
$string['machineevaluatedmessage'] = 'Your latest attempt has been graded <i>automatically</i> and results are displayed below.';
$string['machinegrademachine'] = 'Use human or machine eval. for grade';
$string['machinegrademethod'] = 'Human/Machine Grading';
$string['machinegrademethod_help'] = 'Use machine evaluations or human evaluations as grades in grade book.';
$string['machinegradenone'] = 'Never use machine eval. for grade';
$string['machinegradespushed'] = 'Successfully pushed grades to gradebook';
$string['machinegrading'] = 'Machine Evaluations';
$string['machinegradingbyuserheading'] = 'Machine evaluated attempts for: {$a}';
$string['machinegradingheading'] = 'Machine evaluated latest attempt for each user.';
$string['machinepostattempt'] = 'Evaluation display (machine)';
$string['machinepostattempt_details'] = 'What to show students after they have attempted and received a machine evaluation';
$string['machineregradeall'] = 'Re machine evaluate all attempts';
$string['machineregraded'] = 'Successfully regraded {$a->done} attempts. Skipped {$a->skipped} attempts.';
$string['maxattempts'] = 'Max. Attempts';
$string['mingrade'] = 'Minimum Grade';
$string['mingradedetails'] = 'The minimum grade required to "complete" this activity.';
$string['mistakes'] = 'Mistakes';
$string['modulename'] = 'Read Aloud';
$string['modulename_help'] = 'ReadAloud is an activity designed to assist teachers in evaluating their students reading fluency. Students read a passage, set by the teacher, into a microphone. Later the teacher can mark words as incorrect and get the student WCPM(Words Correct Per Minute) scores.';
$string['modulenameplural'] = 'Read Alouds';
$string['name'] = 'Name';
$string['ng'] = 'NG';
$string['noattemptsregrade'] = 'No attempts to regrade';
$string['nodataavailable'] = 'No Data Available Yet';
$string['notgradedyet'] = 'Your submission has been received, but has not been graded yet';
$string['notimelimit'] = 'No time limit';
$string['ok'] = 'OK';
$string['onemin'] = '1 minute';
$string['oneminxsecs'] = '1 minutes {$a} seconds';
$string['ottawa'] = 'Ottawa, Canada (slow)';
$string['overview'] = 'Overview';
$string['overview_help'] = 'Overview Help';
$string['passagelabel'] = 'Reading Passage';
$string['pluginadministration'] = 'Read Aloud Administration';
$string['pluginname'] = 'Read Aloud Activity';
$string['postattempt_eval'] = 'Show the passage, and evaluation(scores)';
$string['postattempt_evalerrors'] = 'Show the passage, evaluation(scores) and errors';
$string['postattemptheader'] = 'Post attempt options';
$string['postattempt_none'] = 'Show the passage. Don\'t show evaluation or errors.';
$string['preview'] = 'Preview';
$string['privacy:metadata'] = 'The Poodll Read Aloud plugin does store personal data.';
$string['processing'] = 'Processing';
$string['pushmachinegrades'] = 'Push machine evaluations to gradebook';
$string['quickgrade'] = 'Quick Grade';
$string['rawaccuracy_p'] = 'Acc(%)';
$string['rawgrade_p'] = 'Grade(%)';
$string['rawwpm'] = 'WPM';
$string['readaloud'] = 'readaloud';
$string['readaloud:addinstance'] = 'Add a new Read Aloud';
$string['readaloudfieldset'] = 'Custom example fieldset';
$string['readaloud:itemedit'] = 'Edit items';
$string['readaloud:itemview'] = 'View items';
$string['readaloud:manage'] = 'Can manage Read Aloud instances';
$string['readaloud:manageattempts'] = 'Can manage Read Aloud attempts';
$string['readaloudname'] = 'Read Aloud';
$string['readaloudname_help'] = 'This is the content of the help tooltip associated with the readaloudname field. Markdown syntax is supported.';
$string['readaloud:preview'] = 'Can preview Read Aloud activities';
$string['readaloudsettings'] = 'readaloud settings';
$string['readaloud:submit'] = 'Can submit Read Aloud attempts';
$string['readaloudtask'] = 'Read Aloud Task';
$string['readaloud:tts'] = 'Can use Text To Speech(tts)';
$string['readaloud:view'] = 'Preview Read Aloud';
$string['reattempt'] = 'Try Again';
$string['recordingaiheader'] = 'Recording and AI options';
$string['region'] = 'AWS Region';
$string['regrade'] = 'Regrade';
$string['reports'] = 'Reports';
$string['returntogradinghome'] = 'Return to Grading Top';
$string['returntomachinegradinghome'] = 'Return to Machine Evaluations Top';
$string['returntoreports'] = 'Return to Reports';
$string['review'] = 'Review';
$string['saopaulo'] = 'Sao Paulo, Brazil (no AI)';
$string['saveandnext'] = 'Save .... and next';
$string['showingattempt'] = 'Showing attempt for: {$a}';
$string['showingmachinegradedattempt'] = 'Machine evaluated attempt for: {$a}';
$string['someadminsetting'] = 'Some Admin Setting';
$string['someadminsetting_details'] = 'More info about Some Admin Setting';
$string['someinstancesetting'] = 'Some Instance Setting';
$string['someinstancesetting_details'] = 'More infor about Some Instance Setting';
$string['spotcheckbutton'] = 'Spot Check Mode';
$string['submitted'] = 'submitted';
$string['sydney'] = 'Sydney, Australia';
$string['targetwpm'] = 'Target WPM';
$string['targetwpm_details'] = 'The default target WPM. A students grade is calculated for the gradebook using this value as the maximum score. If their WPM score is equal to, or greater than the target WPM, they will score 100%. The target WPM can also be set at the activity instance level.';
$string['targetwpm_help'] = 'The target WPM score. A students grade is calculated for the gradebook using this value as the maximum score. If their WPM score is equal to, or greater than the target WPM, they will score 100%.';
$string['timecreated'] = 'Time Created';
$string['timelimit'] = 'Time Limit';
$string['tokyo'] = 'Tokyo, Japan (no AI)';
$string['totalattempts'] = 'Attempts';
$string['transcript'] = 'Transcript';
$string['transcriptcheckbutton'] = 'Transcript Check Mode';
$string['ttslanguage'] = 'Passage Language';
$string['unlimited'] = 'unlimited';
$string['uploadconverterror'] = 'An error occured while posting your file to the server. Your submission has NOT been received. Please refresh the page and try again.';
$string['useast1'] = 'US East';
$string['username'] = 'User';
$string['view'] = 'View';
$string['viewgradesadmin'] = 'Grades Admin';
$string['viewgrading'] = 'View Grading';
$string['viewmachinegrading'] = 'Machine Evaluation';
$string['viewreports'] = 'View Reports';
$string['welcomelabel'] = 'Welcome Message';
$string['welcomelabel_details'] = 'The default text to show in the welcome field when creating a new Read Aloud activity.';
$string['wpm'] = 'WPM';
$string['xmins'] = '{$a} minutes';
$string['xminsecs'] = '{$a->minutes} minutes {$a->seconds} seconds';
$string['xsecs'] = '{$a} seconds';
