<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'registration', language 'en', branch 'MOODLE_30_STABLE'
 *
 * @package   registration
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['addstudent'] = 'Add student';
$string['allowqueue'] = 'Allow queue';
$string['alreadygraded'] = 'You\'ve already been graded - there\'s no point in uploading anything';
$string['answer'] = 'Sign in';
$string['answercancel'] = 'Sign out';
$string['assessmentyour'] = 'Your assessment';
$string['availabledate'] = 'Registration-Period until';
$string['booked'] = 'Booked';
$string['clearall'] = 'Clear all';
$string['closed'] = 'Date is closed';
$string['confighideidnumber'] = 'Don\'t show ID Number on print form.';
$string['configmaxstudents'] = 'Maximal number of students per date.';
$string['courseidincorrect'] = 'Course Module ID was incorrect';
$string['courseincorrect'] = 'Course module is incorrect';
$string['coursemisconfigured'] = 'Course is misconfigured';
$string['dateerror'] = 'Registrationperiod is after the Date!';
$string['datetext'] = 'You are signed in for date';
$string['deleteall'] = 'Delete all';
$string['download_results'] = 'Download results';
$string['drop_registration'] = 'Drop this registration entirely';
$string['duedate'] = 'Registration-Date';
$string['early'] = '{\\$a} early';
$string['errorchoice'] = 'Could not save your choice';
$string['feedback'] = 'Feedback';
$string['feedbackupdated'] = 'Feedback updated for {\\$a} people';
$string['full'] = 'Date is fully occupied';
$string['hideidnumber'] = 'Hide ID Number';
$string['in_queue'] = 'in queue';
$string['invalidregid'] = 'Not a valid registration ID';
$string['late'] = '{\\$a} late';
$string['legend'] = 'Attention! From all Dates within one Topic/one Week participants can only choose one out of them.';
$string['lookfor'] = 'Search';
$string['maximumpoints'] = 'Maximum number of points';
$string['maximumsize'] = 'Maximum number of students';
$string['maxstudents'] = 'Max. number of students';
$string['message'] = 'Change in registration in the course {$a->coursename}!

There has been a free place in registration on {$a->duedate} ({$a->name}) in the course {$a->coursename}.
You have been registered. If the date does not suit you anymore, please unregister at {$a->url}.';
$string['modulename'] = 'Registration date';
$string['modulenameplural'] = 'Registration dates';
$string['noregistrations'] = 'There are no registrations';
$string['nostudentsyet'] = 'There are no students yet.';
$string['note'] = 'Note';
$string['notefull'] = 'Even if the registration date is fully booked you can still register. You will be queued. If someone signs out, the first student in the queue will be moved into registered students and a notification will be sent to him/her by mail.';
$string['notsubmittedyet'] = 'Not yet evaluated';
$string['or'] = 'or';
$string['order'] = 'Order';
$string['place'] = 'Room';
$string['pluginadministration'] = 'Registration administration';
$string['pluginname'] = 'registration';
$string['points'] = 'Points';
$string['pointsplural'] = 'Points';
$string['printversionid'] = 'Print version: just ID';
$string['printversionidname'] = 'Print version: with ID and name';
$string['printversionname'] = 'Print version: just name';
$string['registeredon'] = 'Registered On';
$string['registration:grade'] = 'Grade registration';
$string['registrationname'] = 'Registration date name';
$string['registrations'] = 'Registrations';
$string['registrationsreset'] = 'Reset or delete registrations';
$string['registration:view'] = 'View registration';
$string['registration:viewlist'] = 'View registration list';
$string['reset_data'] = 'Reset data';
$string['saveallfeedback'] = 'Save all responses';
$string['subject'] = 'Change in registration in the course {$a->coursename} ({$a->duedate})';
$string['submissions'] = 'Submissions';
$string['submitted'] = 'Submitted';
$string['systemuploadfail'] = 'Sorry, an error in the system prevents you from uploading files: contact your teacher or system administrator';
$string['userdeleted'] = 'User deleted from system.';
$string['viewsubmissions'] = 'View submissions';
$string['weirderror'] = 'Weird registration error';
