<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'report_gsb', language 'en', branch 'MOODLE_26_STABLE'
 *
 * @package   report_gsb
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['automedal'] = 'Automatic Awards';
$string['automedalxp'] = 'Do you want to automatically award auto calculated medals when a teacher or administrator enters a course';
$string['bronzeassignments'] = 'Number of Assignments';
$string['bronzeassignmentslogs'] = 'Minimum Assignment Activity';
$string['bronzebook'] = 'Number of Books';
$string['bronzebooklogs'] = 'Minimum Book Activity';
$string['bronzechat'] = 'Number of Chat Activities';
$string['bronzechatlogs'] = 'Minimum Chat Activity';
$string['bronzechoice'] = 'Number of Choice Activities';
$string['bronzechoicelogs'] = 'Minimum Choice Activity';
$string['bronzedatabase'] = 'Number of Databases';
$string['bronzedatabaselogs'] = 'Minimum Database Activity';
$string['bronzeembed'] = 'Number of embedded videos';
$string['bronzefeedback'] = 'Number of Feedback Activities';
$string['bronzefeedbacklogs'] = 'Minimum Feedback Activity';
$string['bronzefolders'] = 'Number of Folders';
$string['bronzefolderslogs'] = 'Minimum Label Activity';
$string['bronzeforum'] = 'Number of Forums';
$string['bronzeforumlogs'] = 'Minimum Forum Activity';
$string['bronzeglossary'] = 'Number of Glossaries';
$string['bronzeglossarylogs'] = 'Minimum Glossary Activity';
$string['bronze_heading'] = 'Configure Bronze Benchmarking';
$string['bronzeheadings'] = 'Section Headings';
$string['bronzeims'] = 'Number of IMS packages';
$string['bronzeimslogs'] = 'Minimum Feedback Activity';
$string['bronzelabels'] = 'Number of Labels';
$string['bronzelabelslogs'] = 'Minimum Label Activity';
$string['bronzenumoptional'] = 'Optional Requirements';
$string['bronzenumoptionalxp'] = 'This is the number of optional settings needed to be fulfilled before awarding this
medal. Use this setting when benchmarking to a selection of a range of activities. Note: select only the minimum number of criteria.';
$string['bronzequest'] = 'Number of Questionnaires';
$string['bronzequestlogs'] = 'Minimum Questionnaire Activity';
$string['bronzequiz'] = 'Number of Quizzes';
$string['bronzequizlogs'] = 'Minimum Quiz Activity';
$string['bronzeresources'] = 'Number of Resources';
$string['bronzeurls'] = 'Number of URLss';
$string['bronzeurlslogs'] = 'Minimum URL Activity';
$string['bronzewiki'] = 'Number of Wiki Activities';
$string['bronzewikilogs'] = 'Minimum Wiki Activity';
$string['bronzeworkshop'] = 'Number of Workshops';
$string['bronzeworkshoplogs'] = 'Minimum workshop Activity';
$string['configbronzeassignments'] = 'Assignments Criteria Type';
$string['configbronzeassignmentslogs'] = 'Assignment Activity';
$string['configbronzeassignmentsxp'] = 'Define whether the minimum number of assignments (Moodle and Turnitin) count should be excluded, mandatory or optional to this medal criteria.';
$string['configbronzeassignmentsxplogs'] = 'The minimum average student activity for Assignments.';
$string['configbronzebook'] = 'Book Criteria Type';
$string['configbronzebooklogs'] = 'Book Activity';
$string['configbronzebookxp'] = 'Define whether the minimum number of Books should be excluded, mandatory or optional to this medal criteria.';
$string['configbronzebookxplogs'] = 'The minimum average student activity for Book activities.';
$string['configbronzechat'] = 'Chat Criteria Type';
$string['configbronzechatlogs'] = 'Chat Activity';
$string['configbronzechatxp'] = 'Define whether the minimum number of chat activity count should be excluded, mandatory or optional to this medal criteria.';
$string['configbronzechatxplogs'] = 'The minimum average student activity for Chat activities.';
$string['configbronzechoice'] = 'Choice Criteria Type';
$string['configbronzechoicelogs'] = 'Choice Activity';
$string['configbronzechoicexp'] = 'Define whether the minimum number of Choice Activities should be excluded, mandatory or optional to this medal criteria.';
$string['configbronzechoicexplogs'] = 'The minimum average student activity for choice activities.';
$string['configbronzedatabase'] = 'Database Criteria Type';
$string['configbronzedatabaselogs'] = 'Database Activity';
$string['configbronzedatabasexp'] = 'Define whether the minimum number of databases should be excluded, mandatory or optional to this medal criteria.';
$string['configbronzedatabasexplogs'] = 'The minimum average student activity for database activities.';
$string['configbronzeembed'] = 'Embed Criteria Type';
$string['configbronzeembedxp'] = 'Define whether the minimum number of embedded videos count should be excluded, mandatory or optional to this medal criteria.';
$string['configbronzefeedback'] = 'Feedback Criteria Type';
$string['configbronzefeedbacklogs'] = 'Feedback Activity';
$string['configbronzefeedbackxp'] = 'Define whether the minimum number of Feedback count should be excluded, mandatory or optional to this medal criteria.';
$string['configbronzefeedbackxplogs'] = 'The minimum average student activity for Feedback activities.';
$string['configbronzefolders'] = 'Folders Criteria Type';
$string['configbronzefolderslogs'] = 'Label Activity';
$string['configbronzefoldersxp'] = 'Define whether the minimum folders count should be excluded, mandatory or optional to this medal criteria.';
$string['configbronzefoldersxplogs'] = 'The minimum average student views before being able to have a calculated medal score. All courses without this criteria will be marked as in development';
$string['configbronzeforum'] = 'Forum Criteria Type';
$string['configbronzeforumlogs'] = 'Forum Activity';
$string['configbronzeforumxp'] = 'Define whether the minimum number of forum count should be excluded, mandatory or optional to this medal criteria.';
$string['configbronzeforumxplogs'] = 'The minimum average student activity for Forum activities.';
$string['configbronzeglossary'] = 'Glossary Criteria Type';
$string['configbronzeglossarylogs'] = 'Glossary Activity';
$string['configbronzeglossaryxp'] = 'Define whether the minimum number of glossaries should be excluded, mandatory or optional to this medal criteria.';
$string['configbronzeglossaryxplogs'] = 'The minimum average student activity for Glossary activities.';
$string['configbronzeheadings'] = 'Headings Criteria Type';
$string['configbronzeheadingsxp'] = 'Define whether each section should have a defined header which isn\'t the default and should be excluded, mandatory or optional to this medal criteria.';
$string['configbronzeims'] = 'IMS package Criteria Type';
$string['configbronzeimslogs'] = 'IMS Activity';
$string['configbronzeimsxp'] = 'Define whether the minimum number of IMS package count should be excluded, mandatory or optional to this medal criteria.';
$string['configbronzeimsxplogs'] = 'The minimum average student activity for IMS activities.';
$string['configbronzelabels'] = 'Labels Criteria Type';
$string['configbronzelabelslogs'] = 'Label Activity';
$string['configbronzelabelsxp'] = 'Define whether the minimum labels count should be excluded, mandatory or optional to this medal criteria.';
$string['configbronzelabelsxplogs'] = 'The minimum average student views for Labels.';
$string['configbronzequest'] = 'Questionnaire Criteria Type';
$string['configbronzequestlogs'] = 'Questionnaire Activity';
$string['configbronzequestxp'] = 'Define whether the minimum number of questionnaire count should be excluded, mandatory or optional to this medal criteria.';
$string['configbronzequestxplogs'] = 'The minimum average student activity for Questionnaire activities.';
$string['configbronzequiz'] = 'Quiz Criteria Type';
$string['configbronzequizlogs'] = 'Quiz Activity';
$string['configbronzequizxp'] = 'Define whether the minimum number of Quiz count should be excluded, mandatory or optional to this medal criteria.';
$string['configbronzequizxplogs'] = 'The minimum average student activity for Quiz activities.';
$string['configbronzeresources'] = 'Resources Criteria Type';
$string['configbronzeresourcesxp'] = 'Define whether the minimum resources count should be excluded, mandatory or optional to this medal criteria.';
$string['configbronzeurls'] = 'URLs Criteria Type';
$string['configbronzeurlslogs'] = 'URL Activity';
$string['configbronzeurlsxp'] = 'Define whether the minimum URLs count should be excluded, mandatory or optional to this medal criteria.';
$string['configbronzeurlsxplogs'] = 'The minimum average student views for URLs.';
$string['configbronzewiki'] = 'Wiki Criteria Type';
$string['configbronzewikilogs'] = 'Wiki Activity';
$string['configbronzewikixp'] = 'Define whether the minimum number of Wiki\'s count should be excluded, mandatory or optional to this medal criteria.';
$string['configbronzewikixplogs'] = 'The minimum average student activity for Wiki activities.';
$string['configbronzeworkshop'] = 'Workshop Criteria Type';
$string['configbronzeworkshoplogs'] = 'workshop Activity';
$string['configbronzeworkshopxp'] = 'Define whether the minimum number of workshops should be excluded, mandatory or optional to this medal criteria.';
$string['configbronzeworkshopxplogs'] = 'The minimum average student activity for workshop activities.';
$string['configdefaultbronzeassignments'] = 'Number of assignments required for Bronze if used. This is the total of assignments within a course page.';
$string['configdefaultbronzeassignmentslogs'] = 'Minimum average activity for Assignments required for Bronze if used.';
$string['configdefaultbronzebook'] = 'Number of Books required for Bronze if used.';
$string['configdefaultbronzebooklogs'] = 'Minimum average activity for Book activities required for Bronze if used.';
$string['configdefaultbronzechat'] = 'Number of chat activities required for Bronze if used.';
$string['configdefaultbronzechatlogs'] = 'Minimum average activity for Chat activities required for Bronze if used.';
$string['configdefaultbronzechoice'] = 'Number of Choice activities required for Bronze if used.';
$string['configdefaultbronzechoicelogs'] = 'Minimum average activity for Choice activities required for Bronze if used.';
$string['configdefaultbronzedatabase'] = 'Number of Databases required for Bronze if used.';
$string['configdefaultbronzedatabaselogs'] = 'Minimum average activity for Database activities required for Bronze if used.';
$string['configdefaultbronzeembed'] = 'Number of embedded videos required for Bronze if used.';
$string['configdefaultbronzefeedback'] = 'Number of Feedback activities required for Bronze if used.';
$string['configdefaultbronzefeedbacklogs'] = 'Minimum average activity for Feedback activities required for Bronze if used.';
$string['configdefaultbronzefolders'] = 'Number of folders required for Bronze if used.';
$string['configdefaultbronzefolderslogs'] = 'Minimum average activity for Folders required for Bronze if used.';
$string['configdefaultbronzeforum'] = 'Number of Forums required for Bronze if used.';
$string['configdefaultbronzeforumlogs'] = 'Minimum average activity for Forum activities required for Bronze if used.';
$string['configdefaultbronzeglossary'] = 'Number of Glossaries required for Bronze if used.';
$string['configdefaultbronzeglossarylogs'] = 'Minimum average activity for Glossary activities required for Bronze if used.';
$string['configdefaultbronzeheadings'] = 'Minimum number of defined headings for Bronze.';
$string['configdefaultbronzeims'] = 'Number of IMS packages required for Bronze if used.';
$string['configdefaultbronzeimslogs'] = 'Minimum average activity for IMS activities required for Bronze if used.';
$string['configdefaultbronzelabels'] = 'Number of Labels required for Bronze if used.';
$string['configdefaultbronzelabelslogs'] = 'Minimum average activity for Labels required for Bronze if used.';
$string['configdefaultbronzequest'] = 'Number of Questionnaires required for Bronze if used.';
$string['configdefaultbronzequestlogs'] = 'Minimum average activity for Questionnaire activities required for Bronze if used.';
$string['configdefaultbronzequiz'] = 'Number of Quizzes required for Bronze if used.';
$string['configdefaultbronzequizlogs'] = 'Minimum average activity for Quiz activities required for Bronze if used.';
$string['configdefaultbronzeresources'] = 'Number of resources required for Bronze if used. This is a total of documents within books, folders
labels, pages and on the main course page.';
$string['configdefaultbronzeurls'] = 'Number of URLs required for Bronze if used.';
$string['configdefaultbronzeurlslogs'] = 'Minimum average activity for urls required for Bronze if used.';
$string['configdefaultbronzewiki'] = 'Number of Wiki Activities required for Bronze if used.';
$string['configdefaultbronzewikilogs'] = 'Minimum average activity for Wiki activities required for Bronze if used.';
$string['configdefaultbronzeworkshop'] = 'Number of Workshops required for Bronze if used.';
$string['configdefaultbronzeworkshoplogs'] = 'Minimum average activity for Workshop activities required for Bronze if used.';
$string['configdefaultgoldassignments'] = 'Number of assignments required for Gold if used. This is the total of assignments within a course page.';
$string['configdefaultgoldassignmentslogs'] = 'Minimum average activity for Assignments required for Gold if used.';
$string['configdefaultgoldbook'] = 'Number of Books required for Gold if used.';
$string['configdefaultgoldbooklogs'] = 'Minimum average activity for Book activities required for Gold if used.';
$string['configdefaultgoldchat'] = 'Number of chat activities required for Gold if used.';
$string['configdefaultgoldchatlogs'] = 'Minimum average activity for Chat activities required for Gold if used.';
$string['configdefaultgoldchoice'] = 'Number of Choice activities required for Gold if used.';
$string['configdefaultgoldchoicelogs'] = 'Minimum average activity for Choice activities required for Gold if used.';
$string['configdefaultgolddatabase'] = 'Number of Databases required for Gold if used.';
$string['configdefaultgolddatabaselogs'] = 'Minimum average activity for Database activities required for Gold if used.';
$string['configdefaultgoldembed'] = 'Number of embedded videos required for Gold if used.';
$string['configdefaultgoldfeedback'] = 'Number of Feedback activities required for Gold if used.';
$string['configdefaultgoldfeedbacklogs'] = 'Minimum average activity for Feedback activities required for Gold if used.';
$string['configdefaultgoldfolders'] = 'Number of folders required for Gold if used.';
$string['configdefaultgoldfolderslogs'] = 'Minimum average activity for Folders required for Gold if used.';
$string['configdefaultgoldforum'] = 'Number of Forums required for Gold if used.';
$string['configdefaultgoldforumlogs'] = 'Minimum average activity for Forum activities required for Gold if used.';
$string['configdefaultgoldglossary'] = 'Number of Glossaries required for Gold if used.';
$string['configdefaultgoldheadings'] = 'Minimum number of defined headings for Bronze.';
$string['configdefaultgoldims'] = 'Number of IMS packages required for Gold if used.';
$string['configdefaultgoldimslogs'] = 'Minimum average activity for IMS activities required for Gold if used.';
$string['configdefaultgoldlabels'] = 'Number of Labels required for Gold if used.';
$string['configdefaultgoldlabelslogs'] = 'Minimum average activity for Labels required for Gold if used.';
$string['configdefaultgoldquest'] = 'Number of Questionnaires required for Gold if used.';
$string['configdefaultgoldquestlogs'] = 'Minimum average activity for Questionnaire activities required for Gold if used.';
$string['configdefaultgoldquiz'] = 'Number of Quizzes required for Gold if used.';
$string['configdefaultgoldquizlogs'] = 'Minimum average activity for Quiz activities required for Gold if used.';
$string['configdefaultgoldresources'] = 'Number of resources required for Gold if used. This is a total of documents within books, folders
labels, pages and on the main course page.';
$string['configdefaultgoldurls'] = 'Number of URLs required for Gold if used.';
$string['configdefaultgoldurlslogs'] = 'Minimum average activity for urls required for Gold if used.';
$string['configdefaultgoldwiki'] = 'Number of Wiki Activities required for Gold if used.';
$string['configdefaultgoldwikilogs'] = 'Minimum average activity for Wiki activities required for Gold if used.';
$string['configdefaultgoldworkshop'] = 'Number of Workshops required for Gold if used.';
$string['configdefaultgoldworkshoplogs'] = 'Minimum average activity for Workshop activities required for Gold if used.';
$string['configdefaultsilverassignments'] = 'Number of assignments required for Silver if used. This is the total of assignments within a course page.';
$string['configdefaultsilverassignmentslogs'] = 'Minimum average activity for Assignments required for Silver if used.';
$string['configdefaultsilverbook'] = 'Number of Books required for Silver if used.';
$string['configdefaultsilverbooklogs'] = 'Minimum average activity for Book activities required for Silver if used.';
$string['configdefaultsilverchat'] = 'Number of chat activities required for Silver if used.';
$string['configdefaultsilverchatlogs'] = 'Minimum average activity for Chat activities required for Silver if used.';
$string['configdefaultsilverchoice'] = 'Number of Choice activities required for Silver if used.';
$string['configdefaultsilverchoicelogs'] = 'Minimum average activity for Choice activities required for Silver if used.';
$string['configdefaultsilverdatabase'] = 'Number of Databases required for Silver if used.';
$string['configdefaultsilverdatabaselogs'] = 'Minimum average activity for Database activities required for Silver if used.';
$string['configdefaultsilverembed'] = 'Number of embedded videos required for Silver if used.';
$string['configdefaultsilverfeedback'] = 'Number of Feedback activities required for Silver if used.';
$string['configdefaultsilverfeedbacklogs'] = 'Minimum average activity for Feedback activities required for Silver if used.';
$string['configdefaultsilverfolders'] = 'Number of folders required for Silver if used.';
$string['configdefaultsilverfolderslogs'] = 'Minimum average activity for Folders required for Silver if used.';
$string['configdefaultsilverforum'] = 'Number of Forums required for Silver if used.';
$string['configdefaultsilverforumlogs'] = 'Minimum average activity for Forum activities required for Silver if used.';
$string['configdefaultsilverglossary'] = 'Number of Glossaries required for Silver if used.';
$string['configdefaultsilverglossarylogs'] = 'Minimum average activity for Glossary activities required for Silver if used.';
$string['configdefaultsilverheadings'] = 'Minimum number of defined headings for Bronze.';
$string['configdefaultsilverims'] = 'Number of IMS packages required for Silver if used.';
$string['configdefaultsilverimslogs'] = 'Minimum average activity for IMS activities required for Silver if used.';
$string['configdefaultsilverlabels'] = 'Number of Labels required for Silver if used.';
$string['configdefaultsilverlabelslogs'] = 'Minimum average activity for Labels required for Silver if used.';
$string['configdefaultsilverquest'] = 'Number of Questionnaires required for Silver if used.';
$string['configdefaultsilverquestlogs'] = 'Minimum average activity for Questionnaire activities required for Silver if used.';
$string['configdefaultsilverquiz'] = 'Number of Quizzes required for Silver if used.';
$string['configdefaultsilverquizlogs'] = 'Minimum average activity for Quiz activities required for Silver if used.';
$string['configdefaultsilverresources'] = 'Number of resources required for Silver if used. This is a total of documents within books, folders
labels, pages and on the main course page.';
$string['configdefaultsilverurls'] = 'Number of URLs required for Silver if used.';
$string['configdefaultsilverurlslogs'] = 'Minimum average activity for urls required for Silver if used.';
$string['configdefaultsilverwiki'] = 'Number of Wiki Activities required for Silver if used.';
$string['configdefaultsilverwikilogs'] = 'Minimum average activity for Wiki activities required for Silver if used.';
$string['configdefaultsilverworkshop'] = 'Number of Workshops required for Silver if used.';
$string['configdefaultsilverworkshoplogs'] = 'Minimum average activity for Workshop activities required for Silver if used.';
$string['configgoldassignments'] = 'Assignments Criteria Type';
$string['configgoldassignmentslogs'] = 'Assignment Activity';
$string['configgoldassignmentsxp'] = 'Define whether the minimum number of assignments (Moodle and Turnitin) count should be excluded, mandatory or optional to this medal criteria.';
$string['configgoldassignmentsxplogs'] = 'The minimum average student activity for Assignments.';
$string['configgoldbook'] = 'Book Criteria Type';
$string['configgoldbooklogs'] = 'Book Activity';
$string['configgoldbookxp'] = 'Define whether the minimum number of Books should be excluded, mandatory or optional to this medal criteria.';
$string['configgoldbookxplogs'] = 'The minimum average student activity for Book activities.';
$string['configgoldchat'] = 'Chat Criteria Type';
$string['configgoldchatlogs'] = 'Chat Activity';
$string['configgoldchatxp'] = 'Define whether the minimum number of chat activity count should be excluded, mandatory or optional to this medal criteria.';
$string['configgoldchatxplogs'] = 'The minimum average student activity for Chat activities.';
$string['configgoldchoice'] = 'Choice Criteria Type';
$string['configgoldchoicelogs'] = 'Choice Activity';
$string['configgoldchoicexp'] = 'Define whether the minimum number of Choice Activities should be excluded, mandatory or optional to this medal criteria.';
$string['configgoldchoicexplogs'] = 'The minimum average student activity for choice activities.';
$string['configgolddatabase'] = 'Database Criteria Type';
$string['configgolddatabaselogs'] = 'Database Activity';
$string['configgolddatabasexp'] = 'Define whether the minimum number of databases should be excluded, mandatory or optional to this medal criteria.';
$string['configgolddatabasexplogs'] = 'The minimum average student activity for database activities.';
$string['configgoldembed'] = 'Embed Criteria Type';
$string['configgoldembedxp'] = 'Define whether the minimum number of embedded videos count should be excluded, mandatory or optional to this medal criteria.';
$string['configgoldfeedback'] = 'Feedback Criteria Type';
$string['configgoldfeedbacklogs'] = 'Feedback Activity';
$string['configgoldfeedbackxp'] = 'Define whether the minimum number of Feedback count should be excluded, mandatory or optional to this medal criteria.';
$string['configgoldfeedbackxplogs'] = 'The minimum average student activity for Feedback activities.';
$string['configgoldfolders'] = 'Folders Criteria Type';
$string['configgoldfolderslogs'] = 'Label Activity';
$string['configgoldfoldersxp'] = 'Define whether the minimum folders count should be excluded, mandatory or optional to this medal criteria.';
$string['configgoldfoldersxplogs'] = 'The minimum average student views before being able to have a calculated medal score. All courses without this criteria will be marked as in development';
$string['configgoldforum'] = 'Forum Criteria Type';
$string['configgoldforumlogs'] = 'Forum Activity';
$string['configgoldforumxp'] = 'Define whether the minimum number of forum count should be excluded, mandatory or optional to this medal criteria.';
$string['configgoldforumxplogs'] = 'The minimum average student activity for Forum activities.';
$string['configgoldglossary'] = 'Glossary Criteria Type';
$string['configgoldglossarylogs'] = 'Glossary Activity';
$string['configgoldglossaryxp'] = 'Define whether the minimum number of glossaries should be excluded, mandatory or optional to this medal criteria.';
$string['configgoldglossaryxplogs'] = 'The minimum average student activity for Glossary activities.';
$string['configgoldheadings'] = 'Headings Criteria Type';
$string['configgoldheadingsxp'] = 'Define whether each section should have a defined header which isn\'t the default and should be excluded, mandatory or optional to this medal criteria.';
$string['configgoldims'] = 'IMS package Criteria Type';
$string['configgoldimslogs'] = 'IMS Activity';
$string['configgoldimsxp'] = 'Define whether the minimum number of IMS package count should be excluded, mandatory or optional to this medal criteria.';
$string['configgoldimsxplogs'] = 'The minimum average student activity for IMS activities.';
$string['configgoldlabels'] = 'Labels Criteria Type';
$string['configgoldlabelslogs'] = 'Label Activity';
$string['configgoldlabelsxp'] = 'Define whether the minimum labels count should be excluded, mandatory or optional to this medal criteria.';
$string['configgoldlabelsxplogs'] = 'The minimum average student views for Labels.';
$string['configgoldquest'] = 'Questionnaire Criteria Type';
$string['configgoldquestlogs'] = 'Questionnaire Activity';
$string['configgoldquestxp'] = 'Define whether the minimum number of questionnaire count should be excluded, mandatory or optional to this medal criteria.';
$string['configgoldquestxplogs'] = 'The minimum average student activity for Questionnaire activities.';
$string['configgoldquiz'] = 'Quiz Criteria Type';
$string['configgoldquizlogs'] = 'Quiz Activity';
$string['configgoldquizxp'] = 'Define whether the minimum number of Quiz count should be excluded, mandatory or optional to this medal criteria.';
$string['configgoldquizxplogs'] = 'The minimum average student activity for Quiz activities.';
$string['configgoldresources'] = 'Resources Criteria Type';
$string['configgoldresourcesxp'] = 'Define whether the minimum resources count should be excluded, mandatory or optional to this medal criteria.';
$string['configgoldurls'] = 'URLs Criteria Type';
$string['configgoldurlslogs'] = 'URL Activity';
$string['configgoldurlsxp'] = 'Define whether the minimum URLs count should be excluded, mandatory or optional to this medal criteria.';
$string['configgoldurlsxplogs'] = 'The minimum average student views for URLs.';
$string['configgoldwiki'] = 'Wiki Criteria Type';
$string['configgoldwikilogs'] = 'Wiki Activity';
$string['configgoldwikixp'] = 'Define whether the minimum number of Wiki\'s count should be excluded, mandatory or optional to this medal criteria.';
$string['configgoldwikixplogs'] = 'The minimum average student activity for Wiki activities.';
$string['configgoldworkshop'] = 'Workshop Criteria Type';
$string['configgoldworkshoplogs'] = 'workshop Activity';
$string['configgoldworkshopxp'] = 'Define whether the minimum number of workshops should be excluded, mandatory or optional to this medal criteria.';
$string['configgoldworkshopxplogs'] = 'The minimum average student activity for workshop activities.';
$string['configsilverassignments'] = 'Assignments Criteria Type';
$string['configsilverassignmentslogs'] = 'Assignment Activity';
$string['configsilverassignmentsxp'] = 'Define whether the minimum number of assignments (Moodle and Turnitin) count should be excluded, mandatory or optional to this medal criteria.';
$string['configsilverassignmentsxplogs'] = 'The minimum average student activity for Assignments.';
$string['configsilverbook'] = 'Book Criteria Type';
$string['configsilverbooklogs'] = 'Book Activity';
$string['configsilverbookxp'] = 'Define whether the minimum number of Books should be excluded, mandatory or optional to this medal criteria.';
$string['configsilverbookxplogs'] = 'The minimum average student activity for Book activities.';
$string['configsilverchat'] = 'Chat Criteria Type';
$string['configsilverchatlogs'] = 'Chat Activity';
$string['configsilverchatxp'] = 'Define whether the minimum number of chat activity count should be excluded, mandatory or optional to this medal criteria.';
$string['configsilverchatxplogs'] = 'The minimum average student activity for Chat activities.';
$string['configsilverchoice'] = 'Choice Criteria Type';
$string['configsilverchoicelogs'] = 'Choice Activity';
$string['configsilverchoicexp'] = 'Define whether the minimum number of Choice Activities should be excluded, mandatory or optional to this medal criteria.';
$string['configsilverchoicexplogs'] = 'The minimum average student activity for choice activities.';
$string['configsilverdatabase'] = 'Database Criteria Type';
$string['configsilverdatabaselogs'] = 'Database Activity';
$string['configsilverdatabasexp'] = 'Define whether the minimum number of databases should be excluded, mandatory or optional to this medal criteria.';
$string['configsilverdatabasexplogs'] = 'The minimum average student activity for database activities.';
$string['configsilverembed'] = 'Embed Criteria Type';
$string['configsilverembedxp'] = 'Define whether the minimum number of embedded videos count should be excluded, mandatory or optional to this medal criteria.';
$string['configsilverfeedback'] = 'Feedback Criteria Type';
$string['configsilverfeedbacklogs'] = 'Feedback Activity';
$string['configsilverfeedbackxp'] = 'Define whether the minimum number of Feedback count should be excluded, mandatory or optional to this medal criteria.';
$string['configsilverfeedbackxplogs'] = 'The minimum average student activity for Feedback activities.';
$string['configsilverfolders'] = 'Folders Criteria Type';
$string['configsilverfolderslogs'] = 'Label Activity';
$string['configsilverfoldersxp'] = 'Define whether the minimum folders count should be excluded, mandatory or optional to this medal criteria.';
$string['configsilverfoldersxplogs'] = 'The minimum average student views before being able to have a calculated medal score. All courses without this criteria will be marked as in development';
$string['configsilverforum'] = 'Forum Criteria Type';
$string['configsilverforumlogs'] = 'Forum Activity';
$string['configsilverforumxp'] = 'Define whether the minimum number of forum count should be excluded, mandatory or optional to this medal criteria.';
$string['configsilverforumxplogs'] = 'The minimum average student activity for Forum activities.';
$string['configsilverglossary'] = 'Glossary Criteria Type';
$string['configsilverglossarylogs'] = 'Glossary Activity';
$string['configsilverglossaryxp'] = 'Define whether the minimum number of glossaries should be excluded, mandatory or optional to this medal criteria.';
$string['configsilverglossaryxplogs'] = 'The minimum average student activity for Glossary activities.';
$string['configsilverheadings'] = 'Headings Criteria Type';
$string['configsilverheadingsxp'] = 'Define whether each section should have a defined header which isn\'t the default and should be excluded, mandatory or optional to this medal criteria.';
$string['configsilverims'] = 'IMS package Criteria Type';
$string['configsilverimslogs'] = 'IMS Activity';
$string['configsilverimsxp'] = 'Define whether the minimum number of IMS package count should be excluded, mandatory or optional to this medal criteria.';
$string['configsilverimsxplogs'] = 'The minimum average student activity for IMS activities.';
$string['configsilverlabels'] = 'Labels Criteria Type';
$string['configsilverlabelslogs'] = 'Label Activity';
$string['configsilverlabelsxp'] = 'Define whether the minimum labels count should be excluded, mandatory or optional to this medal criteria.';
$string['configsilverlabelsxplogs'] = 'The minimum average student views for Labels.';
$string['configsilverquest'] = 'Questionnaire Criteria Type';
$string['configsilverquestlogs'] = 'Questionnaire Activity';
$string['configsilverquestxp'] = 'Define whether the minimum number of questionnaire count should be excluded, mandatory or optional to this medal criteria.';
$string['configsilverquestxplogs'] = 'The minimum average student activity for Questionnaire activities.';
$string['configsilverquiz'] = 'Quiz Criteria Type';
$string['configsilverquizlogs'] = 'Quiz Activity';
$string['configsilverquizxp'] = 'Define whether the minimum number of Quiz count should be excluded, mandatory or optional to this medal criteria.';
$string['configsilverquizxplogs'] = 'The minimum average student activity for Quiz activities.';
$string['configsilverresources'] = 'Resources Criteria Type';
$string['configsilverresourcesxp'] = 'Define whether the minimum resources count should be excluded, mandatory or optional to this medal criteria.';
$string['configsilverurls'] = 'URLs Criteria Type';
$string['configsilverurlslogs'] = 'URL Activity';
$string['configsilverurlsxp'] = 'Define whether the minimum URLs count should be excluded, mandatory or optional to this medal criteria.';
$string['configsilverurlsxplogs'] = 'The minimum average student views for URLs.';
$string['configsilverwiki'] = 'Wiki Criteria Type';
$string['configsilverwikilogs'] = 'Wiki Activity';
$string['configsilverwikixp'] = 'Define whether the minimum number of Wiki\'s count should be excluded, mandatory or optional to this medal criteria.';
$string['configsilverwikixplogs'] = 'The minimum average student activity for Wiki activities.';
$string['configsilverworkshop'] = 'Workshop Criteria Type';
$string['configsilverworkshoplogs'] = 'workshop Activity';
$string['configsilverworkshopxp'] = 'Define whether the minimum number of workshops should be excluded, mandatory or optional to this medal criteria.';
$string['configsilverworkshopxplogs'] = 'The minimum average student activity for workshop activities.';
$string['explaingeneralbronze'] = 'These are the settings used for the Bronze medal auto calculations.';
$string['explaingeneralgold'] = 'These are the settings used for the Gold medal auto calculations.';
$string['explaingeneralsilver'] = 'These are the settings used for the Silver medal auto calculations.';
$string['goldassignments'] = 'Number of Assignments';
$string['goldassignmentslogs'] = 'Minimum Assignment Activity';
$string['goldbook'] = 'Number of Books';
$string['goldbooklogs'] = 'Minimum Book Activity';
$string['goldchat'] = 'Number of Chat Activities';
$string['goldchatlogs'] = 'Minimum Chat Activity';
$string['goldchoice'] = 'Number of Choice Activities';
$string['goldchoicelogs'] = 'Minimum Choice Activity';
$string['golddatabase'] = 'Number of Databases';
$string['golddatabaselogs'] = 'Minimum Database Activity';
$string['goldembed'] = 'Number of embedded videos';
$string['goldfeedback'] = 'Number of Feedback Activities';
$string['goldfeedbacklogs'] = 'Minimum Feedback Activity';
$string['goldfolders'] = 'Number of Folders';
$string['goldfolderslogs'] = 'Minimum Label Activity';
$string['goldforum'] = 'Number of Forums';
$string['goldforumlogs'] = 'Minimum Forum Activity';
$string['goldglossary'] = 'Number of Glossaries';
$string['goldglossarylogs'] = 'Minimum Glossary Activity';
$string['gold_heading'] = 'Configure Gold Benchmarking';
$string['goldheadings'] = 'Section Headings';
$string['goldims'] = 'Number of IMS packages';
$string['goldimslogs'] = 'Minimum Feedback Activity';
$string['goldlabels'] = 'Number of Labels';
$string['goldlabelslogs'] = 'Minimum Label Activity';
$string['goldnumoptional'] = 'Optional Requirements';
$string['goldnumoptionalxp'] = 'This is the number of optional settings needed to be fulfilled before awarding this
medal. Use this setting when benchmarking to a selection of a range of activities. Note: select only the minimum number of criteria.';
$string['goldquest'] = 'Number of Questionnaires';
$string['goldquestlogs'] = 'Minimum Questionnaire Activity';
$string['goldquiz'] = 'Number of Quizzes';
$string['goldquizlogs'] = 'Minimum Quiz Activity';
$string['goldresources'] = 'Number of Resources';
$string['goldurls'] = 'Number of URLss';
$string['goldurlslogs'] = 'Minimum URL Activity';
$string['goldwiki'] = 'Number of Wiki Activities';
$string['goldwikilogs'] = 'Minimum Wiki Activity';
$string['goldworkshop'] = 'Number of Workshops';
$string['goldworkshoplogs'] = 'Minimum workshop Activity';
$string['gsbadmin'] = 'Medals Report';
$string['gsbdepartment'] = 'Medals Moderation';
$string['gsb:viewmygsbreport'] = 'View the Gold, Silver, Bronze Course Medal';
$string['minenrolments'] = 'Minimum Number of enrolments';
$string['minenrolmentsxp'] = 'The minimum number of enrolments needed on a course before being able to have a calculated medal score. All courses without this criteria will be marked as in development';
$string['pluginname'] = 'Medals';
$string['silverassignments'] = 'Number of Assignments';
$string['silverassignmentslogs'] = 'Minimum Assignment Activity';
$string['silverbook'] = 'Number of Books';
$string['silverbooklogs'] = 'Minimum Book Activity';
$string['silverchat'] = 'Number of Chat Activities';
$string['silverchatlogs'] = 'Minimum Chat Activity';
$string['silverchoice'] = 'Number of Choice Activities';
$string['silverchoicelogs'] = 'Minimum Choice Activity';
$string['silverdatabase'] = 'Number of Databases';
$string['silverdatabaselogs'] = 'Minimum Database Activity';
$string['silverembed'] = 'Number of embedded videos';
$string['silverfeedback'] = 'Number of Feedback Activities';
$string['silverfeedbacklogs'] = 'Minimum Feedback Activity';
$string['silverfolders'] = 'Number of Folders';
$string['silverfolderslogs'] = 'Minimum Label Activity';
$string['silverforum'] = 'Number of Forums';
$string['silverforumlogs'] = 'Minimum Forum Activity';
$string['silverglossary'] = 'Number of Glossaries';
$string['silverglossarylogs'] = 'Minimum Glossary Activity';
$string['silver_heading'] = 'Configure Silver Benchmarking';
$string['silverheadings'] = 'Section Headings';
$string['silverims'] = 'Number of IMS packages';
$string['silverimslogs'] = 'Minimum Feedback Activity';
$string['silverlabels'] = 'Number of Labels';
$string['silverlabelslogs'] = 'Minimum Label Activity';
$string['silvernumoptional'] = 'Optional Requirements';
$string['silvernumoptionalxp'] = 'This is the number of optional settings needed to be fulfilled before awarding this
medal. Use this setting when benchmarking to a selection of a range of activities. Note: select only the minimum number of criteria.';
$string['silverquest'] = 'Number of Questionnaires';
$string['silverquestlogs'] = 'Minimum Questionnaire Activity';
$string['silverquiz'] = 'Number of Quizzes';
$string['silverquizlogs'] = 'Minimum Quiz Activity';
$string['silverresources'] = 'Number of Resources';
$string['silverurls'] = 'Number of URLss';
$string['silverurlslogs'] = 'Minimum URL Activity';
$string['silverwiki'] = 'Number of Wiki Activities';
$string['silverwikilogs'] = 'Minimum Wiki Activity';
$string['silverworkshop'] = 'Number of Workshops';
$string['silverworkshoplogs'] = 'Minimum workshop Activity';
$string['studentviews'] = 'Average User Views';
$string['studentviewsxp'] = 'The minimum average user views before being able to have a calculated medal score. All courses without this criteria will be marked as in development';
$string['subcategories'] = 'Include Sub Categories';
$string['subcategoriesxp'] = 'Do you want to include sub categories when awarding medals?';
$string['title'] = 'title';
