<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'repository_mytube', language 'en', branch 'MOODLE_25_STABLE'
 *
 * @package   repository_mytube
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['allowbrowse'] = 'Show browse tab';
$string['allowbrowsedetails'] = '';
$string['allowuploads'] = 'Show upload tab';
$string['allowuploadsdetails'] = '';
$string['allowwebcam'] = 'Show webcam tab';
$string['allowwebcamdetails'] = '';
$string['allowytcomment'] = 'People can comment on videos on YouTube';
$string['allowytcommentdetails'] = '* does not apply to videos recorded from webcam.';
$string['allowytrate'] = 'People can rate videos on YouTube';
$string['allowytratedetails'] = '* does not apply to videos recorded from webcam.';
$string['allowytrespond'] = 'People can respond by video on YouTube';
$string['allowytresponddetails'] = '* does not apply to videos recorded from webcam.';
$string['authtype'] = 'Authentication Method';
$string['authtypedetails'] = '';
$string['ayoutubevideo'] = 'A YouTube Video';
$string['browsevideos'] = 'Select a YouTube video';
$string['browsevideosdetails'] = 'Select a YouTube video from the list below.<br />';
$string['bymaster'] = 'Use master YouTube account';
$string['byuser'] = 'Use students YouTube accounts';
$string['cat_animals'] = 'Animals';
$string['cat_autos'] = 'Autos';
$string['cat_comedy'] = 'Comedy';
$string['cat_education'] = 'Education';
$string['cat_film'] = 'Film';
$string['cat_games'] = 'Games';
$string['cat_howto'] = 'How To\'s';
$string['cat_movies'] = 'Movies';
$string['cat_music'] = 'Music';
$string['cat_news'] = 'News';
$string['cat_nonprofit'] = 'Non Profit';
$string['cat_people'] = 'People';
$string['cat_shows'] = 'Shows';
$string['cat_sports'] = 'Sports';
$string['cat_tech'] = 'Tech';
$string['cat_trailers'] = 'Trailers';
$string['cat_travel'] = 'Travel';
$string['cat_videoblog'] = 'Video Blog';
$string['clicktoplayvideo'] = 'Click to play video';
$string['clicktorecordvideo'] = 'Click to Record Video';
$string['configplugin'] = 'Configure MyTube Repository';
$string['linkavideo'] = 'Submit a YouTube URL';
$string['linkavideodetails'] = 'Paste a YouTube URL into the textbox below.<br />';
$string['linkonly'] = 'Link only';
$string['logintext'] = 'Login with Google/YouTube';
$string['mytube:view'] = 'View MyTube repository';
$string['nodevkey'] = 'To upload, your administrator must specify their developer key in the admin settings for this plugin.';
$string['nomaster'] = 'To upload, your administrator must specify a master YouTube account and password.';
$string['nooauth2'] = 'To upload, your administrator must specify a Google OAUTH2 client id and secret.';
$string['pleasesave'] = 'Click the \'Next\' button and continue to finish.';
$string['pluginname'] = 'MyTube';
$string['pluginname_help'] = 'MyTube repository';
$string['private'] = 'private';
$string['public'] = 'public';
$string['recordavideo'] = 'Record a Video';
$string['recordavideodetails'] = 'Record a video using the camera and microphone on your computer. First click the button to load the recorder. You will need to be logged in to YouTube/Google and grant permission to the recorder to use your camera and microphone.<br />';
$string['repositoryname'] = 'MyTube';
$string['unlisted'] = 'unlisted';
$string['uploadavideo'] = 'Upload a Video';
$string['uploadavideodetails'] = 'Select a video from your computer or device, and upload it to the YouTube server. If your video is long, uploading could take a long time and may not be immediately available for playback.<br />';
$string['uploadfailed'] = 'Upload Failed';
$string['uploadsuccessful'] = 'Upload Successful';
$string['videocategory'] = 'Video Category';
$string['videocategorydetails'] = '';
$string['videoprivacy'] = 'Privacy Setting';
$string['videoprivacydetails'] = 'Be sure you understand the way the YouTube interprets the privacy settings before you change them.';
$string['youtubecallbackfailed'] = 'The processing of your authorisation from YouTube/Google failed. Unable to contact the HTML editor.';
$string['youtubecallbackjsfailed'] = 'The processing of your authorisation from YouTube/Google failed. Javascript failed to load.';
$string['youtubeclientid'] = 'Google OAUTH2 Client ID';
$string['youtubeclientiddetails'] = 'Necessary if authenticating with student\'s YouTube accounts.';
$string['youtubedevkey'] = 'YouTube Developer Key';
$string['youtubedevkeydetails'] = '';
$string['youtubemasterpass'] = 'YouTube master account password';
$string['youtubemasterpassdetails'] = 'Necessary if authenticating with a master YouTube account.';
$string['youtubemasteruser'] = 'YouTube master account user';
$string['youtubemasteruserdetails'] = 'Necessary if authenticating with a master YouTube account.';
$string['youtubesecret'] = 'Google OAUTH2 Client Secret';
$string['youtubesecretdetails'] = 'Necessary if authenticating with student\'s YouTube accounts.';
