<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'theme_aardvark', language 'en', branch 'MOODLE_33_STABLE'
 *
 * @package   theme_aardvark
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['android'] = 'Google Play Store URL';
$string['androiddesc'] = 'Enter the URL of your Google Play Store Store page. (i.e https://play.google.com/store/apps/developer?id=mycollege)';
$string['apple'] = 'Apple App Store URL';
$string['appledesc'] = 'Enter the URL of your Apple App Store page. (i.e https://itunes.apple.com/gb/artist/my-college/id123456789)';
$string['basicheading'] = 'Basic Settings';
$string['basicheadingdesc'] = 'Customise basic elements of the theme.';
$string['ceop'] = 'CEOP';
$string['ceopaus'] = 'Enable Australia';
$string['ceopdesc'] = 'Enable CEOP reporting.';
$string['ceopnone'] = 'Disabled';
$string['ceopuk'] = 'Enable United Kingdom';
$string['choosereadme'] = '<div class="clearfix">
<div class="well">
<h2>Aardvark</h2>
<p><img class=img-polaroid src="aardvark/pix/screenshot.jpg" /></p>
</div>
<div class="well">
<h3>About</h3>
<p>Aardvark is the original \'menubar\' based theme for Moodle.</p>
<p>Aardvark has evolved over the years as the Moodle core has integrated the many of the features that have made Aardvark so popular, including custom menu and user menu.</p>
<p>The theme features a simple flat look with inspiration taken from Flat UI and Google\'s material design.</p>
<h3>Parents</h3>
<p>Many of the core elements of this theme are based upon the Bootstrap and Clean themes.</p>
<h3>Theme Credits</h3>
<p>Author: Shaun Daubney (Newbury College)<br>
With contributions and parent code from Bas Brands, David Scotson, Stuart Lamour, Mark Aberdour, Paul Hibbitts, Mary Evans.<br>
Website: <a href="www.newbury-college.ac.uk">Newbury College</a>
</p>
<h3>Report a bug:</h3>
<p><a href="https://moodle.org/plugins/view.php?plugin=theme_aardvark">https://moodle.org/plugins/view.php?plugin=theme_aardvark</a></p>
<h3>More information</h3>
<p><a href="aardvark/README.txt">Change log, licenses and version info</a></p>
</div></div>';
$string['configtitle'] = 'Aardvark';
$string['copyright'] = 'Copyright';
$string['copyrightdesc'] = 'The name of your organisation.';
$string['copyrightlink'] = 'Copyright link';
$string['copyrightlinkdesc'] = 'The URL of your organisation\'s main website (i.e http://www.mycollege.ac.uk).';
$string['credit'] = 'Based on an original theme created by Shaun Daubney';
$string['customcss'] = 'Custom CSS';
$string['customcssdesc'] = 'Whatever CSS rules you add to this textarea will be reflected in every page, making for easier customization of this theme.';
$string['customfooter'] = 'Custom footer';
$string['customfooterdesc'] = 'The content from this textarea will be displayed in the first area/zone of the footer of every page.';
$string['disclaimer'] = 'Disclaimer';
$string['disclaimerdesc'] = 'The content from this textarea will be displayed in the second area/zone of the footer of every page.';
$string['facebook'] = 'Facebook URL';
$string['facebookdesc'] = 'Enter the URL of your Facebook page. (i.e http://www.facebook.com/mycollege)';
$string['flickr'] = 'Flickr URL';
$string['flickrdesc'] = 'Enter the URL of your Flickr page. (i.e http://www.flickr.com/mycollege)';
$string['footeroptdesc'] = 'Customise basic elements of the theme\'s footer.';
$string['footeroptheading'] = 'Footer';
$string['frontpageheading'] = 'Frontpage';
$string['frontpageheadingdesc'] = 'Customise frontpage elements of the theme such as user alerts and date.';
$string['generalalert'] = 'General Alert';
$string['generalalertdesc'] = 'This will display an alert on your frontpage to advise users of a particular event/situation.';
$string['googleplus'] = 'Google+ URL';
$string['googleplusdesc'] = 'Enter the URL of your Google+ profile. (i.e http://plus.google.com/107817105228930159735)';
$string['instagram'] = 'Instagram URL';
$string['instagramdesc'] = 'Enter the URL of your Instagram page (via web.stagram). (i.e https://www.instagram.com/mycollege/)';
$string['linkedin'] = 'LinkedIn URL';
$string['linkedindesc'] = 'Enter the URL of your LinkedIn profile. (i.e http://www.linkedin.com/company/mycollege)';
$string['maincolor'] = 'Main colour';
$string['maincolordesc'] = 'Change the main colour of the theme. This includes menu hover, url hover and buttons.';
$string['pinterest'] = 'Pinterest URL';
$string['pinterestdesc'] = 'Enter the URL of your Pinterest page. (i.e http://pinterest.com/mycollege)';
$string['pluginname'] = 'Aardvark';
$string['region-side-post'] = 'Right';
$string['region-side-pre'] = 'Left';
$string['sitelogo'] = 'Site logo';
$string['sitename'] = 'Display site name along with small logo';
$string['sitenamedesc'] = 'If there is no small logo, the site name is always displayed in the navigation bar. If a small logo is set, it may be displayed with or without the site name.';
$string['snapchat'] = 'Snapchat URL';
$string['snapchatdesc'] = 'Enter the URL of your Snapchat profile. (i.e https://www.snapchat.com/add/mycollege)';
$string['socialiconsheading'] = 'Social Icons';
$string['socialiconsheadingdesc'] = 'Customise social network icons.';
$string['twitter'] = 'Twitter URL';
$string['twitterdesc'] = 'Enter the URL of your Twitter feed. (i.e http://www.twitter.com/mycollege)';
$string['website'] = 'Website URL';
$string['websitedesc'] = 'Enter the URL of your main website. (i.e http://www.mycollege.ac.uk)';
$string['wikipedia'] = 'Wikipedia URL';
$string['wikipediadesc'] = 'Enter the URL of your Wikipedia page. (i.e http://en.wikipedia.org/wiki/mycollege)';
$string['youtube'] = 'YouTube URL';
$string['youtubedesc'] = 'Enter the URL of your YouTube channel. (i.e http://www.youtube.com/mycollege)';
