<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'theme_aerie', language 'en', branch 'MOODLE_22_STABLE'
 *
 * @package   theme_aerie
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['blockcolor'] = 'Block colour';
$string['blockcolordesc'] = 'This sets the colour of the blocks and docked blocks. This needs to be a pale colour as black and blue text appears over this colour.';
$string['choosereadme'] = '<div class="clearfix"><div class="theme_screenshot"><h2>Aerie</h2><img src="aerie/pix/screenshot.png" /><h3>Theme Discussion Forum:</h3><p><a href="http://moodle.org/mod/forum/view.php?id=46" target="_blank">http://moodle.org/mod/forum/view.php?id=46</a></p><h3>Theme Documentation:</h3><p><a href="http://docs.moodle.org/en/Themes" target="_blank">http://docs.moodle.org/en/Themes</a></p><h3>Report a bug:</h3><p><a href="http://tracker.moodle.org" target="_blank">http://tracker.moodle.org</a></p></div><div class="theme_description"><h2>About</h2><p>Aerie is a fluid-width, three-column theme for Moodle 2, with six extra positions for blocks (three top and three bottom). The custom menu contains a Home link which always appears to the very left, and a My courses and Login/Logout link, which appears after any administrator-added items.</p><p>Aerie has a settings page that lets you modify various background colours, custom footer, custom css, and the site logo.</p><h2>Tweaks</h2><p>This theme is built upon Base, a parent theme included in the Moodle core. If you want to modify Aerie, we recommend that you first duplicate it then rename it before making your changes. This means you\'ll still have the original files if you make a mistake. More information on modifying themes can be found in the <a href="http://docs.moodle.org/en/Theme">MoodleDocs</a>.</p><h2>Credits</h2><p>This theme was coded and is maintained by Miriam Laidlaw of HRDNZ. She can be contacted by email at miriam@hrdnz.com.</p><p align="center">Logo font is <a href="http://www.mawns.com" target="_blank">Feathergraphy Decoration<br><img src="aerie/pix/feathergraphy_credits.png"></a><br> Logo feather Photoshop brushes by <a href="http://mahdesigns-stock.deviantart.com/" target="_blank">Mah Designs</a>.</p></div></div>';
$string['configtitle'] = 'Aerie';
$string['customcss'] = 'Custom CSS';
$string['customcssdesc'] = 'Any CSS you enter here will be added to every page allowing your to easily customise this theme.';
$string['custommenucolor'] = 'Custom menu colour';
$string['custommenucolordesc'] = 'This sets the colour of the custom menu bar. This needs to be a pale colour as black and blue text appears over this colour.';
$string['custommenuhovercolor'] = 'Custom menu highlight colour';
$string['custommenuhovercolordesc'] = 'This sets the colour of the custom menu mouseover highlight. This needs to be a pale colour as black and blue text appears over this colour.';
$string['footnote'] = 'Footnote';
$string['footnotedesc'] = 'The content from this textarea will be displayed in the footer of every page.';
$string['framecolor'] = 'Frame colour';
$string['framecolordesc'] = 'This sets the colour for the frame.';
$string['highlightedtopiccolor'] = 'Highlighted topic box colour';
$string['highlightedtopiccolordesc'] = 'This sets the side colour for the highlighted topic box on a course page. This should be a brighter colour.';
$string['insidebackgroundcolor'] = 'Background colour within frame';
$string['insidebackgroundcolordesc'] = 'This sets the page background colour within the frame. This needs to be a pale colour as black and blue text often appears over this colour.';
$string['logo'] = 'Logo';
$string['logodesc'] = 'Enter the URL to an image to use as the logo for this site. Should be http://www.yoursite.com/path/to/logo.png';
$string['mbcredits'] = 'Credits';
$string['mbcreditsdesc'] = 'Choose No to remove the link to MoodleBites at the bottom of the page.';
$string['navbarcolor'] = 'Navbar & Dock colour';
$string['navbarcolordesc'] = 'This sets the colour of the navigation bar, heading blocks and dock. This needs to be a pale colour as black and blue text appears over this colour.';
$string['pagebackgroundcolor'] = 'Page background colour';
$string['pagebackgroundcolordesc'] = 'This sets the page background colour for the theme. This can be any colour, light or dark.';
$string['pluginname'] = 'Aerie';
$string['region-block-btm-left'] = 'Bottom Left';
$string['region-block-btm-mid'] = 'Bottom Middle';
$string['region-block-btm-right'] = 'Bottom Right';
$string['region-block-top-left'] = 'Top Left';
$string['region-block-top-mid'] = 'Top Middle';
$string['region-block-top-right'] = 'Top Right';
$string['region-side-post'] = 'Right Side';
$string['region-side-pre'] = 'Left Side';
$string['regionwidth'] = 'Column width';
$string['regionwidthdesc'] = 'This sets the width of the two block regions that form the left and right columns.';
$string['topiccolor'] = 'Topic box colour';
$string['topiccolordesc'] = 'This sets the side colour for the topic boxes on a course page. This can be any colour, light or dark, but keep in mind that the topic boxes are numbered in black, so dark colours may not show up the numbers.';
