<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'theme_educacionbe', language 'en', branch 'MOODLE_28_STABLE'
 *
 * @package   theme_educacionbe
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['android'] = 'Google Play Store URL';
$string['androiddesc'] = 'Enter the URL of your Google Play Store Store page. (i.e https://play.google.com/store/apps/developer?id=mycollege)';
$string['apple'] = 'Apple App Store URL';
$string['appledesc'] = 'Enter the URL of your Apple App Store page. (i.e https://itunes.apple.com/gb/artist/my-college/id123456789)';
$string['backcolor'] = 'Background Colour';
$string['backcolordesc'] = 'Change the colour of the background. (This is the area either side of the main content and does not affect the main content area)';
$string['backimage'] = 'Background Image';
$string['backimagedesc'] = 'Change the background image in the graphic wrap. It\'s currently a cloud blue blur, but if that\'s making you a bit light headed then paste the URL of the image you want to use in here or clear it for a blank background.';
$string['backposition'] = 'Background Image Position';
$string['backpositioncentred'] = 'Centred';
$string['backpositiondesc'] = 'Choose between a centred image or a tiled image.';
$string['backpositionfixed'] = 'Centred (Fixed)';
$string['backpositionrepeat'] = 'Repeat (Horizonal)';
$string['backpositiontiled'] = 'Repeat (Tiled)';
$string['basicheading'] = 'Basic Settings';
$string['basicheadingdesc'] = 'Customise basic elements of the theme.';
$string['ceop'] = 'CEOP';
$string['ceopaus'] = 'Enable Australia';
$string['ceopdesc'] = 'Enable CEOP reporting.';
$string['ceopnone'] = 'Disabled';
$string['ceopuk'] = 'Enable United Kingdom';
$string['choosereadme'] = 'Educacionbe is a three column theme for Moodle 2.5+ originally created by Shaun Daubney for <a href="http://www.newbury-college.ac.uk">Newbury College</a> based on Bootstrap';
$string['colourheading'] = 'Colours and Background';
$string['colourheadingdesc'] = 'Customise site colours and background image.';
$string['configtitle'] = 'educacionbe';
$string['copyright'] = 'Copyright';
$string['copyrightdesc'] = 'The name of your organisation.';
$string['credit'] = 'Based on an original theme created by Shaun Daubney';
$string['customcss'] = 'Custom CSS';
$string['customcssdesc'] = 'Whatever CSS rules you add to this area will be reflected in every page, making for easier customisation of this theme.';
$string['disclaimer'] = 'Disclaimer';
$string['disclaimerdesc'] = 'The content from this textarea will be displayed in the footer of every page.';
$string['email'] = 'Email';
$string['emailurl'] = 'Email URL';
$string['emailurldesc'] = 'Enter the URL of your email service. (i.e http://mail.mycollege.ac.uk or http://www.mycollege.edu/mail)';
$string['facebook'] = 'Facebook URL';
$string['facebookdesc'] = 'Enter the URL of your Facebook page. (i.e http://www.facebook.com/mycollege)';
$string['flickr'] = 'Flickr URL';
$string['flickrdesc'] = 'Enter the URL of your Flickr page. (i.e http://www.flickr.com/mycollege)';
$string['footeroptdesc'] = 'Customise basic elements of the theme\'s footer.';
$string['footeroptheading'] = 'Footer';
$string['frontpageheading'] = 'Frontpage';
$string['frontpageheadingdesc'] = 'Customise frontpage elements of the theme such as user alerts and date.';
$string['generalalert'] = 'General Alert';
$string['generalalertdesc'] = 'This will display an alert on your frontpage to advise users of a particular event/situation.';
$string['googleplus'] = 'Google+ URL';
$string['googleplusdesc'] = 'Enter the URL of your Google+ profile. (i.e http://plus.google.com/107817105228930159735)';
$string['hidemenu'] = 'Hide Menu when Logged Out';
$string['hidemenudesc'] = 'Force users to log in before accessing the menu. If YES then menu options are hidden from users before they log in.';
$string['instagram'] = 'Instagram URL';
$string['instagramdesc'] = 'Enter the URL of your Instagram page (via web.stagram). (i.e http://web.stagram.com/n/mycollege/)';
$string['linkedin'] = 'LinkedIn URL';
$string['linkedindesc'] = 'Enter the URL of your LinkedIn profile. (i.e http://www.linkedin.com/company/mycollege)';
$string['logo'] = 'Logo';
$string['logodesc'] = 'Change the logo of this theme by entering the URL to a new one (i.e., http://www.somesite/logo.png). Ideally a transparent .png with a maximium height of 38px will work best.';
$string['menuhovercolor'] = 'Menu Hover Colour';
$string['menuhovercolordesc'] = 'Change the colour of linked items on the menu bar.';
$string['pinterest'] = 'Pinterest URL';
$string['pinterestdesc'] = 'Enter the URL of your Pinterest page. (i.e http://pinterest.com/mycollege)';
$string['pluginname'] = 'educacionbe';
$string['region-side-post'] = 'Right';
$string['region-side-pre'] = 'Left';
$string['snowalert'] = 'Snow Alert';
$string['snowalertdesc'] = 'This will display an alert on your frontpage to advise users of closures or information regarding inclement weather.';
$string['socialiconsheading'] = 'Social Icons';
$string['socialiconsheadingdesc'] = 'Customise social network icons.';
$string['titledate'] = 'Frontpage Date';
$string['titledatedesc'] = 'Display today&apos;s date on the frontpage.';
$string['twitter'] = 'Twitter URL';
$string['twitterdesc'] = 'Enter the URL of your Twitter feed. (i.e http://www.twitter.com/mycollege)';
$string['website'] = 'Website URL';
$string['websitedesc'] = 'Enter the URL of your main website. (i.e http://www.mycollege.ac.uk)';
$string['wikipedia'] = 'Wikipedia URL';
$string['wikipediadesc'] = 'Enter the URL of your Wikipedia page. (i.e http://en.wikipedia.org/wiki/mycollege)';
$string['youtube'] = 'YouTube URL';
$string['youtubedesc'] = 'Enter the URL of your YouTube channel. (i.e http://www.youtube.com/mycollege)';
