<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'theme_eguru', language 'en', branch 'MOODLE_35_STABLE'
 *
 * @package   theme_eguru
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['about'] = 'About';
$string['aboutus'] = 'About Us';
$string['address'] = 'Address';
$string['blue'] = 'Blue';
$string['choosereadme'] = '<div class="clearfix"><div class="theme_screenshot">
<img class=img-polaroid src="eguru/pix/screenshot.jpg" />
<h3>Theme Credits</h3>
<p>
<h3>Moodle Eguru theme</h3>
<p>
This theme is based on the Boost based Moodle theme.
</p>
<p>
Authors: LMSACE Dev Team<br>
Contact: info@lmsace.com<br>
Website: <a href="http://www.lmsace.com">www.lmsace.com</a><br>
</p>';
$string['color_1'] = 'Color 1';
$string['color_2'] = 'Color 2';
$string['color_3'] = 'Color 3';
$string['color_4'] = 'Color 4';
$string['colorscheme'] = 'Color Scheme';
$string['color_schemes_heading'] = 'Color Schemes';
$string['configtitle'] = 'Eguru';
$string['connectus'] = 'Connect with us';
$string['contact'] = 'Contact';
$string['copyright'] = 'Copyright';
$string['copyright_default'] = '<p class="text-center">Copyright &copy; 2015 - Developed by
            <a href="http://www.lmsace.com/">LMSACE.com</a>.Powered by <a href="https://moodle.org">Moodle</a></p>';
$string['customcss'] = 'Custom CSS';
$string['customcssdesc'] = 'Whatever CSS rules you add to this textarea will be reflected in every page, making for easier customization of this theme.';
$string['dark_cyan'] = 'Dark Cyan';
$string['default'] = 'Default';
$string['defaultaddress'] = '308 Negra Narrow Lane, Albeeze, New york, 87104';
$string['default_color'] = 'Default color scheme';
$string['defaultemailid'] = 'info@example.com';
$string['defaultphoneno'] = '(000) 123-456';
$string['emailid'] = 'Email';
$string['faicondesc'] = 'Enter the name of the icon you wish to use.  List is <a href="http://fortawesome.github.io/Font-Awesome/cheatsheet/" target="_new">here</a>. Just enter what is after the "fa-".';
$string['faq'] = 'FAQ';
$string['fburl'] = 'Facebook';
$string['fburl_default'] = 'https://www.facebook.com/yourfacebookid';
$string['fburldesc'] = 'The Facebook url of your organisation.';
$string['footbgimg'] = 'Background Image';
$string['footbgimgdesc'] = 'Background Image size should be following size 1345 X 517';
$string['footerblink'] = 'Footer Block Link';
$string['footerblink2default'] = 'lang:aboutus|http://www.example.com/about-us.php
lang:termsofuse|http://www.example.com/terms-of-use.php
lang:faq|http://www.example.com/faq.php
lang:support|http://www.example.com/support.php
lang:contact|http://www.example.com/contact.php';
$string['footerblink_desc'] = 'You can configure a Footer Block Links here to be shown by themes. Each line consists of some menu text either language key or text, a link URL (optional),separated by pipe characters.For example:
<pre>
lang:moodlecommunity|https://moodle.org
Moodle Support|https://moodle.org/support
</pre>';
$string['footerblklogo'] = 'Enable Footer Logo';
$string['footerblock'] = 'Footer Block';
$string['footerbtitle2default'] = 'Quick Links';
$string['footerbtitle3default'] = 'Follow Us';
$string['footerbtitle4default'] = 'Contact';
$string['footerbtitle_desc'] = 'Please give the footer block title either language key or text.For ex: lang:display or Display';
$string['footeremail'] = 'E-mail:';
$string['footerheading'] = 'Footer Blocks';
$string['footerlogo'] = 'Footer Logo';
$string['footerlogodesc'] = 'Please upload your custom footer logo here if you want to add it to the footer.
                       <br>The image should be 80px high and any reasonable width (minimum:205px) that suits.';
$string['footnote'] = 'Footnote';
$string['footnotedefault'] = 'Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry\'s standard dummy text ever since the 1500s, when an unknown printer took a galley of type and tronic typesetting, sheets taining Lorem Ipsum passages.';
$string['footnotedesc'] = 'Whatever you add to this textarea will be displayed in the footer throughout your Moodle site.Please give the either language key or text.For ex: lang:display or Display';
$string['frontpageheading'] = 'Front page';
$string['gpurl'] = 'Google+';
$string['gpurl_default'] = 'https://www.google.com/+yourgoogleplusid';
$string['gpurldesc'] = 'The Google+ url of your organisation.';
$string['green'] = 'Green';
$string['headerheading'] = 'Header';
$string['icon'] = 'Icon';
$string['knowmore'] = 'Know More';
$string['lavender'] = 'Lavender';
$string['link'] = 'Link';
$string['login'] = 'Login';
$string['loginheader'] = 'Login into your account';
$string['logo'] = 'Logo';
$string['logodesc'] = 'Please upload your custom logo here if you want to add it to the header.
                       <br>The image should be 50px high and any reasonable width (minimum:235px) that suits.';
$string['marketingspot'] = 'Marketing Spot';
$string['marketingspot1desc'] = 'Enter the Marketing Spot 1 block content either language key or text here.For ex: lang:display or Display';
$string['marketingspot2desc'] = 'Enter the Marketing Spot 2 block content either language key or text here.For ex: lang:display or Display';
$string['marketingspotsheading'] = 'Marketing Spots';
$string['mediaicon1'] = 'fa-facebook-f';
$string['mediaicon2'] = 'fa-twitter';
$string['mediaicon3'] = 'fa-google-plus';
$string['mediaicon4'] = 'fa-pinterest-p';
$string['medianame1'] = 'Facebook';
$string['medianame2'] = 'Twitter';
$string['medianame3'] = 'Google Plus';
$string['medianame4'] = 'Pinterest';
$string['mspot1descdefault'] = 'This is Photoshop\'s version  of Lorem Ipsum. Proin gravida nibh vel velit auctor aliquet. Aenean sollicitudin, lorem quis bibendum auctor, nisi elit consequat.';
$string['mspot1titledefault'] = 'Multilingual';
$string['mspot2descdefault'] = 'This is Photoshop\'s version  of Lorem Ipsum. Proin gravida nibh vel velit auctor aliquet. Aenean sollicitudin, lorem quis bibendum auctor, nisi elit consequat.';
$string['mspot2titledefault'] = 'Online Study';
$string['mspot3descdefault'] = 'This is Photoshop\'s version  of Lorem Ipsum. Proin gravida nibh vel velit auctor aliquet. Aenean sollicitudin, lorem quis bibendum auctor, nisi elit consequat.';
$string['mspot3titledefault'] = 'Community Support';
$string['mspot4descdefault'] = 'This is Photoshop\'s version  of Lorem Ipsum. Proin gravida nibh vel velit auctor aliquet. Aenean sollicitudin, lorem quis bibendum auctor, nisi elit consequat.';
$string['mspot4titledefault'] = 'Responsive Design';
$string['mspotdescdesc'] = 'Enter the Marketing Spot Description either language key or Text.For ex: lang:display or Display';
$string['mspottitledesc'] = 'Enter the Marketing Spot Title either language key or Text.For ex: lang:display or Display';
$string['numberofslides'] = 'Number of slides';
$string['numberofslides_desc'] = 'Number of slides on the slider.';
$string['numberoftmonials'] = 'Number of Testimonials';
$string['numberoftmonials_desc'] = 'Number of Testimonials on the Home Page.';
$string['patternselect'] = 'Site Color Scheme';
$string['patternselectdesc'] = 'Select the color scheme you want to have for your site.';
$string['pcourseenable'] = 'Enable Promoted courses';
$string['pcourses'] = 'Promoted Courses';
$string['pcoursesdesc'] = 'Please give the promoted courses id should separated by comma.';
$string['phone'] = 'Phone';
$string['phoneno'] = 'Phone No';
$string['pinurl'] = 'Pinterest';
$string['pinurl_default'] = 'https://in.pinterest.com/yourpinterestname/';
$string['pinurldesc'] = 'The Pinterest url of your organisation.';
$string['pluginname'] = 'Eguru';
$string['promotedcoursesheading'] = 'Promoted Courses';
$string['promotedtitledefault'] = 'Promoted courses';
$string['promotedtitledesc'] = 'Please give the Promoted courses block title,
either language key or Text.For ex: lang:display or Display';
$string['region-side-post'] = 'Right';
$string['region-side-pre'] = 'Left';
$string['signup'] = 'Sign up';
$string['slidebutton'] = 'Slider button';
$string['slidebuttondesc'] = 'Enter the target destination of the slide\'s image button text,
either language key or Text.For ex: lang:display or Display';
$string['slidebuttonurl'] = 'Slide button link';
$string['slidebuttonurldesc'] = 'Enter the target destination of the slide\'s image button link';
$string['slidecaption'] = 'Slide caption';
$string['slidecaptiondefault'] = 'Moodle Learning Management System';
$string['slidecaptiondesc'] = 'Enter the caption text to use for the slide';
$string['slideimage'] = 'Slide image';
$string['slideimagedesc'] = 'The image should be 1366px X 385px.';
$string['slideno'] = 'Slide {$a->slide}';
$string['slidenodesc'] = 'Enter the settings for slide {$a->slide}.';
$string['slideshowdesc'] = 'This creates a slide show of up to twelve slides for you to promote important elements of your site.  The show is responsive where image height is set according to screen size.If no image is selected for a slide, then the default_slide images in the pix folder is used.';
$string['slideshowheading'] = 'Home Page Slider';
$string['slideshowheadingsub'] = 'Slide show for the front page';
$string['support'] = 'Support';
$string['termsofuse'] = 'Terms of use';
$string['text'] = 'Text';
$string['themegeneralsettings'] = 'General';
$string['title'] = 'Title';
$string['toggleslideshow'] = 'Slide show display';
$string['toggleslideshowdesc'] = 'Choose if you wish to hide or show the slide show.';
$string['twurl'] = 'Twitter';
$string['twurl_default'] = 'https://twitter.com/yourtwittername';
$string['twurldesc'] = 'The Twitter url of your organisation.';
$string['warm_red'] = 'Warm Red';
