<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'theme_krystle', language 'en', branch 'MOODLE_25_STABLE'
 *
 * @package   theme_krystle
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['backgroundcolor'] = 'Background colour';
$string['backgroundcolordesc'] = 'This sets the background colour for the theme.';
$string['bximage'] = 'URL for image';
$string['bximagedesc'] = '';
$string['bxtext'] = 'Content';
$string['bxtextdesc'] = '';
$string['cfmaxversion'] = 'Maximum IE version';
$string['cfmaxversiondesc'] = '<p>Note: <a href="#admin-usecf"><code>usecf</code></a> must be enabled for this to work.</p><p>This is the maximum version of Internet Explorer to prompt users to install Chrome Frame.  Versions above this will not be prompted.</p>';
$string['choosereadme'] = '<div class="clearfix"><div class="theme_screenshot"><h2>Krystle</h2><img src="krystle/pix/screenshot.png" alt="Krystle screenshot" /></div></div>
<br />
<p>Krystle has been created to combine my favourite elements of several themes into a single location:
<ol>
<li>Responsive layouts from Danny Wahls Zebra theme</li>
<li>AwesomeBar menu from krystle by Lei Zhang/Paul Nicholls</li>
<li>Profile block from Aardvark by Shaun Daubney - and with additional work from Mary Evans</li>
<li>An alternative icon set based on the Fugue icons set by Yusuke Kamiyamane (Creative Commons Attribution 3.0 licence)</li>
<li>A box-slider I have used previously in work done with Mary Evans - Originally from EduMoodle by Dan Humpherson</li>
</ol>
<br />Credit for these developments goes to these individuals - credit for any errors I keep to myself :)</p>';
$string['compatinfo'] = 'Browser compatibility settings';
$string['compatinfodesc'] = '<p>Various settings to attempt to improve browser compatibility with this theme for a more consistent user experience.</p>';
$string['configtitle'] = 'Krystle theme settings';
$string['customcss'] = 'Custom CSS';
$string['customcssdesc'] = 'Any CSS you enter here will be added to every page allowing your to easily customise this theme.';
$string['custommenuafterawesomebar'] = 'Place custom menu after Awesomebar';
$string['custommenuafterawesomebardesc'] = 'Places custom menu after Awesomebar content.  Otherwise, it will appear before the Settings menus.  (Only applicable if previous option is enabled.)';
$string['custommenuinawesomebar'] = 'Add custom menu to Awesomebar';
$string['custommenuinawesomebardesc'] = 'Moves the custom menu into the Awesomebar.  Otherwise, it will appear below the header.';
$string['divider1'] = '<h3>Slider One</h3>';
$string['divider2'] = '<h3>Slider Two</h3>';
$string['divider3'] = '<h3>Slider Three</h3>';
$string['divider4'] = '<h3>Slider Four</h3>';
$string['divider5'] = '<h3>Slider Five</h3>';
$string['divider6'] = '<h3>Slider Six</h3>';
$string['divider7'] = '<h3>Slider Seven</h3>';
$string['divider8'] = '<h3>Slider Eight</h3>';
$string['dividerdesc'] = '';
$string['email'] = 'Email';
$string['emailurl'] = 'Email URL';
$string['emailurldesc'] = 'Enter the URL of your email service. (i.e http://mail.mycollege.ac.uk or http://www.mycollege.edu/mail)';
$string['footnote'] = 'Footnote';
$string['footnotedesc'] = 'The content from this textarea will be displayed in the footer of every page.';
$string['hidenavigationblock'] = 'Hide Navigation block';
$string['hidenavigationblockdesc'] = 'This setting removes the standard Navigation block from all pages.';
$string['hidesettingsblock'] = 'Hide Settings block';
$string['hidesettingsblockdesc'] = 'This setting removes the standard Settings block from all pages.';
$string['instructions'] = '<h2>Instructions</h2><p>These settings are used to enter the images, heading, tagline and text for upto eight separate screens, or slides, for the BoxSlider content at the top of the front page of the site.</p><p>Images must first be uploaded somewhere with no access restrictions (this can be on the website itself, or could be through flickr or some other image/file location accessible to any site user), and the url for the images copied to the IMAGE settings for each slide.</p><p>Text for the heading, tagline, and main content for each slide, is added directly in these settings. The box slider will only show slides where a heading has been added. If no slide headings are entered, the box slider itself will be hidden.</p></div>';
$string['instruction_title'] = '<h2>Box Slider Contents Settings Page</h2><br />
<div id="plsnote"><p><strong>Please Note:</strong>This section is styled within the krystle theme and may not look correct if viewed in other themes.</p>';
$string['logo'] = 'Logo';
$string['logodesc'] = 'Enter the URL to an image to use as the logo for this site. Should be http://www.yoursite.com/path/to/logo.png';
$string['logourl'] = 'Logo URL';
$string['logourldesc'] = '<p>Input the URL to your logo.  Leave blank for no image.</p><p>This can be used in one of three protocol types:<ul><li><p>Moodle Output (relative to theme):</p><p><code>logo/companylogo</code></p></li><li><p>Full path:</p><p><code>http://domain.com/theme/image.php?theme=krystle&image=logo&rev=1&component=theme</code><br /><code>http://domain.com/path/to/image.jpg</code></p></li><li><p>Relative Path:</p><p><code>/path/to/file/companylogo.png</code></p></li></ul></p>';
$string['menubackgroundcolor'] = 'Menu Background colour';
$string['menubackgroundcolordesc'] = 'This sets the background colour for the menu.';
$string['persistentedit'] = 'Enable Persistent Editing Mode';
$string['persistenteditdesc'] = 'Persistent Editing Mode keeps editing mode turned on permanently for users with editing privileges.<br />Block editing can still be turned on and off independently via the "Turn editing on/off" option under Course Administration.';
$string['pluginname'] = 'Krystle';
$string['profilebarcustom'] = 'Profile Bar Custom Block';
$string['profilebarcustomdesc'] = 'Add text, images or HTML to be displayed within the Profile Bar.';
$string['profilebarcustomtitle'] = 'Profile Bar Custom Block Title';
$string['profilebarcustomtitledesc'] = 'Title for custom Profile Bar block';
$string['region-side-post'] = 'Right';
$string['region-side-pre'] = 'Left';
$string['regionwidth'] = 'Column width';
$string['regionwidthdesc'] = 'This sets the width of the two block regions that form the left and right columns.';
$string['searchsettings'] = 'Search settings...';
$string['showuserpicture'] = 'Show user picture';
$string['showuserpicturedesc'] = 'This setting add user picture in the page heading';
$string['slides'] = 'Number of slides to be shown';
$string['slidesdesc'] = '';
$string['usecf'] = 'Prompt users to install Google Chrome Frame';
$string['usecfdesc'] = '<p>Google <a href="http://code.google.com/chrome/chromeframe/">Chrome Frame</a> is an Internet Explorer plugin that installs the Chromium Rendering engine on older browsers and enables them to use modern web technologies.</p>';
$string['useeditbuttons'] = 'Use Edit Buttons';
$string['useeditbuttonsdesc'] = 'Instead of rows of icons, small "Edit" buttons appear.  When clicked, a menu of editing options appears.';
$string['userespond'] = 'Include respond.js in footer';
$string['useresponddesc'] = '<p><a href="https://github.com/scottjehl/Respond#readme">Respond.js</a> will attempt to parse the <code>@media</code> queries in the CSS and serve the proper one to browsers that do not natively support them (like IE8 and below).</p>';
