<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'theme_roshnilite', language 'en', branch 'MOODLE_35_STABLE'
 *
 * @package   theme_roshnilite
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['aboutsiteheading'] = 'Enter heading';
$string['aboutsiteheadingdefault'] = 'NOBODY DOES IT LIKE US';
$string['aboutsiteheadingdesc'] = 'Enter your custom heading for \'About Site\' section.';
$string['aboutsiteimage'] = 'Upload image';
$string['aboutsitename'] = 'Enter block name';
$string['aboutsitename1default'] = 'Our Blog';
$string['aboutsitename2default'] = 'Courses';
$string['aboutsitename3default'] = 'Latest News';
$string['aboutsitename4default'] = 'Upcoming Events';
$string['aboutsitesubheading'] = 'Enter sub heading';
$string['aboutsitesubheadingdefault'] = 'Put In a Nice Little Piece Of Text That Describes Your USP';
$string['aboutsitesubheadingdesc'] = 'Enter your custom sub heading, may be your USP or tag line.';
$string['aboutsitetext'] = 'Enter block sub text';
$string['aboutsitetext1default'] = 'There\'s only one way to find out what life can be like at University of Utopia: dip into some of our students\' uncut and uncensored blogs.';
$string['aboutsitetext2default'] = 'You can rename the content box names from the admin panel, and then add nifty descriptions for all the content boxes.';
$string['aboutsitetext3default'] = 'Wondering what is happening at you? A lot. And reading through this section will keep you updated about all the cutting edge research we are doing here!';
$string['aboutsiteurl'] = 'Enter url';
$string['address'] = 'Enter Address';
$string['addressdefault'] = 'Kolkata, India';
$string['addressdesc'] = 'Enter your address here.';
$string['addressfontawesomeicon'] = 'Enter Font awesome icon tag for address icon';
$string['addressfontawesomeicondesc'] = 'Just copy and paste &lt; i &gt;&lt; / i &gt; tag';
$string['choosereadme'] = '<div class="clearfix">
<div class="well">
<h2>Roshnilite</h2>
<p><img class=img-polaroid src="roshnilite/pix/screenshot.jpg" /></p>
</div>
<div class="well">
<h3>Parents</h3>
<p>This theme is based upon the Bootstrap theme, which was created for Moodle 2.5, with the help of:<br>
Stuart Lamour, Mark Aberdour, Paul Hibbitts, Mary Evans.</p>
<p>Font setting section of this theme is based upon the Essential theme with the help of:<br>
Julian Ridden, Gareth J. Barnard, David Bezemer.</p>
<h3>Theme Credits</h3>
<p>Authors: Dualcube<br>
Contact: admin@dualcube.com<br>
Website: <a href="https://dualcube.com/">https://dualcube.com/</a>
</p>
</div></div>';
$string['configtitle'] = 'Roshni Lite';
$string['customcss'] = 'Custom CSS';
$string['customcssdesc'] = 'Whatever CSS rules you add to this textarea will be reflected in every page, making for easier customization of this theme.';
$string['customdesc'] = 'Custom Desc';
$string['customsettings'] = 'Custom Settings';
$string['eight'] = '8';
$string['email'] = 'Enter Email Address';
$string['emaildefault'] = 'admin@dualcube.com';
$string['emaildesc'] = 'Enter your email address here.';
$string['emailfontawesomeicon'] = 'Enter Font awesome icon tag for email icon';
$string['emailfontawesomeicondesc'] = 'Just copy and paste &lt; i &gt;&lt; / i &gt; tag';
$string['faboutsiteimagedesc'] = 'Upload image for the first block.';
$string['faboutsitenamedesc'] = 'Enter the name of first block in about site section.';
$string['faboutsitetextdesc'] = 'Enter the sub text for the first block.';
$string['faboutsiteurldesc'] = 'Enter the target url for the first block.';
$string['favicon'] = 'Favicon';
$string['favicondesc'] = 'Please upload or enter the url of the icon you want to show in the browser address bar, the fav icon.';
$string['five'] = '5';
$string['fontfileeotbody'] = 'Body EOT font file';
$string['fontfileeotheading'] = 'Heading EOT font file';
$string['fontfileotfbody'] = 'Body OTF font file';
$string['fontfileotfheading'] = 'Heading OTF font file';
$string['fontfiles'] = 'Upload Unlimited Fonts';
$string['fontfilesdesc'] = 'Upload your font files here.';
$string['fontfilesvgbody'] = 'Body SVG font file';
$string['fontfilesvgheading'] = 'Heading SVG font file';
$string['fontfilettfbody'] = 'Body TTF font file';
$string['fontfilettfheading'] = 'Heading TTF font file';
$string['fontfilewoffbody'] = 'Body WOFF font file';
$string['fontfilewoffheading'] = 'Heading WOFF font file';
$string['fontfilewofftwobody'] = 'Body WOFF2 font file';
$string['fontfilewofftwoheading'] = 'Heading WOFF2 font file';
$string['fontnamebody'] = 'Choose Font Name Body';
$string['fontnamebodydesc'] = 'You may add the font name for the body of your site  i.e. the body of the site will be displayed in this font.';
$string['fontnamedefault'] = 'Raleway';
$string['fontnameheading'] = 'Choose Font Name Heading';
$string['fontnameheadingdesc'] = 'You may add the font name for the headings in your site i.e. site headings will be displayed in this font.';
$string['fontselect'] = 'Select Font';
$string['fontselectdesc'] = 'You may choose from the ‘Standard’ fonts or add your customised fonts by selecting ‘Custom’ font.';
$string['fontsettings'] = 'Font Settings';
$string['fonttypecustom'] = 'Font Type Custom';
$string['fonttypestandard'] = 'Font Type Standard';
$string['footnote'] = 'Footnote';
$string['footnotedesc'] = 'Whatever you add to this textarea will be displayed in the footer throughout your Moodle site.';
$string['four'] = '4';
$string['fraboutsiteimagedesc'] = 'Upload image for the fourth block.';
$string['fraboutsitenamedesc'] = 'Enter the name of fourth block in about site section.';
$string['fraboutsitetextdesc'] = 'Enter the sub text for the fourth block.';
$string['fraboutsitetextdescdefault'] = 'All these content boxes are completely editable. You can change the hover colors, icons, names and the description text. Cool, isn\'t it?';
$string['fraboutsiteurldesc'] = 'Enter the target url for the fourth block.';
$string['generalsettings'] = 'General Settings';
$string['invert'] = 'Invert navbar';
$string['invertdesc'] = 'Swaps text and background for the navbar at the top of the page between black and white.';
$string['logo'] = 'Logo';
$string['logodesc'] = 'Please upload or enter the url of your custom logo here if you want to add it to the header.
The image should be 65px high and any reasonable width that suits.
If you upload a logo it will replace the standard icon and name that was displayed by default.';
$string['maincolor'] = 'Choose Main Theme Color';
$string['maincolordesc'] = 'Choose your own custom Color scheme for the theme.';
$string['masonrycount'] = 'Masonrycount';
$string['masonrycountdesc'] = 'Select, from dropdown, the number of blocks in the Masonry block section. You can add up to 8 blocks.';
$string['masonryheading'] = 'Enter heading';
$string['masonryheadingdefault'] = 'OUR CATEGORY';
$string['masonryheadingdesc'] = 'Enter your custom heading for \'Masonry Block\' section.';
$string['masonryimage'] = 'Upload your image for masonry block';
$string['masonryimagedesc'] = 'Upload your image for masonry block';
$string['masonrysubheading'] = 'Enter sub heading';
$string['masonrysubheadingdefault'] = 'You Can Showcase All Your Categories In This Beautiful Masonry Block';
$string['masonrysubheadingdesc'] = '';
$string['masonrysubtext'] = 'Sub text for masonry block';
$string['masonrysubtextdesc'] = 'Enter the sub text for masonry block';
$string['masonrytext'] = 'Text for masonry block';
$string['masonrytextdesc'] = 'Enter the text for masonry block';
$string['masonryurl'] = 'Enter masonry URL';
$string['masonryurldesc'] = 'Enter the target url for the masonry block';
$string['moodlemaincontentinfrontpage'] = 'Enable default moodle homepage content';
$string['moodlemaincontentinfrontpagedesc'] = '';
$string['one'] = '1';
$string['phone'] = 'Enter Phone Number';
$string['phonedefault'] = '+91 33 64578322';
$string['phonedesc'] = 'Enter your contact here.';
$string['phonefontawesomeicon'] = 'Enter Font awesome icon tag for phone icon';
$string['phonefontawesomeicondesc'] = 'Just copy and paste &lt; i &gt;&lt; / i &gt; tag';
$string['pluginname'] = 'Roshnilite';
$string['region-side-post'] = 'Right';
$string['region-side-pre'] = 'Left';
$string['saboutsiteimagedesc'] = 'Upload image for the second block.';
$string['saboutsitenamedesc'] = 'Enter the name of second block in about site section.';
$string['saboutsitetextdesc'] = 'Enter the sub text for the second block.';
$string['saboutsiteurldesc'] = 'Enter the target url for the second block.';
$string['seven'] = '7';
$string['six'] = '6';
$string['slideimage'] = 'Upload Your Image For Slide';
$string['slideimagedesc'] = 'Please upload or enter the url of the image for the slide';
$string['sliderbuttontext'] = 'Enter your text for button on slide';
$string['sliderbuttontextdefault'] = 'GET STARTED';
$string['sliderbuttontextdesc'] = 'If you do not enter any text, the button will be disappear.';
$string['slidercount'] = 'Slidercount';
$string['slidercountdesc'] = 'Select, from dropdown, the number of slides in the slider.You can add up to 6 slides.';
$string['slidertext'] = 'Text for slide';
$string['slidertextdefault'] = '<h2>THE TASK OF THE</h2><h1>MODERN EDUCATOR</h1><h3 class="header-b">IS NOT TO CUT DOWN JUNGLES, BUT TO IRRIGATE DESERTS</h3>';
$string['slidertextdesc'] = 'Enter a descriptive text for your slide';
$string['sliderurl'] = 'Link for slide';
$string['sliderurldefault'] = 'javascript:void(0);';
$string['sliderurldesc'] = 'Enter the target destination of the image link on slide';
$string['socialfontawesomeicon1'] = 'Enter Font awesome icon tag for social icon';
$string['socialfontawesomeicon2'] = 'Enter Font awesome icon tag for social icon';
$string['socialfontawesomeicon3'] = 'Enter Font awesome icon tag for social icon';
$string['socialfontawesomeicon4'] = 'Enter Font awesome icon tag for social icon';
$string['socialfontawesomeicondesc1'] = 'Just copy and paste &lt; i &gt;&lt; / i &gt; tag';
$string['socialfontawesomeicondesc2'] = 'Just copy and paste &lt; i &gt;&lt; / i &gt; tag';
$string['socialfontawesomeicondesc3'] = 'Just copy and paste &lt; i &gt;&lt; / i &gt; tag';
$string['socialfontawesomeicondesc4'] = 'Just copy and paste &lt; i &gt;&lt; / i &gt; tag';
$string['socialheading'] = 'Enter social heading';
$string['socialheadingdefault'] = 'STAY CONNECTED';
$string['socialheadingdesc'] = '';
$string['socialicon'] = 'Link of social icon';
$string['socialicondesc'] = 'Enter the target link of icon.';
$string['standarddesc'] = 'General Settings Desc';
$string['taboutsiteimagedesc'] = 'Upload image for the third block.';
$string['taboutsitenamedesc'] = 'Enter the name of third block in about site section.';
$string['taboutsitetextdesc'] = 'Enter the sub text for the third block.';
$string['taboutsiteurldesc'] = 'Enter the target url for the third block.';
$string['three'] = '3';
$string['two'] = '2';
