<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'theme_snap', language 'en', branch 'MOODLE_34_STABLE'
 *
 * @package   theme_snap
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['aboutcourse'] = 'About this Course';
$string['action:changeassetvisibility'] = 'change asset visibility';
$string['action:changesectionvisibility'] = 'change section visibility';
$string['action:duplicateasset'] = 'duplicate asset';
$string['action:highlightsectionvisibility'] = 'highlight section visibility';
$string['activity'] = 'Activity';
$string['addanewsection'] = 'Create a new section';
$string['addresourceoractivity'] = 'Create learning activity';
$string['admin'] = 'Admin';
$string['advancedbrandingheading'] = 'Advanced branding';
$string['advancedbrandingheadingdesc'] = '';
$string['ago'] = 'ago';
$string['answered'] = 'Answered';
$string['appendices'] = 'Tools';
$string['assigndraft'] = 'Draft requires your confirmation';
$string['assignreopened'] = 'Reopened';
$string['at'] = 'at';
$string['attempted'] = 'Attempted';
$string['basics'] = 'Basics';
$string['brandingheading'] = 'Branding';
$string['brandingheadingdesc'] = '';
$string['browse'] = 'Browse';
$string['browseallcourses'] = 'Browse all courses';
$string['cachedef_activity_deadlines'] = 'Cache store for a users activity deadlines.';
$string['cachedef_course_completion_progress'] = 'This is used to cache completion data per course / user.';
$string['cachedef_course_completion_progress_ts'] = 'This is used so that we can invalidate session level caches if the course completion settings for a course or module change.';
$string['cachedef_generalstaticappcache'] = 'Snap general static application level cache';
$string['cachedef_webservicedefinitions'] = 'Caching for auto generated web service definitions.';
$string['card'] = 'Card';
$string['category_color'] = 'Category color';
$string['category_color_description'] = 'Course Category color. Child courses take the nearest parent category configuration';
$string['category_color_palette'] = 'Color palette';
$string['category_color_palette_description'] = 'See the corresponding hexadecimal value for the given color. This wont
affect any configuration, it is just a sample to help users build the configuration value.';
$string['categoryedit'] = 'Edit category';
$string['changecoverimage'] = 'Change cover image';
$string['changefullname'] = 'Change site name';
$string['chapters'] = 'Chapters';
$string['choosereadme'] = '<div class="clearfix"><div class="theme_screenshot"><h2>Snap</h2><img class=img-polaroid src="snap/pix/screenshot.jpg" /></div></div>';
$string['comingsoon'] = 'Coming soon!';
$string['conditional'] = 'Conditional';
$string['contents'] = 'Contents';
$string['contributed'] = 'Contributed';
$string['coursecontacts'] = 'Course Contacts';
$string['coursedisplay'] = 'Course display';
$string['coursefixydefaulttext'] = 'You are currently not enrolled in any courses.<br>Courses you are enrolled in will be shown here.';
$string['coursefootertoggle'] = 'Course footer';
$string['coursefootertoggledesc'] = 'The Course footer shows useful information to users on a course page including course contacts, course description and recent activity in the course.';
$string['courseformatnotification'] = 'The current course format you are using is not fully supported by the Snap theme. For the best experience Blackboard Open LMS recommends using the Topics or Weekly course formats with the Snap theme. The course format can be changed in the <a href="{$a}">course settings</a>.';
$string['coursegrade'] = 'Course grade:';
$string['coursenavigation'] = 'Course navigation';
$string['courses'] = 'Courses';
$string['coursesummaryfilesunsuitable'] = 'Please empty your course summary files before you attempt to change the cover image';
$string['coursetools'] = 'Course Dashboard';
$string['covercarousel'] = 'Cover carousel';
$string['covercarouseldescription'] = '<p>The carousel is a set of rotating banners, or a slideshow, that displays on the homepage of your site instead of the cover image.</p>
<p>Add up to 3 images, a title for each slide, and an optional subtitle. Images of 1200 x 600 pixels work best.</p>';
$string['covercarouselon'] = 'Use Cover carousel';
$string['coverdisplay'] = 'Cover display';
$string['coverimage'] = 'Cover image';
$string['covervideo'] = 'Cover video';
$string['createsection'] = 'Create section';
$string['current'] = 'Current';
$string['customcss'] = 'Custom CSS';
$string['customcssdesc'] = 'Please be aware that with great power comes great responsibility.  Any issue caused by the CSS added here is your responsibility to resolve. Blackboard Open LMS Support does not troubleshoot nor provide any help with CSS-related content.';
$string['customisenavbar'] = 'Change navigation bar colors';
$string['customisenavbutton'] = 'Change My Courses button colors';
$string['customtopbar'] = 'Navigation bar';
$string['deadlines'] = 'Deadlines';
$string['deadlinestoggle'] = 'Deadlines';
$string['deadlinestoggledesc'] = 'Show users any upcoming activity deadlines from enrolled courses.';
$string['debugerrors'] = 'Debug Errors';
$string['defaultintrosummary'] = 'Welcome to your new course {$a}.
<br>Start by describing what your course is about using text, images, audio & video.';
$string['defaultsummary'] = 'Use this area to describe what this topic is about - with text, images, audio & video.';
$string['defaulttopictitle'] = 'Untitled Topic';
$string['deleteassetconfirm'] = 'Delete {$a}';
$string['deletesectionconfirm'] = 'Delete Section';
$string['deletingasset'] = 'Deleting {$a}';
$string['deletingassetname'] = 'Deleting {$a->type} "{$a->name}"';
$string['deletingsection'] = 'Deleting section "{$a}"';
$string['disabled'] = 'Disabled';
$string['draft'] = 'Not published to students';
$string['dropzonelabel'] = 'Drop files to attach, or <span class="fake-link">browse</span>';
$string['due'] = 'Due {$a}';
$string['edit'] = 'Edit "{$a}"';
$string['editcoursecontent'] = 'Edit blocks';
$string['editcoursesettings'] = 'Course settings';
$string['editcoursetopic'] = 'Edit section';
$string['editcustomfooter'] = 'Edit footer';
$string['editcustommenu'] = 'Edit custom menu';
$string['error:categorycolorinvalidjson'] = 'Incorrect JSON format for course categories';
$string['error:categorycolorinvalidvalue'] = 'Record id or color value for category "{$a}" aren\'t valid';
$string['error:categorynotfound'] = 'The category record with id "{$a}" hasn\'t been found';
$string['error:coverimageexceedsmaxbytes'] = 'Cover image exceeds the site level maximum allowed file size ({$a})';
$string['error:coverimageresolutionlow'] = 'For best quality, we recommend a larger image of at least 1024px width.';
$string['error:duplicatedcategoryids'] = 'Incorrect JSON format, some IDs are duplicated';
$string['error:failedtochangeassetvisibility'] = 'Failed to hide/show asset';
$string['error:failedtochangesectionvisibility'] = 'Failed to hide/show section';
$string['error:failedtodeleteasset'] = 'Failed to delete asset';
$string['error:failedtoduplicateasset'] = 'Failed to duplicate';
$string['error:failedtohighlightsection'] = 'Failed to highlight section';
$string['extension'] = 'Extension {$a}';
$string['facebook'] = 'Facebook';
$string['facebookdesc'] = 'The url of your facebook page.';
$string['favicon'] = 'Favicon';
$string['favicondesc'] = 'Favicons appear in your web browser’s address bar, in a user’s bookmarks and mobile shortcuts.';
$string['favorite'] = 'Favorite {$a}';
$string['favorited'] = 'Favorited {$a}';
$string['featuredcourseeight'] = 'Featured course 8';
$string['featuredcoursefive'] = 'Featured course 5';
$string['featuredcoursefour'] = 'Featured course 4';
$string['featuredcourseone'] = 'Featured course 1';
$string['featuredcourses'] = 'Featured courses';
$string['featuredcoursesbrowseall'] = 'Browse all courses';
$string['featuredcoursesbrowsealldesc'] = 'Add a browse all courses link';
$string['featuredcoursesedit'] = 'Edit featured courses';
$string['featuredcourseseven'] = 'Featured course 7';
$string['featuredcoursesheading'] = 'Featured courses heading';
$string['featuredcourseshelp'] = 'Highlight up to 8 featured courses to your site&#8217;s front page. Type the Course ID to feature a course.';
$string['featuredcoursesix'] = 'Featured course 6';
$string['featuredcoursethree'] = 'Featured course 3';
$string['featuredcoursetwo'] = 'Featured course 2';
$string['featureoneimage'] = 'Feature 1 image';
$string['featureonetext'] = 'Feature 1 content';
$string['featureonetitle'] = 'Feature 1 title';
$string['featurespots'] = 'Feature spots';
$string['featurespotsedit'] = 'Edit feature spots';
$string['featurespotsheading'] = 'Feature spots heading';
$string['featurespotshelp'] = '<p>Add up to 3 feature spots to your site&#8217;s front page to highlight the main benefits to current and potential users.</p>
<p>Add a title, content, and an optional image for each feature. Images should to be square, and no larger than 200px by 200px.</p>';
$string['featurethreeimage'] = 'Feature 3 image';
$string['featurethreetext'] = 'Feature 3 content';
$string['featurethreetitle'] = 'Feature 3 title';
$string['featuretwoimage'] = 'Feature 2 image';
$string['featuretwotext'] = 'Feature 2 content';
$string['featuretwotitle'] = 'Feature 2 title';
$string['feedbackavailable'] = 'Feedback available';
$string['feedbacktoggle'] = 'Feedback and grading';
$string['feedbacktoggledesc'] = 'Show learners their most recent feedback, and educators the most recent submissions that need grading.';
$string['footnote'] = 'Site footer';
$string['footnotedesc'] = 'Your footer is displayed across the entire site. This is the best place to put links to help, support and any other sites your organization has that you want to share with learners and educators. For example, the library or an email address.';
$string['forcepwdwarningpersonalmenu'] = 'You must <a href="{$a}">change your password</a> before using the personal menu.';
$string['forumauthor'] = 'Author';
$string['forumlastpost'] = 'Last Post';
$string['forumpicturegroup'] = 'Group';
$string['forumposts'] = 'Forum posts';
$string['forumpoststoggle'] = 'Forum posts';
$string['forumpoststoggledesc'] = 'Show users the 10 most recent forum posts from their courses';
$string['forumreplies'] = 'Replies';
$string['forumtopic'] = 'Topic';
$string['fullname'] = 'Site name';
$string['fullnamedesc'] = 'The name of your site.';
$string['graderadviseuserreport'] = 'The "grader report" does not work well on mobile devices. The "user report" is recommended instead';
$string['grading'] = 'Grading';
$string['headingfont'] = 'Heading font';
$string['headingfont_desc'] = 'This font is used in the headings (h1 - h6 elements) across your site. If you are including a custom webfont remember to add it to the moodle extra html form.';
$string['help'] = 'Help';
$string['helpguide'] = 'Help guide';
$string['helpwithlogin'] = 'Help with login';
$string['helpwithloginandguest'] = 'Help with login / guest access';
$string['hiddencoursestoggle'] = 'Hidden courses';
$string['highlightedsection'] = 'highlighted';
$string['home'] = 'home';
$string['image'] = 'image';
$string['images'] = 'Images';
$string['instagram'] = 'Instagram';
$string['instagramdesc'] = 'The url of your instagram account.';
$string['introduction'] = 'Introduction';
$string['jsontext'] = 'JSON Text';
$string['jsontextdescription'] = 'The text area validates the given JSON, so only existing categories are allowed,
only numerical values as id records (category records) are valid and only hexadecimal values are accepted as colors.
Here is an example:<br>
{"1":"#FAAFFF",<br>
"45":"#AFF",<br>
"65":"#FFF228",<br>
"12":"#CC0084",<br>
"56":"#CC0087",<br>
"89":"#CCF084"}';
$string['knowledgebase'] = 'Blackboard Open LMS Knowledge Base';
$string['leftnav'] = 'Table of contents';
$string['leftnavdesc'] = 'Select where to display the table of contents. List gives more room for content and works well for courses with many topics.';
$string['linkedin'] = 'LinkedIn';
$string['linkedindesc'] = 'The url of your organisation&#8217;s LinkedIn.';
$string['list'] = 'List';
$string['loading'] = 'Loading...';
$string['loggedinasguest'] = 'You are logged in as guest';
$string['loggedoutfailmsg'] = 'You must be logged in to {$a}.';
$string['loggedoutmsg'] = 'You are currently logged out. If you wish to continue using this site, please log back in.';
$string['loggedoutmsgtitle'] = 'You are logged out';
$string['loginform'] = 'Login';
$string['logo'] = 'Logo';
$string['logodesc'] = 'Your logo is displayed in the header across the entire site..';
$string['menu'] = 'My Courses';
$string['messageread'] = 'Message Read';
$string['messages'] = 'Messages';
$string['messagestoggle'] = 'Messages';
$string['messagestoggledesc'] = 'Show users their most recent messages received over the last 12 weeks.';
$string['more'] = 'More';
$string['morenews'] = 'More news';
$string['move'] = 'Move "{$a}"';
$string['movefailed'] = 'Move failed for "{$a}"';
$string['movehere'] = 'Move here';
$string['movesection'] = 'Move section';
$string['moving'] = 'Moving "{$a}"';
$string['movingcount'] = 'Moving {$a} objects';
$string['movingdropsectionhelp'] = 'Place section "{$a->moving}" before section "{$a->before}"';
$string['movingstartedhelp'] = 'Navigate to where you would like to place section "{$a}"';
$string['navbarbg'] = 'Background color';
$string['navbarbuttoncolor'] = 'Background color';
$string['navbarbuttonlink'] = 'Text color';
$string['navbarlink'] = 'Text color';
$string['nextsection'] = 'Next section';
$string['nodeadlines'] = 'You have no upcoming deadlines.';
$string['noforumposts'] = 'You have no relevant forum posts.';
$string['nograded'] = 'You have no recent feedback.';
$string['nograding'] = 'You have no submissions to grade.';
$string['nomessages'] = 'You have no messages.';
$string['notanswered'] = 'Not answered';
$string['notattempted'] = 'Not attempted';
$string['notcontributed'] = 'Not contributed';
$string['notpublished'] = 'Not published to students';
$string['notsubmitted'] = 'Not Submitted';
$string['overdue'] = 'Overdue';
$string['personalmenu'] = 'Personal menu';
$string['personalmenufeatures'] = 'Personal menu features';
$string['personalmenulogintoggle'] = 'Show personal menu on login';
$string['personalmenulogintoggledesc'] = 'Opens the personal menu immediately after login';
$string['pld'] = 'PLD';
$string['pluginname'] = 'Snap';
$string['poster'] = 'Cover image';
$string['posterdesc'] = 'A large header image for the front page of your site. Landscape images (1200 x 600 pixels) or larger work best.';
$string['poweredbyrunby'] = 'Built with <a href="http://www.blackboard.com/" target="_blank">Blackboard Open LMS</a>,
     <a href="http://www.moodle.com/" target="_blank">Moodle</a>-based product.<br>
    Copyright &#169; 2017 Blackboard Inc, All Rights Reserved.';
$string['previoussection'] = 'Previous section';
$string['privacy:metadata:theme_snap_course_favorites'] = 'Stores users\' course favorites for Snap';
$string['privacy:metadata:theme_snap_course_favorites:courseid'] = 'The course ID of the course that the user favorited';
$string['privacy:metadata:theme_snap_course_favorites:timefavorited'] = 'The timestamp of when the user favorited the course';
$string['privacy:metadata:theme_snap_course_favorites:userid'] = 'The user ID of the user that favorited the course';
$string['problemsfound'] = 'Problems Found';
$string['progress'] = 'Progress';
$string['readmore'] = 'Read more&nbsp;»';
$string['recentactivity'] = 'Recent Activity';
$string['recentfeedback'] = 'Feedback';
$string['region-main'] = 'Main';
$string['region-side-main-box'] = 'Main';
$string['region-side-post'] = 'Right';
$string['region-side-pre'] = 'Left';
$string['region-side-top'] = 'Top';
$string['released'] = 'Released: {$a}';
$string['reopened'] = 'Reopened';
$string['resourcedisplay'] = 'Resource display';
$string['resourcedisplayhelp'] = 'Select how attachments and links appear in your course.';
$string['search'] = 'Search contents';
$string['seriffont'] = 'Serif font';
$string['seriffont_desc'] = 'This font is used for most user generated content. Using a serif font makes user generated content more readable, and feel like it is written by a human.';
$string['showallsectionsdisabled'] = 'Due to its design language, "Show all sections on one page" isn\'t available in Snap.';
$string['showappearancedisabled'] = 'Snap\'s design language prevents changes to "Appearance" settings.';
$string['showcoursegradepersonalmenu'] = 'Grades';
$string['showcoursegradepersonalmenudesc'] = 'Show users their grade in course cards in the personal menu';
$string['sitedescription'] = 'Site description';
$string['socialmedia'] = 'Social media';
$string['submitted'] = 'Submitted';
$string['subtitle'] = 'Subtitle';
$string['subtitle_desc'] = 'Briefly describe your site for users.';
$string['themecolor'] = 'Site color';
$string['themecolordesc'] = 'Bright colors work best and will give your site a modern feel.';
$string['title'] = 'Title';
$string['togglenavigation'] = 'Toggle navigation';
$string['top'] = 'Top';
$string['topbarbgcolor'] = 'Navigation bar color';
$string['topbarbuttoncolor'] = 'My Courses background';
$string['topbarlinkcolor'] = 'Navigation bar link and icon color';
$string['topicactions'] = 'Topic actions';
$string['twitter'] = 'Twitter';
$string['twitterdesc'] = 'The url of your twitter account.';
$string['unenrolme'] = 'Unenrol me';
$string['unread'] = 'unread';
$string['unsupportedcoverimagetype'] = 'Unsupported cover image type ({$a})';
$string['via'] = 'via';
$string['viewcalendar'] = 'View my calendar';
$string['viewcourse'] = 'View Course';
$string['viewforumposts'] = 'View my forum posts';
$string['viewmessaging'] = 'View my messages';
$string['viewmyfeedback'] = 'View my feedback';
$string['vieworiginalimage'] = 'View original image';
$string['viewyourprofile'] = 'View your profile';
$string['visibility'] = 'Visibility';
$string['warnsiteformatflexpage'] = 'Your site uses Flexpage on the front page. Flexpage is not optimized for small screen devices. It is recommended that you disable the use of Flexpage in your <a href="{$a}">front page settings</a> if you would like your site to be mobile device friendly.';
$string['xofyanswered'] = '{$a->completed} of {$a->participants} Answered';
$string['xofyattempted'] = '{$a->completed} of {$a->participants} Attempted';
$string['xofycontributed'] = '{$a->completed} of {$a->participants} Contributed';
$string['xofysubmitted'] = '{$a->completed} of {$a->participants} Submitted';
$string['xungraded'] = '{$a} Ungraded';
$string['youtube'] = 'YouTube';
$string['youtubedesc'] = 'The url of your youtube channel.';
