<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'theme_squared', language 'en', branch 'MOODLE_31_STABLE'
 *
 * @package   theme_squared
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['alternateloginurl'] = 'Alternate MNET login url';
$string['alternateloginurldesc'] = 'Select an alternate MNET Login host for direct login on the selected MNET host';
$string['basicsettings'] = 'General settings';
$string['bgcolor'] = 'Category color for';
$string['bgcolorcat'] = 'Background color of category blocks';
$string['bgcolorcatdesc'] = 'Background color of category blocks';
$string['bgcolordesc'] = 'Set the background color of the blocks and headings for the displayed category';
$string['bgcolorheading'] = 'Choose a background color for the category below';
$string['bgcolorheadingdesc'] = 'This background color is used for special elements on pages within the specified category. It serves as a color guide.';
$string['blockperrowlimit'] = 'Show 2 blocks per row limit';
$string['blockperrowlimitdesc'] = 'Show 2 blocks per row when there are more than x blocks on the page, else default to one block per row';
$string['catcolorsettings'] = 'Course category colorguide and course header';
$string['choosereadme'] = '<div class="clearfix"><div class="theme_screenshot"><h2>squared</h2><img src="squared/pix/screenshot.png" /><h2>About</h2><p>Squared is the theme containing more squares than any other Moodle theme. Some even say it is the most beautiful theme for Moodle. <h2>Notes</h2><p>This theme is built upon both Base and Canvas, and therefore it is not yet responsive. It is the official theme of "Onlinecampus Virtuelle PH" www.virtuelle-ph.at. It was created by David Bogner <a href="http://www.edulabs.org">www.edulabs.org - E-Learning Solutions</a> and John Stabinger (programming). The design was created by  <a href="http://contemas.net">Contemas Web Solutions</a>  </p> <h3>Free Software</h3> The theme is provided for you for free, nevertheless it did cost some thousand Euros. So if you want to make customizations, please contract us. Especially for creating a responsive version based on bootsrap, we accept any help. We are working on it, but you can accelerate the process.</div></div>';
$string['configtitle'] = 'squared theme';
$string['customcss'] = 'Custom CSS';
$string['customcssdesc'] = 'Any CSS you enter here will be added to every page allowing your to easily customise this theme.';
$string['facebooklink'] = 'Link to your facebook page (optional)';
$string['facebooklinkdesc'] = 'The link should look like this: http://www.facebook.com/yourpage';
$string['findcoursecontent'] = 'Course content:';
$string['footertext'] = 'Footer links';
$string['footertextdesc'] = 'You can configure a custom listing here shown in the footer.
Each line consists of some menu text an a link URL. For Example :
<pre>Moodle news|http://moodlenews.com
Moodle|http://moodle.org
</pre>';
$string['googlepluslink'] = 'Link to your google+ page (optional)';
$string['googlepluslinkdesc'] = 'The link should look like this: https://plus.google.com/+youracount/posts';
$string['headerbg'] = 'Background image';
$string['headerbgdesc'] = 'Please upload your custom background image here for the header.  The logo and background must be the same height.  For the \'On top\' layout, the background should be have a width of 1400px, the logo can be any width.  For the \'Side\' layout, the logo and background should have a combined width of 1400px.';
$string['headerbgsmall'] = 'Background image for small devices';
$string['headerbgsmalldesc'] = 'Please upload your custom background image here for the header on small devices.  The logo and background must be the same height.  For the \'On top\' layout, the background should be have a width of 960px, the logo can be any width.  For the \'Side\' layout, the logo and background should have a combined width of 960px.';
$string['headerlayout'] = 'Layout';
$string['headerlayoutdesc'] = 'Logo on top or to the side as set by the logo position.';
$string['hidelocallogin'] = 'Hide local login';
$string['hidelocallogindesc'] = 'Hide the local login on login page.  NOTE: Only enable this if all users are remote.';
$string['hlogoside'] = 'Side';
$string['hlogotop'] = 'Top';
$string['logo'] = 'Logo';
$string['logobgcolor'] = 'Logo Background Color';
$string['logobgcolordesc'] = '';
$string['logodesc'] = 'Please upload your custom logo here for the header.  The logo and background must be the same height.  For the \'On top\' layout, the background should be have a width of {$a->pagewidthmax}px, the logo can be any width.  For the \'Side\' layout, the logo and background should have a combined width of {$a->pagewidthmax}px.';
$string['logoposition'] = 'Logo Position';
$string['logopositiondesc'] = 'Set the logo position';
$string['logosmall'] = 'Logo for small devices';
$string['logosmalldesc'] = 'Please upload your custom logo here for the header on small devices.  The logo and background must be the same height.  For the \'On top\' layout, the background should be have a width of 960px, the logo can be any width.  For the \'Side\' layout, the logo and background should have a combined width of 960px.';
$string['nologobgcolor'] = 'No Logo Background Color (transparent)';
$string['nologobgcolordesc'] = '';
$string['numberofslides'] = 'Number of slides';
$string['numberofslidesdesc'] = 'Number of slides to use for the slideshow on the frontpage';
$string['pageheadersettings'] = 'Page header settings';
$string['pluginname'] = 'squared';
$string['region-side-post'] = 'Right';
$string['region-side-pre'] = 'Left';
$string['searchfield'] = 'Name of the input field where you enter your search';
$string['searchfielddesc'] = 'This is the name of the input field, where the user inputs the search strings. Google uses the field name q, Yahoo uses p';
$string['searchurl'] = 'Search url for the search field';
$string['searchurldesc'] = 'This is the URL you use for your search on your moodle site. If your moodle installation does not allow search engines, then replace whatever is after site: with the site you want to search (without http:// or https://)';
$string['twitterlink'] = 'Link to your twitter account (optional)';
$string['twitterlinkdesc'] = 'The link should look like this: https://www.twitter.com/youraccount';
$string['youtubelink'] = 'Link to your YouTube channel (optional)';
$string['youtubelinkdesc'] = 'The link should look like this: http://www.youtube.com/yourchannel';
