<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'theme_strawberry', language 'en', branch 'MOODLE_23_STABLE'
 *
 * @package   theme_strawberry
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['choosereadme'] = '<div class="clearfix"><div class="theme_screenshot"><h2>Strawberry</h2><img src="strawberry/pix/screenshot.png" /><h3>Theme Discussion Forum:</h3><p><a href="http://moodle.org/mod/forum/view.php?id=46" target="_blank">http://moodle.org/mod/forum/view.php?id=46</a></p><h3>Theme Documentation:</h3><p><a href="http://docs.moodle.org/en/Themes" target="_blank">http://docs.moodle.org/en/Themes</a></p><h3>Report a bug:</h3><p><a href="http://tracker.moodle.org" target="_blank">http://tracker.moodle.org</a></p></div><div class="theme_description"><h2>About</h2><p>Strawberry is a fluid-width, three-column theme for Moodle 2.2 or higher. The custom menu contains a Home link which always appears to the very left, and a My courses and Login/Logout link, which appears after any administrator-added items.</p><p>Strawberry has a settings page that lets you modify various background colours, custom footer, custom css, and the site logo.</p><h2>Tweaks</h2><p>This theme is built upon Base, a parent theme included in the Moodle core. If you want to modify Strawberry, we recommend that you first duplicate it then rename it before making your changes. This means you\'ll still have the original files if you make a mistake. More information on modifying themes can be found in the <a href="http://docs.moodle.org/en/Theme">MoodleDocs</a>.</p><h2>Credits</h2><p>This theme uses the design of Strawberry theme from <a href="http://www.templatemo.com" target="_blank">Templatemo.com</a>, but none of the actual code from that theme was used.</p><p>Images are from the Strawberry theme from Templatemo, except the default banner. That image is attributed to <a href="http://www.flickr.com/photos/w-j-s" target="_blank">W.J.S on Flickr</a>. The image allows for non-commercial use with attribution.</p><p>This theme was coded and is maintained by Miriam Laidlaw of HRDNZ. She can be contacted by email at miriam@hrdnz.com.</p></div></div>';
$string['configtitle'] = 'Strawberry';
$string['courses'] = 'All Courses';
$string['customcss'] = 'Custom CSS';
$string['customcssdesc'] = 'Any CSS you enter here will be added to every page allowing you to easily customise this theme.';
$string['footnote'] = 'Footnote';
$string['footnotedesc'] = 'The content from this textarea will be displayed in the footer of every page.';
$string['logo'] = 'Logo';
$string['logodesc'] = 'Enter the URL to an image to use as the logo for this site. Should be http://www.yoursite.com/path/to/logo.png. Your logo should be no wider than 330px wide and 115px tall.';
$string['mainsubtitle'] = 'Text sub heading';
$string['mainsubtitledesc'] = 'If you have chosen to show a custom text title, input the sub title heading here.';
$string['maintitle'] = 'Text main heading';
$string['maintitledesc'] = 'If you have chosen to show a custom text title, input the main title heading here.';
$string['mbcredits'] = 'Credits';
$string['mbcreditsdesc'] = 'Choose No to remove the link to MoodleBites at the bottom of the page.';
$string['pluginname'] = 'Strawberry';
$string['region-side-post'] = 'Right Side';
$string['region-side-pre'] = 'Left Side';
$string['texttitle'] = 'Text or Logo';
$string['texttitledesc'] = 'Decide whether you want a custom text title with subtitle, the automatic site or course title, or an image logo showing.';
$string['themecolor'] = 'Theme colour';
$string['themecolordesc'] = 'This sets the colour for the highlighted topic box on a course page, links on the page, headings, and some other parts of the theme.';
