<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'threesixo', language 'en', branch 'MOODLE_35_STABLE'
 *
 * @package   threesixo
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['addanewquestion'] = 'Add a new question';
$string['additem'] = 'Add item';
$string['allparticipants'] = 'All course participants';
$string['anonymous'] = 'Anonymous';
$string['averagerating'] = 'Average rating: {$a}';
$string['backto360dashboard'] = 'Back to the 360 dashboard';
$string['comments'] = 'Comments';
$string['confirmfinaliseanonymousfeedback'] = 'This will anonymise your responses on your feedback for {$a->name}. You will no longer be able to change your responses once it has been done. Proceed?';
$string['confirmquestiondeletion'] = 'Are you sure you want to delete this question?';
$string['decline'] = 'Decline';
$string['declinefeedback'] = 'Decline feedback';
$string['declineheading'] = 'Declining 360° feedback for {$a}';
$string['declinereason'] = 'Please provide a reason why you are declining this feedback.';
$string['declinereasonplaceholdertext'] = 'Enter your reason here... (Optional)';
$string['deleteitem'] = 'Delete item';
$string['deletequestion'] = 'Delete question';
$string['edititems'] = 'Edit 360° feedback items';
$string['editquestion'] = 'Edit question';
$string['enableselfreview'] = 'Enable self-review';
$string['entercomment'] = 'Enter your comment here.';
$string['error360notfound'] = '360° feedback not found.';
$string['errorblankdeclinereason'] = 'Required.';
$string['errorblankquestion'] = 'Required.';
$string['errorcannotadditem'] = 'Cannot add the 360° feedback item.';
$string['errorcannotparticipate'] = 'You cannot participate in this 360° feedback activity.';
$string['errorcannotupdateitem'] = 'Cannot update the 360° feedback item.';
$string['errorinvalidstatus'] = 'Invalid status';
$string['erroritemnotfound'] = 'The 360° feedback item was not found.';
$string['errornocaptoedititems'] = 'Sorry, but you don\'t have the capability to edit 360° feedback items.';
$string['errornotenrolled'] = 'You need to be enrolled in this course in order to be able to participate in this 360° feedback activity.';
$string['errornothingtodecline'] = 'There is no feedback to decline to.';
$string['errornotingroup'] = 'You need to be in a group in order to be able to participate in this 360° feedback activity. Please contact your course administrator.';
$string['errorresponsesavefailed'] = 'An error has occured while the responses are being saved. Please try again later.';
$string['feedbackgiven'] = 'Feedback given';
$string['feedbackreceived'] = 'Feedback received';
$string['feedbacksurvey'] = 'Feedback survey for {$a}';
$string['finalise'] = 'Finalise';
$string['finaliseanonymousfeedback'] = 'Finalise anonymous feedback';
$string['gotoquestionbank'] = 'Go to the 360° question bank';
$string['instancenotready'] = 'The 360° feedback activity is not yet ready. Please try again later.';
$string['instancenowready'] = 'The 360° feedback activity is now ready for use by the participants!';
$string['labelactions'] = 'Actions';
$string['labelcancel'] = 'Cancel';
$string['labeldone'] = 'Done';
$string['labelenterquestion'] = 'Enter question text...';
$string['labelpick'] = 'Pick';
$string['labelpickfromquestionbank'] = 'Pick a question from the question bank';
$string['labelquestion'] = 'Question';
$string['labelquestiontype'] = 'Question Type';
$string['labelsave'] = 'Save';
$string['makeavailable'] = 'Make available';
$string['messageafterdecline'] = 'Feedback declined.';
$string['modulename'] = '360° feedback';
$string['modulename_help'] = 'The 360° feedback activity module enables participants to provide feedback to all the other participants.';
$string['modulenameplural'] = '360° feedbacks';
$string['moveitemdown'] = 'Move item down';
$string['moveitemup'] = 'Move item up';
$string['name'] = 'Name';
$string['noitemsyet'] = 'The 360° feedback activity doesn\'t have items yet. Add items by clicking on "Edit 360° feedback items".';
$string['notapplicableabbr'] = 'N/A';
$string['participants'] = 'Participants';
$string['placeholderquestion'] = 'Enter question text';
$string['pluginadministration'] = '360° administration';
$string['pluginname'] = '360° feedback';
$string['privacy:metadata:threesixo'] = 'The ID of the 360-degree feedback instance';
$string['privacy:metadata:threesixo_item'] = 'The ID of the 360-degree feedback item';
$string['privacy:metadata:threesixo_response'] = 'This table stores the responses of the feedback respondent to the feedback questions to the feedback recipient';
$string['privacy:metadata:threesixo_response:value'] = 'The value of the respondent\'s response to the feedback question';
$string['privacy:metadata:threesixo_submission'] = 'This table stores the information about the statuses of 360-degree feedback submissions between the participants';
$string['privacy:metadata:threesixo_submission:fromuser'] = 'The user ID of the person giving the feedback';
$string['privacy:metadata:threesixo_submission:remarks'] = 'The reason why the respondent declined to give feedback to the feedback recipient';
$string['privacy:metadata:threesixo_submission:status'] = 'The status of the feedback submission';
$string['privacy:metadata:threesixo_submission:touser'] = 'The user ID of the feedback recipient';
$string['providefeedback'] = 'Provide feedback';
$string['qtypecomment'] = 'Comment';
$string['qtyperated'] = 'Rated';
$string['questiontext'] = 'Question text';
$string['questiontype'] = 'Question type';
$string['ratings'] = 'Ratings';
$string['responses'] = 'Responses';
$string['responsessaved'] = 'Your responses have been saved.';
$string['scaleagree'] = 'Agree';
$string['scaledisagree'] = 'Disagree';
$string['scalenotapplicable'] = 'Not applicable';
$string['scalesomewhatagree'] = 'Somewhat agree';
$string['scalesomewhatdisagree'] = 'Somewhat disagree';
$string['scalestronglyagree'] = 'Strongly agree';
$string['scalestronglydisagree'] = 'Strongly disagree';
$string['selectparticipants'] = 'Select participants';
$string['status'] = 'Status';
$string['statuscompleted'] = 'Completed';
$string['statusdeclined'] = 'Declined';
$string['statusinprogress'] = 'In progress';
$string['statuspending'] = 'Pending';
$string['statusviewonly'] = 'View only';
$string['submissions'] = 'Submissions';
$string['switchtouser'] = 'Switch to user...';
$string['threesixo:addinstance'] = 'Add a new 360° feedback instance';
$string['threesixo:complete'] = 'Complete a 360° feedback';
$string['threesixo:edititems'] = 'Edit 360° feedback items';
$string['threesixo:editquestions'] = 'Edit 360° feedback questions';
$string['threesixo:mapcourse'] = 'Map 360° feedback to course';
$string['threesixo:receivemail'] = 'Receive 360° feedback email';
$string['threesixo:view'] = 'View 360° feedback';
$string['threesixo:viewanalysepage'] = 'View 360° feedback analysis';
$string['threesixo:viewreports'] = 'View 360° feedback reports';
$string['title'] = '360° feedback';
$string['titlemanageitems'] = 'Manage 360° feedback items';
$string['todo'] = 'To Do';
$string['view'] = 'View';
$string['viewfeedbackforuser'] = 'View feedback for user';
